/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e=e||self).tf=e.tf||{})}(this,(function(e){"use strict";class t{constructor(e){this.global=e,this.flags={},this.flagRegistry={},this.urlFlags={},this.populateURLFlags()}setPlatform(e,t){null!=this.platform&&console.warn(`Platform ${this.platformName} has already been set. Overwriting the platform with ${t}.`),this.platformName=e,this.platform=t}registerFlag(e,t,n){if(this.flagRegistry[e]={evaluationFn:t,setHook:n},null!=this.urlFlags[e]){const t=this.urlFlags[e];console.warn(`Setting feature override from URL ${e}: ${t}.`),this.set(e,t)}}get(e){return e in this.flags||(this.flags[e]=this.evaluateFlag(e)),this.flags[e]}getNumber(e){return this.get(e)}getBool(e){return this.get(e)}getFlags(){return this.flags}get features(){return this.flags}set(e,t){if(null==this.flagRegistry[e])throw new Error(`Cannot set flag ${e} as it has not been registered.`);this.flags[e]=t,null!=this.flagRegistry[e].setHook&&this.flagRegistry[e].setHook(t)}evaluateFlag(e){if(null==this.flagRegistry[e])throw new Error(`Cannot evaluate flag '${e}': no evaluation function found.`);return this.flagRegistry[e].evaluationFn()}setFlags(e){this.flags=Object.assign({},e)}reset(){this.flags={},this.urlFlags={},this.populateURLFlags()}populateURLFlags(){if(void 0===this.global||void 0===this.global.location||void 0===this.global.location.search)return;const e=function(e){const t={};return e.replace(/[?&]([^=?&]+)(?:=([^&]*))?/g,(e,...n)=>(function(e,t,n){e[decodeURIComponent(t)]=decodeURIComponent(n||"")}(t,n[0],n[1]),n.join("="))),t}(this.global.location.search);if("tfjsflags"in e){e.tfjsflags.split(",").forEach(e=>{const[t,n]=e.split(":");this.urlFlags[t]=function(e,t){if("true"===(t=t.toLowerCase())||"false"===t)return"true"===t;if(""+ +t===t)return+t;throw new Error(`Could not parse value flag value ${t} for flag ${e}.`)}(t,n)})}}}function n(){return e.ENV}let r;function s(){if(null==r){let e;if("undefined"!=typeof window)e=window;else if("undefined"!=typeof global)e=global;else if("undefined"!=typeof process)e=process;else{if("undefined"==typeof self)throw new Error("Could not find a global object");e=self}r=e}return r}function a(e,t){const n=function(){const e=s();return null==e._tfGlobals&&(e._tfGlobals=new Map),e._tfGlobals}();if(n.has(e))return n.get(e);{const r=t();return n.set(e,r),n.get(e)}}e.ENV=null;const o=a("kernelRegistry",()=>new Map),i=a("gradRegistry",()=>new Map);function u(e,t){const n=d(e,t);return o.get(n)}function l(e){return i.get(e)}function c(e){const t=o.entries(),n=[];for(;;){const{done:r,value:s}=t.next();if(r)break;const[a,o]=s,[i]=a.split("_");i===e&&n.push(o)}return n}function h(e){const{kernelName:t}=e;i.has(t)&&console.warn(`Overriding the gradient for '${t}'`),i.set(t,e)}function d(e,t){return`${t}_${e}`}function p(e){let t=e.length,n=0,r=0;for(;t>0;)r=Math.random()*t|0,t--,n=e[t],e[t]=e[r],e[r]=n}function f(e,t,n){return Math.max(e,Math.min(t,n))}function m(e,t){if(!e)throw new Error("string"==typeof t?t:t())}function g(e,t,n=""){m(k(e,t),()=>n+` Shapes ${e} and ${t} must match`)}function b(e){m(null!=e,()=>"The input to the tensor constructor must be a non-null value.")}function w(e,t=[],n=!1){if(null==t&&(t=[]),Array.isArray(e)||F(e)&&!n)for(let r=0;r<e.length;++r)w(e[r],t,n);else t.push(e);return t}function y(e){if(0===e.length)return 1;let t=e[0];for(let n=1;n<e.length;n++)t*=e[n];return t}function k(e,t){if(e===t)return!0;if(null==e||null==t)return!1;if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0}function v(e){return e%1==0}function x(e,t){return t<=e.length?e:e+" ".repeat(t-e.length)}function E(e,t){let n=1,r=-1;for(let t=0;t<e.length;++t)if(e[t]>=0)n*=e[t];else if(-1===e[t]){if(-1!==r)throw Error(`Shapes can only have 1 implicit size. Found -1 at dim ${r} and dim ${t}`);r=t}else if(e[t]<0)throw Error(`Shapes can not be < 0. Found ${e[t]} at dim ${t}`);if(-1===r){if(t>0&&t!==n)throw Error(`Size(${t}) must match the product of shape ${e}`);return e}if(0===n)throw Error(`Cannot infer the missing size in [${e}] when there are 0 elements`);if(t%n!=0)throw Error(`The implicit shape can't be a fractional number. Got ${t} / ${n}`);const s=e.slice();return s[r]=t/n,s}function S(e,t){const n=t.length;return m((e=null==e?t.map((e,t)=>t):[].concat(e)).every(e=>e>=-n&&e<n),()=>`All values in axis param must be in range [-${n}, ${n}) but got axis `+e),m(e.every(e=>v(e)),()=>"All values in axis param must be integers but got axis "+e),e.map(e=>e<0?n+e:e)}function D(e,t){const n=[],r=[],s=null!=t&&Array.isArray(t)&&0===t.length,a=null==t||s?null:S(t,e).sort();let o=0;for(let t=0;t<e.length;++t){if(null!=a){if(a[o]===t&&1!==e[t])throw new Error(`Can't squeeze axis ${t} since its dim '${e[t]}' is not 1`);(null==a[o]||a[o]>t)&&1===e[t]&&(n.push(e[t]),r.push(t)),a[o]<=t&&o++}1!==e[t]&&(n.push(e[t]),r.push(t))}return{newShape:n,keptDims:r}}function $(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else{if("bool"!==e)throw new Error("Unknown data type "+e);n=new Uint8Array(t)}return n}function I(e,t){let n=null;if(null==e||"float32"===e)n=new Float32Array(t);else if("int32"===e)n=new Int32Array(t);else if("bool"===e)n=new Uint8Array(t);else{if("string"!==e)throw new Error("Unknown data type "+e);n=new Array(t)}return n}function N(e,t){for(let n=0;n<e.length;n++){const r=e[n];if(isNaN(r)||!isFinite(r))throw Error(`A tensor of type ${t} being uploaded contains ${r}.`)}}function A(e){return"bool"===e||"complex64"===e||"float32"===e||"int32"===e||"string"===e}function _(e,t){return"complex64"!==t&&(("float32"!==t||"complex64"===e)&&(("int32"!==t||"float32"===e||"complex64"===e)&&("bool"!==t||"bool"!==e)))}function F(e){return e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array}function M(e){if("float32"===e||"int32"===e)return 4;if("complex64"===e)return 8;if("bool"===e)return 1;throw new Error("Unknown dtype "+e)}function T(e){if(null==e)return 0;let t=0;return e.forEach(e=>t+=e.length),t}function B(e){return"string"==typeof e||e instanceof String}function R(e){return"boolean"==typeof e}function C(e){return"number"==typeof e}function q(e){return Array.isArray(e)?q(e[0]):e instanceof Float32Array?"float32":e instanceof Int32Array||e instanceof Uint8Array?"int32":C(e)?"float32":B(e)?"string":R(e)?"bool":"float32"}function P(e){return!!(e&&e.constructor&&e.call&&e.apply)}function z(e,t){for(let n=t;n<e;++n)if(e%n==0)return n;return e}function L(e){const t=e.length;if(t<2)return[];const n=new Array(t-1);n[t-2]=e[t-1];for(let r=t-3;r>=0;--r)n[r]=n[r+1]*e[r+1];return n}function O(e,t,n){if("string"===t)throw new Error("Cannot convert a string[] to a TypedArray");if(Array.isArray(e)&&(e=w(e)),n&&N(e,t),function(e,t){return e instanceof Float32Array&&"float32"===t||e instanceof Int32Array&&"int32"===t||e instanceof Uint8Array&&"bool"===t}(e,t))return e;if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t){const t=new Uint8Array(e.length);for(let n=0;n<t.length;++n)0!==Math.round(e[n])&&(t[n]=1);return t}throw new Error("Unknown data type "+t)}function W(e,t){if(0===e.length)return t[0];const n=e.reduce((e,t)=>e*t);if(0===n)return[];if(n!==t.length)throw new Error(`[${e}] does not match the input size.`);return function e(t,n,r){const s=new Array;if(1===n.length){const e=n[0];for(let n=0;n<e;n++)s[n]=r[t+n]}else{const a=n[0],o=n.slice(1),i=o.reduce((e,t)=>e*t);for(let n=0;n<a;n++)s[n]=e(t+n*i,o,r)}return s}(0,e,t)}function K(e,t){const n=H(e,t);for(let e=0;e<n.length;e++)n[e]=1;return n}function H(e,t){if(null==t||"float32"===t||"complex64"===t)return new Float32Array(e);if("int32"===t)return new Int32Array(e);if("bool"===t)return new Uint8Array(e);throw new Error("Unknown data type "+t)}function G(){return n().platform.now()}function U(e){e.forEach(t=>{m(Number.isInteger(t)&&t>=0,()=>`Tensor must have a shape comprised of positive integers but got shape [${e}].`)})}function j(e,t="utf-8"){return t=t||"utf-8",n().platform.encode(e,t)}function V(e,t="utf-8"){return t=t||"utf-8",n().platform.decode(e,t)}var J=Object.freeze({__proto__:null,shuffle:p,clamp:f,nearestLargerEven:function(e){return e%2==0?e:e+1},sum:function(e){let t=0;for(let n=0;n<e.length;n++)t+=e[n];return t},randUniform:function(e,t){const n=Math.random();return t*n+(1-n)*e},distSquared:function(e,t){let n=0;for(let r=0;r<e.length;r++){const s=Number(e[r])-Number(t[r]);n+=s*s}return n},assert:m,assertShapesMatch:g,assertNonNull:b,flatten:w,sizeFromShape:y,isScalarShape:function(e){return 0===e.length},arraysEqual:k,isInt:v,tanh:function(e){if(null!=Math.tanh)return Math.tanh(e);if(e===1/0)return 1;if(e===-1/0)return-1;{const t=Math.exp(2*e);return(t-1)/(t+1)}},sizeToSquarishShape:function(e){const t=Math.ceil(Math.sqrt(e));return[t,Math.ceil(e/t)]},createShuffledIndices:function(e){const t=new Uint32Array(e);for(let n=0;n<e;++n)t[n]=n;return p(t),t},rightPad:x,repeatedTry:function(e,t=(e=>0),n){return new Promise((r,s)=>{let a=0;const o=()=>{if(e())return void r();a++;const i=t(a);null!=n&&a>=n?s():setTimeout(o,i)};o()})},inferFromImplicitShape:E,parseAxisParam:S,squeezeShape:D,getTypedArrayFromDType:$,getArrayFromDType:I,checkConversionForErrors:N,isValidDtype:A,hasEncodingLoss:_,isTypedArray:F,bytesPerElement:M,bytesFromStringArray:T,isString:B,isBoolean:R,isNumber:C,inferDtype:q,isFunction:P,nearestDivisor:z,computeStrides:L,toTypedArray:O,toNestedArray:W,makeOnesTypedArray:K,makeZerosTypedArray:H,now:G,assertNonNegativeIntegerDimensions:U,fetch:function(e,t){return n().platform.fetch(e,t)},encodeString:j,decodeString:V,locToIndex:function(e,t,n){if(0===t)return 0;if(1===t)return e[0];let r=e[e.length-1];for(let t=0;t<e.length-1;++t)r+=n[t]*e[t];return r},indexToLoc:function(e,t,n){if(0===t)return[];if(1===t)return[e];const r=new Array(t);for(let t=0;t<r.length-1;++t)r[t]=Math.floor(e/n[t]),e-=r[t]*n[t];return r[r.length-1]=e,r}});class Y{constructor(e,t){this.backendTimer=e,this.logger=t,null==t&&(this.logger=new X)}profileKernel(e,t,n){let r;const s=this.backendTimer.time(()=>{r=n()});return r.forEach(n=>{n.data().then(r=>{!function(e,t,n){if("float32"!==t)return!1;for(let t=0;t<e.length;t++){const r=e[t];if(isNaN(r)||!isFinite(r))return console.warn(`Found ${r} in the result of '${n}'`),!0}}(r,n.dtype,e),s.then(s=>{let a="";null!=s.getExtraProfileInfo&&(a=s.getExtraProfileInfo()),this.logger.logKernelProfile(e,n,r,s.kernelMs,t,a)})})}),r}}class X{logKernelProfile(e,t,n,r,s,a){const o="number"==typeof r?x(r+"ms",9):r.error,i=x(e,25),u=t.rank,l=t.size,c=x(t.shape.toString(),14);let h="";for(const e in s){const n=s[e].shape||t.shape,r=n.length;h+=`${e}: ${r}D ${r>0?n:""} `}console.log(`%c${i}\t%c${o}\t%c${u}D ${c}\t%c${l}\t%c${h}\t%c${a}`,"font-weight:bold","color:red","color:blue","color: orange","color: green","color: steelblue")}}function Z(e,t,n,r){const s=L(t),a=function(e,t,n,r){const s=y(t),a=r[r.length-1],o=new Array(a).fill(0),i=t.length,u="complex64"===n?te(e):e;if(i>1)for(let e=0;e<s/a;e++){const t=e*a;for(let e=0;e<a;e++)o[e]=Math.max(o[e],Q(u[t+e],0,n).length)}return o}(e,t,n,s),o=t.length,i=function e(t,n,r,s,a,o=!0){const i="complex64"===r?2:1,u=n[0],l=n.length;if(0===l){if("complex64"===r){return[Q(te(t)[0],0,r)]}return"bool"===r?[ee(t[0])]:[t[0].toString()]}if(1===l){if(u>20){const e=3*i;let n=Array.from(t.slice(0,e)),s=Array.from(t.slice((u-3)*i,u*i));return"complex64"===r&&(n=te(n),s=te(s)),["["+n.map((e,t)=>Q(e,a[t],r)).join(", ")+", ..., "+s.map((e,t)=>Q(e,a[u-3+t],r)).join(", ")+"]"]}return["["+("complex64"===r?te(t):Array.from(t)).map((e,t)=>Q(e,a[t],r)).join(", ")+"]"]}const c=n.slice(1),h=s.slice(1),d=s[0]*i,p=[];if(u>20){for(let n=0;n<3;n++){const s=n*d,o=s+d;p.push(...e(t.slice(s,o),c,r,h,a,!1))}p.push("...");for(let n=u-3;n<u;n++){const s=n*d,o=s+d;p.push(...e(t.slice(s,o),c,r,h,a,n===u-1))}}else for(let n=0;n<u;n++){const s=n*d,o=s+d;p.push(...e(t.slice(s,o),c,r,h,a,n===u-1))}const f=2===l?",":"";p[0]="["+p[0]+f;for(let e=1;e<p.length-1;e++)p[e]=" "+p[e]+f;let m=",\n";for(let e=2;e<l;e++)m+="\n";return p[p.length-1]=" "+p[p.length-1]+"]"+(o?"":m),p}(e,t,n,s,a),u=["Tensor"];return r&&(u.push("  dtype: "+n),u.push("  rank: "+o),u.push(`  shape: [${t}]`),u.push("  values:")),u.push(i.map(e=>"    "+e).join("\n")),u.join("\n")}function Q(e,t,n){let r;return r=Array.isArray(e)?parseFloat(e[0].toFixed(7))+" + "+parseFloat(e[1].toFixed(7))+"j":B(e)?`'${e}'`:"bool"===n?ee(e):parseFloat(e.toFixed(7)).toString(),x(r,t)}function ee(e){return 0===e?"false":"true"}function te(e){const t=[];for(let n=0;n<e.length;n+=2)t.push([e[n],e[n+1]]);return t}class ne{constructor(e,t,n){if(this.dtype=t,this.shape=e.slice(),this.size=y(e),null!=n){const e=n.length;m(e===this.size,()=>`Length of values '${e}' does not match the size inferred by the shape '${this.size}'.`)}if("complex64"===t)throw new Error("complex64 dtype TensorBuffers are not supported. Please create a TensorBuffer for the real and imaginary parts separately and call tf.complex(real, imag).");this.values=n||I(t,this.size),this.strides=L(e)}set(e,...t){0===t.length&&(t=[0]),m(t.length===this.rank,()=>`The number of provided coordinates (${t.length}) must match the rank (${this.rank})`);const n=this.locToIndex(t);this.values[n]=e}get(...e){0===e.length&&(e=[0]);let t=0;for(const n of e){if(n<0||n>=this.shape[t]){const t=`Requested out of range element at ${e}.   Buffer shape=`+this.shape;throw new Error(t)}t++}let n=e[e.length-1];for(let t=0;t<e.length-1;++t)n+=this.strides[t]*e[t];return this.values[n]}locToIndex(e){if(0===this.rank)return 0;if(1===this.rank)return e[0];let t=e[e.length-1];for(let n=0;n<e.length-1;++n)t+=this.strides[n]*e[n];return t}indexToLoc(e){if(0===this.rank)return[];if(1===this.rank)return[e];const t=new Array(this.shape.length);for(let n=0;n<t.length-1;++n)t[n]=Math.floor(e/this.strides[n]),e-=t[n]*this.strides[n];return t[t.length-1]=e,t}get rank(){return this.shape.length}toTensor(){return re().makeTensor(this.values,this.shape,this.dtype)}}let re=null,se=null,ae=null;class oe{constructor(e,t,n,r){this.kept=!1,this.isDisposedInternal=!1,this.shape=e.slice(),this.dtype=t||"float32",this.size=y(e),this.strides=L(e),this.dataId=n,this.id=r,this.rankType=this.rank<5?this.rank.toString():"higher"}flatten(){return this.throwIfDisposed(),this.as1D()}asScalar(){return this.throwIfDisposed(),m(1===this.size,()=>"The array must have only 1 element."),this.reshape([])}as1D(){return this.throwIfDisposed(),this.reshape([this.size])}as2D(e,t){return this.throwIfDisposed(),this.reshape([e,t])}as3D(e,t,n){return this.throwIfDisposed(),this.reshape([e,t,n])}as4D(e,t,n,r){return this.throwIfDisposed(),this.reshape([e,t,n,r])}as5D(e,t,n,r,s){return this.throwIfDisposed(),this.reshape([e,t,n,r,s])}asType(e){return this.throwIfDisposed(),se.cast(this,e)}get rank(){return this.shape.length}async buffer(){const e=await this.data();return se.buffer(this.shape,this.dtype,e)}bufferSync(){return se.buffer(this.shape,this.dtype,this.dataSync())}async array(){const e=await this.data();return W(this.shape,e)}arraySync(){return W(this.shape,this.dataSync())}async data(){this.throwIfDisposed();const e=re().read(this.dataId);if("string"===this.dtype){const t=await e;try{return t.map(e=>V(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}}return e}dataSync(){this.throwIfDisposed();const e=re().readSync(this.dataId);if("string"===this.dtype)try{return e.map(e=>V(e))}catch(e){throw new Error("Failed to decode the string bytes into utf-8. To get the original bytes, call tensor.bytes().")}return e}async bytes(){this.throwIfDisposed();const e=await re().read(this.dataId);return"string"===this.dtype?e:new Uint8Array(e.buffer)}dispose(){this.isDisposed||(re().disposeTensor(this),this.isDisposedInternal=!0)}get isDisposed(){return this.isDisposedInternal}throwIfDisposed(){if(this.isDisposed)throw new Error("Tensor is disposed.")}toFloat(){return this.asType("float32")}toInt(){return this.asType("int32")}toBool(){return this.asType("bool")}print(e=!1){return se.print(this,e)}reshape(e){return this.throwIfDisposed(),se.reshape(this,e)}reshapeAs(e){return this.throwIfDisposed(),this.reshape(e.shape)}expandDims(e=0){return se.expandDims(this,e)}cumsum(e=0,t=!1,n=!1){return se.cumsum(this,e,t,n)}squeeze(e){return this.throwIfDisposed(),se.squeeze(this,e)}clone(){return this.throwIfDisposed(),se.clone(this)}toString(e=!1){return Z(this.dataSync(),this.shape,this.dtype,e)}gather(e,t=0){return this.throwIfDisposed(),se.gather(this,e,t)}matMul(e,t=!1,n=!1){return this.throwIfDisposed(),se.matMul(this,e,t,n)}dot(e){return this.throwIfDisposed(),se.dot(this,e)}norm(e="euclidean",t=null,n=!1){return this.throwIfDisposed(),se.norm(this,e,t,n)}slice(e,t){return this.throwIfDisposed(),se.slice(this,e,t)}reverse(e){return this.throwIfDisposed(),se.reverse(this,e)}stack(e,t=0){return se.stack([this,e],t)}unstack(e=0){return se.unstack(this,e)}batchNormalization(e,t,n=.001,r,s){return ae("tf.batchNormalization() is going away. Use tf.batchNorm() instead, and note the positional argument change of scale, offset, and varianceEpsilon"),this.batchNorm(e,t,s,r,n)}all(e=null,t=!1){return this.throwIfDisposed(),se.all(this,e,t)}any(e=null,t=!1){return this.throwIfDisposed(),se.any(this,e,t)}logSumExp(e=null,t=!1){return this.throwIfDisposed(),se.logSumExp(this,e,t)}sum(e=null,t=!1){return this.throwIfDisposed(),se.sum(this,e,t)}prod(e=null,t=!1){return this.throwIfDisposed(),se.prod(this,e,t)}mean(e=null,t=!1){return this.throwIfDisposed(),se.mean(this,e,t)}min(e=null,t=!1){return this.throwIfDisposed(),se.min(this,e,t)}max(e=null,t=!1){return this.throwIfDisposed(),se.max(this,e,t)}argMin(e=null){return this.throwIfDisposed(),se.argMin(this,e)}argMax(e=null){return this.throwIfDisposed(),se.argMax(this,e)}cast(e){return this.throwIfDisposed(),se.cast(this,e)}addStrict(e){return this.throwIfDisposed(),se.addStrict(this,e)}atan2(e){return this.throwIfDisposed(),se.atan2(this,e)}subStrict(e){return this.throwIfDisposed(),se.subStrict(this,e)}pow(e){return this.throwIfDisposed(),se.pow(this,e)}powStrict(e){return this.throwIfDisposed(),se.powStrict(this,e)}mul(e){return this.throwIfDisposed(),se.mul(this,e)}mulStrict(e){return this.throwIfDisposed(),se.mulStrict(this,e)}floorDiv(e){return this.throwIfDisposed(),se.floorDiv(this,e)}divStrict(e){return this.throwIfDisposed(),se.divStrict(this,e)}minimum(e){return this.throwIfDisposed(),se.minimum(this,e)}minimumStrict(e){return this.throwIfDisposed(),se.minimumStrict(this,e)}maximum(e){return this.throwIfDisposed(),se.maximum(this,e)}maximumStrict(e){return this.throwIfDisposed(),se.maximumStrict(this,e)}mod(e){return this.throwIfDisposed(),se.mod(this,e)}modStrict(e){return this.throwIfDisposed(),se.modStrict(this,e)}squaredDifferenceStrict(e){return this.throwIfDisposed(),se.squaredDifferenceStrict(this,e)}notEqualStrict(e){return this.throwIfDisposed(),se.notEqualStrict(this,e)}less(e){return this.throwIfDisposed(),se.less(this,e)}lessStrict(e){return this.throwIfDisposed(),se.lessStrict(this,e)}equal(e){return this.throwIfDisposed(),se.equal(this,e)}equalStrict(e){return this.throwIfDisposed(),se.equalStrict(this,e)}lessEqual(e){return this.throwIfDisposed(),se.lessEqual(this,e)}lessEqualStrict(e){return this.throwIfDisposed(),se.lessEqualStrict(this,e)}greater(e){return this.throwIfDisposed(),se.greater(this,e)}greaterStrict(e){return this.throwIfDisposed(),se.greaterStrict(this,e)}greaterEqual(e){return this.throwIfDisposed(),se.greaterEqual(this,e)}greaterEqualStrict(e){return this.throwIfDisposed(),se.greaterEqualStrict(this,e)}logicalAnd(e){return this.throwIfDisposed(),se.logicalAnd(this,e)}logicalOr(e){return this.throwIfDisposed(),se.logicalOr(this,e)}logicalNot(){return this.throwIfDisposed(),se.logicalNot(this)}logicalXor(e){return this.throwIfDisposed(),se.logicalXor(this,e)}where(e,t){return this.throwIfDisposed(),se.where(e,this,t)}neg(){return this.throwIfDisposed(),se.neg(this)}ceil(){return this.throwIfDisposed(),se.ceil(this)}floor(){return this.throwIfDisposed(),se.floor(this)}sign(){return this.throwIfDisposed(),se.sign(this)}isNaN(){return this.throwIfDisposed(),se.isNaN(this)}isInf(){return this.throwIfDisposed(),se.isInf(this)}isFinite(){return this.throwIfDisposed(),se.isFinite(this)}exp(){return this.throwIfDisposed(),se.exp(this)}expm1(){return this.throwIfDisposed(),se.expm1(this)}log(){return this.throwIfDisposed(),se.log(this)}log1p(){return this.throwIfDisposed(),se.log1p(this)}sqrt(){return this.throwIfDisposed(),se.sqrt(this)}rsqrt(){return this.throwIfDisposed(),se.rsqrt(this)}square(){return this.throwIfDisposed(),se.square(this)}reciprocal(){return this.throwIfDisposed(),se.reciprocal(this)}abs(){return this.throwIfDisposed(),se.abs(this)}clipByValue(e,t){return this.throwIfDisposed(),se.clipByValue(this,e,t)}relu(){return this.throwIfDisposed(),se.relu(this)}relu6(){return this.throwIfDisposed(),se.relu6(this)}elu(){return this.throwIfDisposed(),se.elu(this)}selu(){return this.throwIfDisposed(),se.selu(this)}leakyRelu(e=.2){return this.throwIfDisposed(),se.leakyRelu(this,e)}prelu(e){return this.throwIfDisposed(),se.prelu(this,e)}sigmoid(){return this.throwIfDisposed(),se.sigmoid(this)}logSigmoid(){return this.throwIfDisposed(),se.logSigmoid(this)}softplus(){return this.throwIfDisposed(),se.softplus(this)}zerosLike(){return this.throwIfDisposed(),se.zerosLike(this)}onesLike(){return this.throwIfDisposed(),se.onesLike(this)}sin(){return this.throwIfDisposed(),se.sin(this)}cos(){return this.throwIfDisposed(),se.cos(this)}tan(){return this.throwIfDisposed(),se.tan(this)}asin(){return this.throwIfDisposed(),se.asin(this)}acos(){return this.throwIfDisposed(),se.acos(this)}atan(){return this.throwIfDisposed(),se.atan(this)}sinh(){return this.throwIfDisposed(),se.sinh(this)}cosh(){return this.throwIfDisposed(),se.cosh(this)}tanh(){return this.throwIfDisposed(),se.tanh(this)}asinh(){return this.throwIfDisposed(),se.asinh(this)}acosh(){return this.throwIfDisposed(),se.acosh(this)}atanh(){return this.throwIfDisposed(),se.atanh(this)}erf(){return this.throwIfDisposed(),se.erf(this)}round(){return this.throwIfDisposed(),se.round(this)}step(e=0){return this.throwIfDisposed(),se.step(this,e)}softmax(e=-1){return this.throwIfDisposed(),se.softmax(this,e)}logSoftmax(e=-1){return this.throwIfDisposed(),se.logSoftmax(this,e)}resizeBilinear(e,t=!1){return this.throwIfDisposed(),se.image.resizeBilinear(this,e,t)}resizeNearestNeighbor(e,t=!1){return this.throwIfDisposed(),se.image.resizeNearestNeighbor(this,e,t)}conv1d(e,t,n,r="NWC",s=1,a){return this.throwIfDisposed(),se.conv1d(this,e,t,n,r,s,a)}conv2d(e,t,n,r="NHWC",s=[1,1],a){return this.throwIfDisposed(),se.conv2d(this,e,t,n,r,s,a)}conv2dTranspose(e,t,n,r,s){return this.throwIfDisposed(),se.conv2dTranspose(this,e,t,n,r,s)}depthwiseConv2D(e,t,n,r="NHWC",s=[1,1],a){return this.throwIfDisposed(),se.depthwiseConv2d(this,e,t,n,r,s,a)}separableConv2d(e,t,n,r,s=[1,1],a="NHWC"){return this.throwIfDisposed(),se.separableConv2d(this,e,t,n,r,s,a)}avgPool(e,t,n,r){return this.throwIfDisposed(),se.avgPool(this,e,t,n,r)}maxPool(e,t,n,r){return this.throwIfDisposed(),se.maxPool(this,e,t,n,r)}localResponseNormalization(e=5,t=1,n=1,r=.5){return se.localResponseNormalization(this,e,t,n,r)}pool(e,t,n,r,s){return this.throwIfDisposed(),se.pool(this,e,t,n,r,s)}variable(e=!0,t,n){return this.throwIfDisposed(),re().makeVariable(this,e,t,n)}unsortedSegmentSum(e,t){return this.throwIfDisposed(),se.unsortedSegmentSum(this,e,t)}batchToSpaceND(e,t){return this.throwIfDisposed(),se.batchToSpaceND(this,e,t)}spaceToBatchND(e,t){return this.throwIfDisposed(),se.spaceToBatchND(this,e,t)}topk(e=1,t=!0){return this.throwIfDisposed(),se.topk(this,e,t)}stridedSlice(e,t,n,r=0,s=0,a=0,o=0,i=0){return this.throwIfDisposed(),se.stridedSlice(this,e,t,n,r,s,a,o,i)}depthToSpace(e,t){return this.throwIfDisposed(),se.depthToSpace(this,e,t)}fft(){return this.throwIfDisposed(),se.spectral.fft(this)}ifft(){return this.throwIfDisposed(),se.spectral.ifft(this)}rfft(){return this.throwIfDisposed(),se.spectral.rfft(this)}irfft(){return this.throwIfDisposed(),se.spectral.irfft(this)}}Object.defineProperty(oe,Symbol.hasInstance,{value:e=>!!e&&null!=e.dataId&&null!=e.shape&&null!=e.dtype});class ie extends oe{constructor(e,t,n,r){super(e.shape,e.dtype,e.dataId,r),this.trainable=t,this.name=n}assign(e){if(e.dtype!==this.dtype)throw new Error(`dtype of the new value (${e.dtype}) and previous value (${this.dtype}) must match`);if(!k(e.shape,this.shape))throw new Error(`shape of the new value (${e.shape}) and previous value (${this.shape}) must match`);re().disposeTensor(this),this.dataId=e.dataId,re().incRef(this,null)}dispose(){re().disposeVariable(this),this.isDisposedInternal=!0}}var ue,le,ce,he,de;Object.defineProperty(ie,Symbol.hasInstance,{value:e=>e instanceof oe&&null!=e.assign&&e.assign instanceof Function}),(ue=e.Rank||(e.Rank={})).R0="R0",ue.R1="R1",ue.R2="R2",ue.R3="R3",ue.R4="R4",ue.R5="R5",ue.R6="R6",function(e){e.float32="float32",e.int32="int32",e.bool="int32",e.complex64="complex64"}(le||(le={})),function(e){e.float32="float32",e.int32="int32",e.bool="bool",e.complex64="complex64"}(ce||(ce={})),function(e){e.float32="float32",e.int32="float32",e.bool="float32",e.complex64="complex64"}(he||(he={})),function(e){e.float32="complex64",e.int32="complex64",e.bool="complex64",e.complex64="complex64"}(de||(de={}));const pe={float32:he,int32:le,bool:ce,complex64:de};function fe(e,t){if("string"===e||"string"===t){if("string"===e&&"string"===t)return"string";throw new Error(`Can not upcast ${e} with ${t}`)}return pe[e][t]}function me(e,t){if(e.dtype===t.dtype)return[e,t];const n=fe(e.dtype,t.dtype);return[e.cast(n),t.cast(n)]}function ge(e,t){m(e.dtype===t.dtype,()=>`The dtypes of the first(${e.dtype}) and second(${t.dtype}) input must match`)}function be(e){const t=[];return function e(t,n,r){if(null==t)return;if(t instanceof oe)return void n.push(t);if(s=t,!Array.isArray(s)&&"object"!=typeof s)return;var s;const a=t;for(const t in a){const s=a[t];r.has(s)||(r.add(s),e(s,n,r))}}(e,t,new Set),t}var we=Object.freeze({__proto__:null,makeTypesMatch:me,assertTypesMatch:ge,isTensorInList:function(e,t){return t.some(t=>t.id===e.id)},getTensorsInContainer:be});class ye{constructor(){this.registeredVariables={},this.nextTapeNodeId=0,this.numBytes=0,this.numTensors=0,this.numStringTensors=0,this.numDataBuffers=0,this.gradientDepth=0,this.kernelDepth=0,this.scopeStack=[],this.numDataMovesStack=[],this.nextScopeId=0,this.tensorInfo=new WeakMap,this.profiling=!1,this.activeProfile={newBytes:0,newTensors:0,peakBytes:0,kernels:[],result:null}}dispose(){for(const e in this.registeredVariables)this.registeredVariables[e].dispose()}}class ke{constructor(e){this.ENV=e,this.registry={},this.registryFactory={},this.pendingBackendInitId=0,this.state=new ye}async ready(){if(null!=this.pendingBackendInit)return this.pendingBackendInit.then(()=>{});if(null!=this.backendInstance)return;const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t];if(await this.initializeBackend(n).success)return void await this.setBackend(n)}throw new Error("Could not initialize any backends, all backend initializations failed.")}get backend(){if(null!=this.pendingBackendInit)throw new Error(`Backend '${this.backendName}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);if(null==this.backendInstance){const{name:e,asyncInit:t}=this.initializeBackendsAndReturnBest();if(t)throw new Error(`The highest priority backend '${e}' has not yet been initialized. Make sure to await tf.ready() or await tf.setBackend() before calling other methods`);this.setBackend(e)}return this.backendInstance}backendNames(){return Object.keys(this.registryFactory)}findBackend(e){if(!(e in this.registry)){if(!(e in this.registryFactory))return null;{const{asyncInit:t}=this.initializeBackend(e);if(t)return null}}return this.registry[e]}findBackendFactory(e){return e in this.registryFactory?this.registryFactory[e].factory:null}registerBackend(e,t,n=1){return e in this.registryFactory?(console.warn(e+" backend was already registered. Reusing existing backend factory."),!1):(this.registryFactory[e]={factory:t,priority:n},!0)}async setBackend(e){if(null==this.registryFactory[e])throw new Error(`Backend name '${e}' not found in registry`);if(this.backendName=e,null==this.registry[e]){this.backendInstance=null;const{success:t,asyncInit:n}=this.initializeBackend(e);if(!(n?await t:t))return!1}return this.backendInstance=this.registry[e],this.setupRegisteredKernels(),this.profiler=new Y(this.backendInstance),!0}setupRegisteredKernels(){c(this.backendName).forEach(e=>{null!=e.setupFunc&&e.setupFunc(this.backendInstance)})}disposeRegisteredKernels(e){c(e).forEach(t=>{null!=t.disposeFunc&&t.disposeFunc(this.registry[e])})}initializeBackend(e){const t=this.registryFactory[e];if(null==t)throw new Error(`Cannot initialize backend ${e}, no registration found.`);try{const n=t.factory();if(Promise.resolve(n)===n){const t=++this.pendingBackendInitId,r=n.then(n=>!(t<this.pendingBackendInitId)&&(this.registry[e]=n,this.pendingBackendInit=null,!0)).catch(n=>(t<this.pendingBackendInitId||(this.pendingBackendInit=null,console.warn(`Initialization of backend ${e} failed`),console.warn(n.stack||n.message)),!1));return this.pendingBackendInit=r,{success:r,asyncInit:!0}}return this.registry[e]=n,{success:!0,asyncInit:!1}}catch(t){return console.warn(`Initialization of backend ${e} failed`),console.warn(t.stack||t.message),{success:!1,asyncInit:!1}}}removeBackend(e){if(!(e in this.registryFactory))throw new Error(e+" backend not found in registry");this.backendName===e&&null!=this.pendingBackendInit&&this.pendingBackendInitId++,e in this.registry&&(this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e]),delete this.registryFactory[e],this.backendName===e&&(this.pendingBackendInit=null,this.backendName=null,this.backendInstance=null)}getSortedBackends(){if(0===Object.keys(this.registryFactory).length)throw new Error("No backend found in registry.");return Object.keys(this.registryFactory).sort((e,t)=>this.registryFactory[t].priority-this.registryFactory[e].priority)}initializeBackendsAndReturnBest(){const e=this.getSortedBackends();for(let t=0;t<e.length;t++){const n=e[t],{success:r,asyncInit:s}=this.initializeBackend(n);if(s||r)return{name:n,asyncInit:s}}throw new Error("Could not initialize any backends, all backend initializations failed.")}moveData(e,t){const n=this.state.tensorInfo.get(t),r=n.backend,s=this.readSync(t);r.disposeData(t),n.backend=e,e.move(t,s,n.shape,n.dtype),this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack[this.state.numDataMovesStack.length-1]++}tidy(e,t){let n,r=null;if(null==t){if("function"!=typeof e)throw new Error("Please provide a function to tidy()");t=e}else{if("string"!=typeof e&&!(e instanceof String))throw new Error("When calling with two arguments, the first argument to tidy() must be a string");if("function"!=typeof t)throw new Error("When calling with two arguments, the 2nd argument to tidy() must be a function");r=e}return this.scopedRun(()=>this.startScope(r),()=>this.endScope(n),()=>(n=t(),n instanceof Promise&&console.error("Cannot return a Promise inside of tidy."),n))}scopedRun(e,t,n){e();try{const e=n();return t(),e}catch(e){throw t(),e}}nextTensorId(){return ke.nextTensorId++}nextVariableId(){return ke.nextVariableId++}clone(e){const t=this.makeTensorFromDataId(e.dataId,e.shape,e.dtype),n={x:e};return this.addTapeNode(this.state.activeScope.name,n,[t],e=>({x:()=>e.toFloat()}),[],{}),t}runKernel(e,t,n,r,s){return this.runKernelFunc(null,t,null,e,n,r,s)}shouldCheckForMemLeaks(){return this.ENV.getBool("IS_TEST")}checkKernelForMemLeak(e,t,n){const r=this.backend.numDataIds();let s=0;n.forEach(e=>{s+="complex64"===e.dtype?3:1});const a=this.state.numDataMovesStack[this.state.numDataMovesStack.length-1],o=r-t-s-a;if(o>0)throw new Error(`Backend '${this.backendName}' has an internal memory leak (${o} data ids) after running '${e}'`)}runKernelFunc(e,t,n,r,s,a,o){let i,l=[];const c=this.isTapeOn();null==r&&(r=null!=this.state.activeScope?this.state.activeScope.name:"");const h=this.state.numBytes,d=this.state.numTensors;let p;this.shouldCheckForMemLeaks()&&this.state.numDataMovesStack.push(0);const f=u(r,this.backendName);let m;if(null!=f)p=()=>{const e=this.backend.numDataIds();m=f.kernelFunc({inputs:t,attrs:s,backend:this.backend});const n=Array.isArray(m)?m:[m];this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(r,e,n);const i=n.map(({dataId:e,shape:t,dtype:n})=>this.makeTensorFromDataId(e,t,n));if(c){let e=this.getTensorsForGradient(r,t,i);if(null==e){null==o&&(o=[]);const t=i.filter((e,t)=>o[t]);e=(a||[]).slice().concat(t)}l=this.saveTensorsForBackwardMode(e)}return i};else{const t=e=>{c&&(l=e.map(e=>this.keep(this.clone(e))))};p=()=>{const n=this.backend.numDataIds();m=this.tidy(()=>e(this.backend,t));const s=Array.isArray(m)?m:[m];return this.shouldCheckForMemLeaks()&&this.checkKernelForMemLeak(r,n,s),s}}return this.scopedRun(()=>this.state.kernelDepth++,()=>this.state.kernelDepth--,()=>{i=this.ENV.getBool("DEBUG")?this.profiler.profileKernel(r,t,()=>p()):p()}),c&&this.addTapeNode(r,t,i,n,l,s),this.state.profiling&&this.state.activeProfile.kernels.push({name:r,bytesAdded:this.state.numBytes-h,totalBytesSnapshot:this.state.numBytes,tensorsAdded:this.state.numTensors-d,totalTensorsSnapshot:this.state.numTensors,inputShapes:Object.keys(t).map(e=>t[e].shape),outputShapes:i.map(e=>e.shape)}),Array.isArray(m)?i:i[0]}saveTensorsForBackwardMode(e){return e.map(e=>this.keep(this.clone(e)))}getTensorsForGradient(e,t,n){const r=l(e);if(null!=r){const e=r.inputsToSave||[],s=r.outputsToSave||[];let a;r.saveAllInputs?(m(Array.isArray(t),()=>"saveAllInputs is true, expected inputs to be an array."),a=Object.keys(t).map(e=>t[e])):a=e.map(e=>t[e]);const o=n.filter((e,t)=>s[t]);return a.concat(o)}return null}makeTensor(e,t,n,r){if(null==e)throw new Error("Values passed to engine.makeTensor() are null");n=n||"float32",r=r||this.backend;let s=e;"string"===n&&B(e[0])&&(s=e.map(e=>j(e)));const a=r.write(s,t,n),o=new oe(t,n,a,this.nextTensorId());if(this.incRef(o,r),"string"===n){const e=this.state.tensorInfo.get(a),t=T(s);this.state.numBytes+=t-e.bytes,e.bytes=t}return o}makeTensorFromDataId(e,t,n,r){const s=new oe(t,n=n||"float32",e,this.nextTensorId());return this.incRef(s,r),s}makeVariable(e,t=!0,n,r){n=n||this.nextVariableId().toString(),null!=r&&r!==e.dtype&&(e=e.asType(r));const s=new ie(e,t,n,this.nextTensorId());if(null!=this.state.registeredVariables[s.name])throw new Error(`Variable with name ${s.name} was already registered`);return this.state.registeredVariables[s.name]=s,this.incRef(s,this.backend),s}incRef(e,t){const n=this.state.tensorInfo.has(e.dataId)?this.state.tensorInfo.get(e.dataId).refCount:0;if(this.state.numTensors++,"string"===e.dtype&&this.state.numStringTensors++,0===n){this.state.numDataBuffers++;let n=0;"complex64"!==e.dtype&&"string"!==e.dtype&&(n=e.size*M(e.dtype)),this.state.tensorInfo.set(e.dataId,{backend:t||this.backend,dtype:e.dtype,shape:e.shape,bytes:n,refCount:0}),this.state.numBytes+=n}this.state.tensorInfo.get(e.dataId).refCount++,e instanceof ie||this.track(e)}disposeTensor(e){if(!this.state.tensorInfo.has(e.dataId))return;this.state.numTensors--,"string"===e.dtype&&this.state.numStringTensors--;const t=this.state.tensorInfo.get(e.dataId);t.refCount<=1?("complex64"!==e.dtype&&(this.state.numBytes-=t.bytes),this.state.numDataBuffers--,t.backend.disposeData(e.dataId),this.state.tensorInfo.delete(e.dataId)):this.state.tensorInfo.get(e.dataId).refCount--}disposeVariables(){for(const e in this.state.registeredVariables){const t=this.state.registeredVariables[e];this.disposeVariable(t)}}disposeVariable(e){this.disposeTensor(e),null!=this.state.registeredVariables[e.name]&&delete this.state.registeredVariables[e.name]}memory(){const e=this.backend.memory();return e.numTensors=this.state.numTensors,e.numDataBuffers=this.state.numDataBuffers,e.numBytes=this.state.numBytes,this.state.numStringTensors>0&&(e.unreliable=!0,null==e.reasons&&(e.reasons=[]),e.reasons.push("Memory usage by string tensors is approximate (2 bytes per character)")),e}async profile(e){this.state.profiling=!0;const t=this.state.numBytes,n=this.state.numTensors;return this.state.activeProfile.kernels=[],this.state.activeProfile.result=e(),this.state.profiling=!1,this.state.activeProfile.peakBytes=Math.max(...this.state.activeProfile.kernels.map(e=>e.totalBytesSnapshot)),this.state.activeProfile.newBytes=this.state.numBytes-t,this.state.activeProfile.newTensors=this.state.numTensors-n,this.state.activeProfile}isTapeOn(){return this.state.gradientDepth>0&&0===this.state.kernelDepth}addTapeNode(e,t,n,r,s,a){const o={id:this.state.nextTapeNodeId++,kernelName:e,inputs:t,outputs:n,saved:s},i=l(e);null!=i&&(r=i.gradFunc),null!=r&&(o.gradient=e=>(e=e.map((e,t)=>{if(null==e){const e=n[t],r=H(e.size,e.dtype);return this.makeTensor(r,e.shape,e.dtype)}return e}),r(e.length>1?e:e[0],s,a))),this.state.activeTape.push(o)}keep(e){return e.kept=!0,e}startTape(){0===this.state.gradientDepth&&(this.state.activeTape=[]),this.state.gradientDepth++}endTape(){this.state.gradientDepth--}startScope(e){const t={track:[],name:"unnamed scope",id:this.state.nextScopeId++};e&&(t.name=e),this.state.scopeStack.push(t),this.state.activeScope=t}endScope(e){const t=be(e),n=new Set(t.map(e=>e.id));for(let e=0;e<this.state.activeScope.track.length;e++){const t=this.state.activeScope.track[e];t.kept||n.has(t.id)||t.dispose()}const r=this.state.scopeStack.pop();this.state.activeScope=0===this.state.scopeStack.length?null:this.state.scopeStack[this.state.scopeStack.length-1],t.forEach(e=>{e.kept||e.scopeId!==r.id||this.track(e)})}gradients(e,t,n,r=!1){if(m(t.length>0,()=>"gradients() received an empty list of xs."),null!=n&&"float32"!==n.dtype)throw new Error(`dy must have 'float32' dtype, but has '${n.dtype}'`);const s=this.scopedRun(()=>this.startTape(),()=>this.endTape(),()=>this.tidy("forward",e));m(s instanceof oe,()=>"The result y returned by f() must be a tensor.");const a=function(e,t,n){const r={},s={};for(let e=0;e<t.length;e++)r[t[e].id]=!0;for(let n=0;n<e.length;n++){const a=e[n],o=a.inputs;for(const e in o){const n=o[e];let i=!1;for(let e=0;e<t.length;e++)if(r[n.id]){a.outputs.forEach(e=>r[e.id]=!0),i=!0,s[a.id]=!0;break}if(i)break}}const a={};a[n.id]=!0;const o={};for(let t=e.length-1;t>=0;t--){const n=e[t],r=n.inputs;for(let e=0;e<n.outputs.length;e++)if(a[n.outputs[e].id]){for(const e in r)a[r[e].id]=!0,o[n.id]=!0;break}}const i=[];for(let t=0;t<e.length;t++){const n=e[t];if(s[n.id]&&o[n.id]){const e={};for(const t in n.inputs){const s=n.inputs[t];r[s.id]&&(e[t]=s)}const t=Object.assign({},n);t.inputs=e,t.outputs=n.outputs,i.push(t)}}return i}(this.state.activeTape,t,s);if(!r&&0===a.length&&t.length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that the f you passed encloses all operations that lead from x to y.");return this.tidy("backward",()=>{const e={};e[s.id]=null==n?function(e){const t=K(y(e),"float32");return ve.makeTensor(t,e,"float32")}(s.shape):n,function(e,t,n){for(let r=t.length-1;r>=0;r--){const s=t[r],a=[];if(s.outputs.forEach(t=>{const n=e[t.id];null!=n?a.push(n):a.push(null)}),null==s.gradient)throw new Error(`Cannot compute gradient: gradient function not found for ${s.kernelName}.`);const o=s.gradient(a);for(const t in s.inputs){if(!(t in o))throw new Error(`Cannot backprop through input ${t}. Available gradients found: ${Object.keys(o)}.`);const r=n(()=>o[t]());if("float32"!==r.dtype)throw new Error(`Error in gradient for op ${s.kernelName}. The gradient of input ${t} must have 'float32' dtype, but has '${r.dtype}'`);const a=s.inputs[t];if(!k(r.shape,a.shape))throw new Error(`Error in gradient for op ${s.kernelName}. The gradient of input '${t}' has shape '${r.shape}', which does not match the shape of the input '${a.shape}'`);if(null==e[a.id])e[a.id]=r;else{const t=e[a.id];e[a.id]=t.add(r),t.dispose()}}}}(e,a,e=>this.tidy(e));const r=t.map(t=>e[t.id]);return 0===this.state.gradientDepth&&(this.state.activeTape.forEach(e=>{for(const t of e.saved)t.dispose()}),this.state.activeTape=null),{value:s,grads:r}})}customGrad(e){return m(P(e),()=>"The f passed in customGrad(f) must be a function."),(...t)=>{let n;m(t.every(e=>e instanceof oe),()=>"The args passed in customGrad(f)(x1, x2,...) must all be tensors");const r={};return t.forEach((e,t)=>{r[t]=e}),this.runKernelFunc((r,s)=>(n=e(...t,s),m(n.value instanceof oe,()=>"The function f passed in customGrad(f) must return an object where `obj.value` is a tensor"),m(P(n.gradFunc),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function."),n.value),r,(e,r)=>{const s=n.gradFunc(e,r),a=Array.isArray(s)?s:[s];m(a.length===t.length,()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns the same number of tensors as inputs passed to f(...)."),m(a.every(e=>e instanceof oe),()=>"The function f passed in customGrad(f) must return an object where `obj.gradFunc` is a function that returns a list of only tensors.");const o={};return a.forEach((e,t)=>{o[t]=()=>e}),o})}}readSync(e){return this.state.tensorInfo.get(e).backend.readSync(e)}read(e){return this.state.tensorInfo.get(e).backend.read(e)}async time(e){const t=G(),n=await this.backend.time(e);return n.wallMs=G()-t,n}track(e){return null!=this.state.activeScope&&(e.scopeId=this.state.activeScope.id,this.state.activeScope.track.push(e)),e}get registeredVariables(){return this.state.registeredVariables}reset(){this.pendingBackendInitId++,this.state.dispose(),this.ENV.reset(),this.state=new ye;for(const e in this.registry)this.disposeRegisteredKernels(e),this.registry[e].dispose(),delete this.registry[e];this.backendName=null,this.backendInstance=null,this.pendingBackendInit=null}}ke.nextTensorId=0,ke.nextVariableId=0;const ve=function(){const n=s();if(null==n._tfengine){const e=new t(n);n._tfengine=new ke(e)}var r;return r=n._tfengine.ENV,e.ENV=r,re=()=>n._tfengine,n._tfengine}();function xe(){return"undefined"!=typeof window&&null!=window.document||"undefined"!=typeof WorkerGlobalScope}var Ee=Object.freeze({__proto__:null,isMobile:function(){if("undefined"!=typeof navigator&&null!=navigator){const e=navigator.userAgent||navigator.vendor||window.opera;return/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(e)||/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(e.substr(0,4))}return!1},isBrowser:xe});const Se=n();Se.registerFlag("DEBUG",()=>!1,e=>{e&&console.warn("Debugging mode is ON. The output of every math call will be downloaded to CPU and checked for NaNs. This significantly impacts performance.")}),Se.registerFlag("IS_BROWSER",()=>xe()),Se.registerFlag("IS_NODE",()=>"undefined"!=typeof process&&void 0!==process.versions&&void 0!==process.versions.node),Se.registerFlag("IS_CHROME",()=>"undefined"!=typeof navigator&&null!=navigator&&null!=navigator.userAgent&&/Chrome/.test(navigator.userAgent)&&/Google Inc/.test(navigator.vendor)),Se.registerFlag("PROD",()=>!1),Se.registerFlag("TENSORLIKE_CHECK_SHAPE_CONSISTENCY",()=>Se.getBool("DEBUG")),Se.registerFlag("DEPRECATION_WARNINGS_ENABLED",()=>!0),Se.registerFlag("IS_TEST",()=>!1);function De(e,t){const n=[];for(let r=0;r<t.length;r++){const s=e[e.length-r-1],a=t.length-r-1,o=t[a];(null==s||1===s&&o>1)&&n.unshift(a)}return n}function $e(e,t){const n=[],r=Math.max(e.length,t.length);for(let s=0;s<r;s++){let r=e[e.length-s-1];null==r&&(r=1);let a=t[t.length-s-1];if(null==a&&(a=1),1===r)n.unshift(a);else if(1===a)n.unshift(r);else{if(r!==a){throw Error(`Operands could not be broadcast together with shapes ${e} and ${t}.`)}n.unshift(r)}}return n}const Ie={kernelName:"Add",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=$e(n.shape,r.shape);return{a:()=>{let t=e;const r=De(n.shape,s);return r.length>0&&(t=t.sum(r)),t.reshape(n.shape)},b:()=>{let t=e;const n=De(r.shape,s);return n.length>0&&(t=t.sum(n)),t.reshape(r.shape)}}}},Ne={kernelName:"AddN",saveAllInputs:!0,gradFunc:(e,t)=>{const n={};return t.forEach((t,r)=>{n[r]=()=>e.clone()}),n}};function Ae(e,t){let r=e;if(F(e))return"string"===t?[]:[e.length];if(!Array.isArray(e))return[];const s=[];for(;Array.isArray(r)||F(r)&&"string"!==t;)s.push(r.length),r=r[0];return Array.isArray(e)&&n().getBool("TENSORLIKE_CHECK_SHAPE_CONSISTENCY")&&function e(t,n,r){if(r=r||[],!Array.isArray(t)&&!F(t))return void m(0===n.length,()=>`Element arr[${r.join("][")}] is a primitive, but should be an array/TypedArray of ${n[0]} elements`);m(n.length>0,()=>`Element arr[${r.join("][")}] should be a primitive, but is an array of ${t.length} elements`),m(t.length===n[0],()=>`Element arr[${r.join("][")}] should have ${n[0]} elements, but has ${t.length} elements`);const s=n.slice(1);for(let n=0;n<t.length;++n)e(t[n],s,r.concat(n))}(e,s,[]),s}function _e(e,t,n,r){if(null!=e&&("numeric"!==e&&e!==t||"numeric"===e&&"string"===t))throw new Error(`Argument '${n}' passed to '${r}' must be ${e} tensor, but got ${t} tensor`)}function Fe(e,t,r,s="numeric"){if(e instanceof oe)return _e(s,e.dtype,t,r),e;let a=q(e);if("string"!==a&&["bool","int32","float32"].indexOf(s)>=0&&(a=s),_e(s,a,t,r),null==e||!F(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e){const n=null==e?"null":e.constructor.name;throw new Error(`Argument '${t}' passed to '${r}' must be a Tensor or TensorLike, but got '${n}'`)}const o=Ae(e,a);F(e)||Array.isArray(e)||(e=[e]);const i="string"!==a?O(e,a,n().getBool("DEBUG")):w(e,[],!0);return ve.makeTensor(i,o,a)}function Me(e,t,n,r="numeric"){if(!Array.isArray(e))throw new Error(`Argument ${t} passed to ${n} must be a \`Tensor[]\` or \`TensorLike[]\``);return e.map((e,r)=>Fe(e,`${t}[${r}]`,n),r)}function Te(e,t){m(P(e),()=>"The f passed in variableGrads(f) must be a function"),m(null==t||Array.isArray(t)&&t.every(e=>e instanceof ie),()=>"The varList passed in variableGrads(f, varList) must be an array of variables");const n=null!=t;if(!n){t=[];for(const e in ve.registeredVariables)t.push(ve.registeredVariables[e])}const r=n?t.filter(e=>!e.trainable):null,s=t.length;m((t=t.filter(e=>e.trainable)).length>0,()=>`variableGrads() expects at least one of the input variables to be trainable, but none of the ${s} variables is trainable.`);const{value:a,grads:o}=ve.gradients(e,t,null,!0);m(o.some(e=>null!=e),()=>"Cannot find a connection between any variable and the result of the loss function y=f(x). Please make sure the operations that use variables are inside the function f passed to minimize()."),m(0===a.rank,()=>`The f passed in variableGrads(f) must return a scalar, but it returned a rank-${a.rank} tensor`);const i={};return t.forEach((e,t)=>{null!=o[t]&&(i[e.name]=o[t])}),null!=r&&r.forEach(e=>i[e.name]=null),{value:a,grads:i}}function Be(e){return ve.customGrad(e)}function Re(e){if(e.filter(e=>null==e).length>0)throw new Error("Cannot compute gradient of y=f(x) with respect to x. Make sure that\n    the f you passed encloses all operations that lead from x to y.")}function Ce(e,t){for(let n=0;n<e.length;++n)if(e[e.length-n-1]!==t-1-n)return!1;return!0}function qe(e,t,n){const r=e.length+t.length,s=[];let a=0,o=0;for(let i=0;i<r;i++)-1===n.indexOf(i)?s.push(e[a++]):s.push(t[o++]);return s}function Pe(e,t){const n=[],r=e.length;for(let s=0;s<r;s++)-1===t.indexOf(s)&&n.push(e[s]);return[n,t.map(t=>e[t])]}function ze(e,t){return qe(e,t.map(e=>1),t)}function Le(e,t){if(Ce(e,t))return null;const n=[];for(let r=0;r<t;++r)-1===e.indexOf(r)&&n.push(r);return e.forEach(e=>n.push(e)),n}function Oe(e){return e.map((e,t)=>[t,e]).sort((e,t)=>e[1]-t[1]).map(e=>e[0])}function We(e,t){const n=[];for(let r=t-e;r<t;++r)n.push(r);return n}function Ke(e){const t=Object.keys(e);if(1!==t.length)throw new Error("Please provide an object with a single key (operation name) mapping to a function. Got an object with "+t.length+" keys.");let n=t[0];const r=e[n];n.endsWith("_")&&(n=n.substring(0,n.length-1));const s=(...e)=>{ve.startScope(n);try{const t=r(...e);return t instanceof Promise&&console.error("Cannot return a Promise inside of tidy."),ve.endScope(t),t}catch(e){throw ve.endScope(null),e}};return Object.defineProperty(s,"name",{value:n,configurable:!0}),s}const He=Ke({complex_:function(e,t){const n=Fe(e,"real","complex"),r=Fe(t,"imag","complex");return g(n.shape,r.shape,`real and imag shapes, ${n.shape} and ${r.shape}, must match in call to tf.complex().`),ve.runKernelFunc(e=>e.complex(n,r),{$real:n,$imag:r})}}),Ge=Ke({real_:function(e){const t=Fe(e,"input","real");return ve.runKernelFunc(e=>e.real(t),{$input:t})}}),Ue=Ke({imag_:function(e){const t=Fe(e,"input","imag");return ve.runKernelFunc(e=>e.imag(t),{$input:t})}});function je(e,t,n){return Ve(e,t,Ae(e,n),n)}function Ve(e,t,r,s){if(null==s&&(s=q(e)),"complex64"===s)throw new Error("Cannot construct a complex64 tensor directly. Please use tf.complex(real, imag).");if(!F(e)&&!Array.isArray(e)&&"number"!=typeof e&&"boolean"!=typeof e&&"string"!=typeof e)throw new Error("values passed to tensor(values) must be a number/boolean/string or an array of numbers/booleans/strings, or a TypedArray");if(null!=t){U(t);const e=y(t),n=y(r);m(e===n,()=>`Based on the provided shape, [${t}], the tensor should have ${e} values but has ${n}`);for(let e=0;e<r.length;++e){const n=r[e],s=e!==r.length-1||n!==y(t.slice(e));m(r[e]===t[e]||!s,()=>`Error creating a new Tensor. Inferred shape (${r}) does not match the provided shape (${t}). `)}}return F(e)||Array.isArray(e)||(e=[e]),t=t||r,e="string"!==s?O(e,s,n().getBool("DEBUG")):w(e,[],!0),ve.makeTensor(e,t,s)}function Je(e,t){if((F(e)&&"string"!==t||Array.isArray(e))&&"complex64"!==t)throw new Error("Error creating a new Scalar: value must be a primitive (number|boolean|string)");if("string"===t&&F(e)&&!(e instanceof Uint8Array))throw new Error("When making a scalar from encoded string, the value must be `Uint8Array`.");return Ve(e,[],[],t)}function Ye(e,t){b(e);const n=Ae(e,t);if(1!==n.length)throw new Error("tensor1d() requires values to be a flat/TypedArray");return Ve(e,null,n,t)}function Xe(e,t,n){if(b(e),null!=t&&2!==t.length)throw new Error("tensor2d() requires shape to have two numbers");const r=Ae(e,n);if(2!==r.length&&1!==r.length)throw new Error("tensor2d() requires values to be number[][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor2d() requires shape to be provided when `values` are a flat/TypedArray");return Ve(e,t,r,n)}function Ze(e,t,n){if(b(e),null!=t&&3!==t.length)throw new Error("tensor3d() requires shape to have three numbers");const r=Ae(e,n);if(3!==r.length&&1!==r.length)throw new Error("tensor3d() requires values to be number[][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor3d() requires shape to be provided when `values` are a flat array");return Ve(e,t,r,n)}function Qe(e,t,n){if(b(e),null!=t&&4!==t.length)throw new Error("tensor4d() requires shape to have four numbers");const r=Ae(e,n);if(4!==r.length&&1!==r.length)throw new Error("tensor4d() requires values to be number[][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor4d() requires shape to be provided when `values` are a flat array");return Ve(e,t,r,n)}function et(e,t,n){if(b(e),null!=t&&5!==t.length)throw new Error("tensor5d() requires shape to have five numbers");const r=Ae(e,n);if(5!==r.length&&1!==r.length)throw new Error("tensor5d() requires values to be number[][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor5d() requires shape to be provided when `values` are a flat array");return Ve(e,t,r,n)}function tt(e,t,n){if(b(e),null!=t&&6!==t.length)throw new Error("tensor6d() requires shape to have six numbers");const r=Ae(e,n);if(6!==r.length&&1!==r.length)throw new Error("tensor6d() requires values to be number[][][][][][] or flat/TypedArray");if(1===r.length&&null==t)throw new Error("tensor6d() requires shape to be provided when `values` are a flat array");return Ve(e,t=t||r,r,n)}function nt(e,t=!0,n,r){return ve.makeVariable(e,t,n,r)}function rt(e,t="float32"){if("complex64"===t){const t=rt(e,"float32"),n=st(e,"float32");return He(t,n)}const n=K(y(e),t);return ve.makeTensor(n,e,t)}function st(e,t="float32"){if("complex64"===t){const t=st(e,"float32"),n=st(e,"float32");return He(t,n)}const n=H(y(e),t);return ve.makeTensor(n,e,t)}function at(e,t,n){return ve.runKernelFunc(r=>r.fill(e,t,n),{})}function ot(e,t,n){if(n<=0)throw new Error("The number of values should be positive.");return ve.runKernelFunc(r=>r.linspace(e,t,n),{})}function it(e,t,n=1,r="float32"){if(0===n)throw new Error("Cannot have a step of zero");if(e===t||e<t&&n<0||t<e&&n>1)return st([0],r);const s=H(Math.abs(Math.ceil((t-e)/n)),r);t<e&&1===n&&(n=-1),s[0]=e;for(let e=1;e<s.length;e++)s[e]=s[e-1]+n;return Ye(s,r)}const ut=Ke({onesLike_:function(e){const t=Fe(e,"x","onesLike");if("complex64"===t.dtype){const e=ut(Ge(t)),n=lt(Ue(t));return He(e,n)}return ve.runKernelFunc(e=>e.onesLike(t),{x:t},(e,t)=>({x:()=>lt(e)}),"OnesLike")}}),lt=Ke({zerosLike_:function(e){const t=Fe(e,"x","zerosLike");return ve.runKernelFunc(e=>e.zerosLike(t),{x:t},(e,t)=>({x:()=>lt(e)}),"ZerosLike")}});function ct(e,t,n,r,s){return t.rank<n.rank&&(t=t.reshape(ze(t.shape,r))),e.rank<n.rank&&(e=e.reshape(ze(e.shape,r))),{x:()=>{const r=e.mul(n.equal(t).cast(e.dtype));return null==s?r:r.transpose(s)}}}const ht=Ke({all_:function(e,t=null,n=!1){let r=Fe(e,"x","all","bool");const s=S(t,r.shape);let a=s;const o=Le(a,r.rank);null!=o&&(r=r.transpose(o),a=We(a.length,r.rank));const i=ve.runKernelFunc(e=>e.all(r,a),{$x:r});if(n){const e=ze(i.shape,s);return i.reshape(e)}return i}}),dt=Ke({any_:function(e,t=null,n=!1){let r=Fe(e,"x","any","bool");const s=S(t,r.shape);let a=s;const o=Le(a,r.rank);null!=o&&(r=r.transpose(o),a=We(a.length,r.rank));const i=ve.runKernelFunc(e=>e.any(r,a),{$x:r});if(n){const e=ze(i.shape,s);return i.reshape(e)}return i}}),pt=Ke({argMax_:function(e,t=0){let n=Fe(e,"x","argMax");null==t&&(t=0);let r=S(t,n.shape);const s=Le(r,n.rank);null!=s&&(n=n.transpose(s),r=We(r.length,n.rank));const a={axis:r[0]},o=[n];return ve.runKernelFunc((e,t)=>{const s=e.argMax(n,r[0]);return t([n]),s},{x:n},(e,t)=>{const[n]=t;return{x:()=>lt(n)}},"ArgMax",a,o)}}),ft=Ke({argMin_:function(e,t=0){let n=Fe(e,"x","argMin");null==t&&(t=0);let r=S(t,n.shape);const s=Le(r,n.rank);return null!=s&&(n=n.transpose(s),r=We(r.length,n.rank)),ve.runKernelFunc((e,t)=>{const s=e.argMin(n,r[0]);return t([n]),s},{$x:n},(e,t)=>{const[n]=t;return{$x:()=>lt(n)}})}}),mt=Ke({logSumExp_:function(e,t=null,n=!1){const r=Fe(e,"x","logSumExp"),s=S(t,r.shape),a=r.max(s,!0),o=r.sub(a).exp().sum(s).log(),i=a.reshape(o.shape).add(o);if(n){const e=ze(i.shape,s);return i.reshape(e)}return i}}),gt=Ke({max_:function(e,t=null,n=!1){let r=Fe(e,"x","max");const s=r,a=S(t,r.shape);let o=a;const i=Le(o,r.rank);null!=i&&(r=r.transpose(i),o=We(o.length,r.rank));const u=[r];let l=ve.runKernelFunc((e,t)=>{const n=e.max(r,o);return t([s,n]),n},{x:r},(e,t)=>ct(e,t[1],t[0],a,i),"Max",{axes:o},u,[!0]);if(n){const e=ze(l.shape,a);l=l.reshape(e)}return l}}),bt=Ke({mean_:function(e,t=null,n=!1){const r=Fe(e,"x","mean"),s=S(t,r.shape),a=y(Pe(r.shape,s)[1]);return Be(e=>{const r=Je(a);return{value:(r.dtype===e.dtype?e:e.cast(r.dtype)).div(r).sum(t,n),gradFunc:t=>{const n=e.shape.slice();return s.forEach(e=>{n[e]=1}),t.reshape(n).mul(rt(e.shape,"float32")).div(a)}}})(r)}}),wt=Ke({min_:function(e,t=null,n=!1){let r=Fe(e,"x","min");const s=r,a=S(t,r.shape);let o=a;const i=Le(o,r.rank);null!=i&&(r=r.transpose(i),o=We(o.length,r.rank));const u=[r];let l=ve.runKernelFunc((e,t)=>{const n=e.min(r,o);return t([s,n]),n},{x:r},(e,t)=>ct(e,t[1],t[0],a,i),"Min",{axes:o},u,[!0]);if(n){const e=ze(l.shape,a);l=l.reshape(e)}return l}}),yt=Ke({moments_:function(e,t=null,n=!1){const r=S(t,(e=Fe(e,"x","moments")).shape),s=e.mean(r,n);let a=s.shape;n||(a=ze(s.shape,r));const o=e.toFloat().sub(s.reshape(a)).square();return{mean:s,variance:o.mean(r,n)}}}),kt=Ke({sum_:function(e,t=null,n=!1){let r=Fe(e,"x","sum");"bool"===r.dtype&&(r=r.toInt());const s=S(t,r.shape);return Be(e=>{const t=Le(s,e.rank);let r=s,a=e;null!=t&&(a=e.transpose(t),r=We(r.length,e.rank));const o=t=>{const n=e.shape.slice();return s.forEach(e=>{n[e]=1}),t.reshape(n).mul(rt(e.shape,"float32"))},i={axes:r};let u=ve.runKernelFunc(e=>e.sum(a,r),{x:a},e=>({x:()=>o(e)}),"Sum",i);if(n){const e=ze(u.shape,s);u=u.reshape(e)}return{value:u,gradFunc:o}})(r)}}),vt=Ke({prod_:function(e,t=null,n=!1){let r=Fe(e,"x","prod");"bool"===r.dtype&&(r=r.toInt());const s=S(t,r.shape),a=Le(s,r.rank);let o=s,i=r;null!=a&&(i=r.transpose(a),o=We(o.length,r.rank));let u=ve.runKernelFunc(e=>e.prod(i,o),{permutedX:i});if(n){const e=ze(u.shape,s);u=u.reshape(e)}return u}}),xt={kernelName:"BroadcastTo",gradFunc:(e,t,n)=>{const r=n,s=r.inputShape,a=r.shape,o=Array.from(a);for(let e=s.length-1;e>=0;e--)if(s[e]===a[e])o[e]=1;else if(1!==s[e])throw new Error(`broadcastTo(): [${s}] cannot be broadcast to [${a}].`);const i=[];for(let e=0;e<o.length;e++)o[e]>1&&i.push(e);return{x:()=>kt(e,i,!0)}}};const Et=Ke({split_:function(e,t,n=0){const r=Fe(e,"x","split"),s=S(n,r.shape)[0];let a;"number"==typeof t?(m(r.shape[s]%t==0,()=>"Number of splits must evenly divide the axis."),a=new Array(t).fill(r.shape[s]/t)):(m(r.shape[s]===t.reduce((e,t)=>e+t),()=>"The sum of sizes must match the size of the axis dimension."),a=t);const o={x:r},i={numOrSizeSplits:t,axis:n};return ve.runKernelFunc((e,t)=>{const s=S(n,r.shape)[0];return e.split(r,a,s)},o,null,"SplitV",i)}}),St={kernelName:"Concat",saveAllInputs:!0,gradFunc:(e,t,n)=>{const r=t.map(e=>e.shape),{axis:s}=n,a=S(s,t[0].shape)[0],o=r.map(e=>e[a]);return Et(e,o,a).map(e=>()=>e)}};function Dt(e,t){const n=e[0].length;e.forEach((e,t)=>{m(e.length===n,()=>`Error in concat${n}D: rank of tensors[${t}] must be the same as the rank of the rest (${n})`)}),m(t>=0&&t<n,()=>`Error in concat${n}D: axis must be between 0 and ${n-1}.`);const r=e[0];e.forEach((e,s)=>{for(let a=0;a<n;a++)m(a===t||e[a]===r[a],()=>`Error in concat${n}D: Shape of tensors[${s}] (${e}) does not match the shape of the rest (${r}) along the non-concatenated axis ${s}.`)})}function $t(e,t){const n=e[0].slice();for(let r=1;r<e.length;r++)n[t]+=e[r][t];return n}const It=Ke({concat_:function(e,t=0){m(e.length>=1,()=>"Pass at least one tensor to concat");let n=Me(e,"tensors","concat");"complex64"===n[0].dtype&&n.forEach(e=>{if("complex64"!==e.dtype)throw new Error(`Cannot concatenate complex64 tensors with a tensor\n          with dtype ${e.dtype}. `)});const r=S(t,n[0].shape)[0],s=$t(n.map(e=>e.shape),r);if(0===y(s))return je([],s);if(n=n.filter(e=>e.size>0),1===n.length)return n[0];Dt(n.map(e=>e.shape),r);const a=n,o={axis:t};return ve.runKernelFunc((e,r)=>{const s=S(t,n[0].shape)[0],a=e.concat(n,s);return r(n),a},a,null,"Concat",o)}});function Nt(e,t="float32",n){return t=t||"float32",U(e),new ne(e,t,n)}function At(e,t=!1){console.log(e.toString(t))}const _t=Ke({batchToSpaceND_:function(e,t,n){const r=Fe(e,"x","batchToSpaceND"),s=t.reduce((e,t)=>e*t);return m(r.rank>=1+t.length,()=>`input rank is ${r.rank} but should be > than blockShape.length ${t.length}`),m(n.length===t.length,()=>`crops.length is ${n.length} but should be equal to blockShape.length  ${t.length}`),m(r.shape[0]%s==0,()=>`input tensor batch is ${r.shape[0]} but is not divisible by the product of the elements of blockShape ${t.join(" * ")} === ${s}`),ve.runKernelFunc(e=>e.batchToSpaceND(r,t,n),{$x:r},e=>({$x:()=>e.spaceToBatchND(t,n)}))}}),Ft=Ke({cast_:function(e,t){const n=Fe(e,"x","cast");if(!A(t))throw new Error("Failed to cast to unknown dtype "+t);if("string"===t&&"string"!==n.dtype||"string"!==t&&"string"===n.dtype)throw new Error("Only strings can be casted to strings");const r={dtype:t};return ve.runKernelFunc(e=>e.cast(n,t),{x:n},e=>({x:()=>e.clone()}),"Cast",r)}}),Mt=Ke({cumsum_:function(e,t=0,n=!1,r=!1){const s=Fe(e,"x","cumsum"),a=Le([t|=0],s.rank);let o=s;null!=a&&(o=s.transpose(a));const i=We(1,s.rank)[0];let u=ve.runKernelFunc(e=>e.cumsum(o,i,n,r),{permutedX:o},e=>({permutedX:()=>e.cumsum(t,n,!r)}));return null!=a&&(u=u.transpose(a)),u}}),Tt=Ke({depthToSpace_:function(e,t,n="NHWC"){const r=Fe(e,"x","depthToSpace"),s="NHWC"===n?r.shape[1]:r.shape[2],a="NHWC"===n?r.shape[2]:r.shape[3],o="NHWC"===n?r.shape[3]:r.shape[1];return m(s*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n      ${s} and ${t}  for depthToSpace with input shape\n      ${r.shape}`),m(a*t>=0,()=>`Negative dimension size caused by overflow when multiplying\n      ${a} and ${t} for depthToSpace with input shape\n          ${r.shape}`),m(o%(t*t)==0,()=>`Dimension size must be evenly divisible by ${t*t} but is ${o} for depthToSpace with input shape ${r.shape}`),ve.runKernelFunc(e=>e.depthToSpace(r,t,n),{$x:r})}}),Bt=Ke({expandDims_:function(e,t=0){const n=Fe(e,"x","expandDims",null);m(t<=n.rank,()=>"Axis must be <= rank of the tensor");const r=n.shape.slice();return t<0&&(m(-(n.rank+1)<=t,()=>`Axis must be in the interval [${-(n.rank+1)}, ${n.rank}]`),t=n.rank+t+1),r.splice(t,0,1),Rt(n,r)}}),Rt=Ke({reshape_:function(e,t){const n=Fe(e,"x","reshape",null);t=E(t,n.size),m(n.size===y(t),()=>"new shape and old shape must have the same number of elements.");const r={shape:t};return ve.runKernelFunc(e=>e.reshape(n,t),{x:n},e=>({x:()=>e.reshape(n.shape)}),"Reshape",r)}}),Ct=Ke({spaceToBatchND_:function(e,t,n){const r=Fe(e,"x","spaceToBatchND");return m(r.rank>=1+t.length,()=>`input rank ${r.rank} should be > than [blockShape] ${t.length}`),m(n.length===t.length,()=>`paddings.shape[0] ${n.length} must be equal to [blockShape] ${t.length}`),m(r.shape.reduce((e,r,s)=>s>0&&s<=t.length?e&&(r+n[s-1][0]+n[s-1][1])%t[s-1]==0:e,!0),()=>`input spatial dimensions ${r.shape.slice(1)} with paddings ${n.toString()} must be divisible by blockShapes ${t.toString()}`),ve.runKernelFunc(e=>e.spaceToBatchND(r,t,n),{$x:r},e=>({$x:()=>e.batchToSpaceND(t,n)}))}}),qt=Ke({squeeze_:function(e,t){const n=Fe(e,"x","squeeze");return Rt(n,D(n.shape,t).newShape)}}),Pt=Ke({stack_:function(e,t=0){const n=Me(e,"tensors","stack");if(m(n.length>=1,()=>"Pass at least one tensor to tf.stack"),1===n.length)return n[0].expandDims(t);const r=n[0].rank,s=n[0].shape,a=n[0].dtype;m(t<=r,()=>"Axis must be <= rank of the tensor"),n.forEach(e=>{g(s,e.shape,"All tensors passed to stack must have matching shapes")}),n.forEach(e=>{m(a===e.dtype,()=>"All tensors passed to stack must have matching dtypes")});const o=n.map(e=>e.expandDims(t));return It(o,t)}}),zt=Ke({unstack_:function(e,t=0){t=t||0;const n=Fe(e,"x","unstack");m(t>=-n.shape.length&&t<n.shape.length,()=>`Axis = ${t} is not in [-${n.shape.length}, ${n.shape.length})`),t<0&&(t+=n.shape.length);const r={axis:t};return ve.runKernelFunc(e=>e.unstack(n,t),{x:n},e=>({x:()=>Pt(e,t)}),"Unpack",r)}}),Lt=async function(e,t){const n=Fe(e,"x","setdiff1d"),r=Fe(t,"y","setdiff1d");m(n.dtype===r.dtype,()=>`x and y should have the same dtype, but got x (${n.dtype}) and y (${r.dtype}).`),m(1===n.rank,()=>`x should be 1D tensor, but got x (${n.shape}).`),m(1===r.rank,()=>`y should be 1D tensor, but got y (${r.shape}).`);const s=await n.data(),a=await r.data(),o=new Set(a);let i=0;for(let e=0;e<s.length;e++)o.has(s[e])||i++;const u=new ne([i],n.dtype),l=new ne([i],"int32");for(let e=0,t=0;e<s.length;e++)o.has(s[e])||(u.values[t]=s[e],l.values[t]=e,t++);return[u.toTensor(),l.toTensor()]};const Ot=Ke({add_:function(e,t){let n=Fe(e,"a","add"),r=Fe(t,"b","add");[n,r]=me(n,r);const s={a:n,b:r};return ve.runKernelFunc((e,t)=>{const s=e.add(n,r);return t([n,r]),s},s,null,"Add")}});const Wt=Ke({abs_:function(e){const t=Fe(e,"x","abs");return"complex64"===t.dtype?ve.runKernelFunc(e=>e.complexAbs(t),{$x:t}):ve.runKernelFunc((e,n)=>{const r=e.abs(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.mul(n.toFloat().step(-1))}},"Abs")}}),Kt=Ke({acos_:function(e){const t=Fe(e,"x","acos");return ve.runKernelFunc((e,n)=>{const r=e.acos(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.divStrict(Je(1).sub(n.toFloat().square()).sqrt()).neg()}})}}),Ht=Ke({acosh_:function(e){const t=Fe(e,"x","acosh");return ve.runKernelFunc((e,n)=>{const r=e.acosh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.divStrict(n.toFloat().square().sub(1).sqrt())}})}}),Gt=Ke({asin_:function(e){const t=Fe(e,"x","asin");return ve.runKernelFunc((e,n)=>{const r=e.asin(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.divStrict(Je(1).sub(n.toFloat().square()).sqrt())}})}}),Ut=Ke({asinh_:function(e){const t=Fe(e,"x","asinh");return ve.runKernelFunc((e,n)=>{const r=e.asinh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.divStrict(Je(1).add(n.toFloat().square()).sqrt())}})}}),jt=Ke({atan_:function(e){const t=Fe(e,"x","atan");return ve.runKernelFunc((e,n)=>{const r=e.atan(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.toFloat().square().add(1))}})}}),Vt=Ke({atanh_:function(e){const t=Fe(e,"x","atanh");return ve.runKernelFunc((e,n)=>{const r=e.atanh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(Je(1).sub(n.toFloat().square()))}})}}),Jt=Ke({ceil_:function(e){const t=Fe(e,"x","ceil");return ve.runKernelFunc(e=>e.ceil(t),{$x:t},e=>({$x:()=>lt(e)}))}}),Yt=Ke({clipByValue_:function(e,t,n){const r=Fe(e,"x","clipByValue");m(t<=n,()=>`Error in clip: min (${t}) must be less than or equal to max (${n}).`);const s=[r],a={min:t,max:n};return ve.runKernelFunc((e,s)=>{const a=e.clip(r,t,n);return s([r]),a},{x:r},(e,r)=>{const[s]=r;return{x:()=>e.where(s.greaterEqual(t).logicalAnd(s.lessEqual(n)),lt(e))}},"ClipByValue",a,s)}}),Xt=Ke({cos_:function(e){const t=Fe(e,"x","cos"),n=[t];return ve.runKernelFunc((e,n)=>{const r=e.cos(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>n.toFloat().sin().neg().mul(e)}},"Cos",{},n)}}),Zt=Ke({cosh_:function(e){const t=Fe(e,"x","cosh");return ve.runKernelFunc((e,n)=>{const r=e.cosh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>n.toFloat().sinh().mulStrict(e)}})}}),Qt=Ke({erf_:function(e){let t=Fe(e,"x","erf");return m("int32"===t.dtype||"float32"===t.dtype,()=>"Input dtype must be `int32` or `float32`."),"int32"===t.dtype&&(t=t.toFloat()),ve.runKernelFunc((e,n)=>{const r=e.erf(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.square().neg().exp().mul(2/Math.sqrt(Math.PI)))}})}}),en=Ke({exp_:function(e){const t=Fe(e,"x","exp");return ve.runKernelFunc((e,n)=>{const r=e.exp(t);return n([r]),r},{x:t},(e,t)=>({x:()=>e.mulStrict(t[0])}),"Exp",{},[],[!0])}}),tn=Ke({expm1_:function(e){const t=Fe(e,"x","expm1");return ve.runKernelFunc((e,n)=>{const r=e.expm1(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.exp())}})}}),nn=Ke({floor_:function(e){const t=Fe(e,"x","floor");return ve.runKernelFunc(e=>e.floor(t),{$x:t},e=>({$x:()=>lt(e)}))}}),rn=Ke({log_:function(e){const t=Fe(e,"x","log"),n=[t];return ve.runKernelFunc((e,n)=>{const r=e.log(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.div(n.toFloat())}},"Log",{},n)}}),sn=Ke({log1p_:function(e){const t=Fe(e,"x","log1p");return ve.runKernelFunc((e,n)=>{const r=e.log1p(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.add(1))}})}}),an=Ke({logSigmoid_:function(e){const t=Fe(e,"x","logSigmoid");return ve.runKernelFunc((e,n)=>{const r=e.softplus(t.neg()).neg();return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.neg().sigmoid())}})}}),on=Ke({neg_:function(e){const t=Fe(e,"x","neg"),n=[t];return ve.runKernelFunc(e=>e.neg(t),{x:t},e=>({x:()=>e.neg()}),"Neg",{},n)}}),un=Ke({reciprocal_:function(e){const t=Fe(e,"x","reciprocal");return ve.runKernelFunc((e,n)=>{const r=e.reciprocal(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.square().neg())}})}}),ln=Ke({round_:function(e){const t=Fe(e,"x","round");return ve.runKernelFunc(e=>e.round(t),{$x:t},e=>({$x:()=>lt(e)}))}}),cn=Ke({rsqrt_:function(e){const t=Fe(e,"x","rsqrt"),n=[t];return ve.runKernelFunc((e,n)=>{const r=e.rsqrt(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.div(n.pow(1.5).mul(2)).neg()}},"Rsqrt",{},n)}}),hn=Ke({sigmoid_:function(e){const t=Fe(e,"x","sigmoid");return ve.runKernelFunc((e,n)=>{const r=e.sigmoid(t);return n([r]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.mul(n.mul(Je(1).sub(n)))}},"Sigmoid")}}),dn=Ke({sign_:function(e){const t=Fe(e,"x","sign");return ve.runKernelFunc(e=>e.sign(t),{$x:t},e=>({$x:()=>lt(e)}))}}),pn=Ke({isNaN_:function(e){const t=Fe(e,"x","isNaN");return ve.runKernelFunc(e=>e.isNaN(t),{$x:t},e=>({$x:()=>lt(e)}))}}),fn=Ke({isInf_:function(e){const t=Fe(e,"x","isInf");return ve.runKernelFunc(e=>e.isInf(t),{$x:t},e=>({$x:()=>lt(e)}))}}),mn=Ke({isFinite_:function(e){const t=Fe(e,"x","isFinite");return ve.runKernelFunc(e=>e.isFinite(t),{$x:t},e=>({$x:()=>lt(e)}))}}),gn=Ke({sin_:function(e){const t=Fe(e,"x","sin"),n=[t];return ve.runKernelFunc((e,n)=>{const r=e.sin(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>n.toFloat().cos().mul(e)}},"Sin",{},n)}}),bn=Ke({sinh_:function(e){const t=Fe(e,"x","sinh");return ve.runKernelFunc((e,n)=>{const r=e.sinh(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>n.toFloat().cosh().mulStrict(e)}})}}),wn=Ke({softplus_:function(e){const t=Fe(e,"x","softplus");return ve.runKernelFunc((e,n)=>{const r=e.softplus(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.mul(n.sigmoid())}})}}),yn=Ke({sqrt_:function(e){const t=Fe(e,"x","sqrt");return ve.runKernelFunc((e,n)=>{const r=e.sqrt(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.toFloat().sqrt().mul(2))}})}}),kn=Ke({step_:function(e,t=0){const n=Fe(e,"x","step");return ve.runKernelFunc(e=>e.step(n,t),{$x:n},e=>({$x:()=>lt(e)}))}}),vn=Ke({tan_:function(e){const t=Fe(e,"x","tan");return ve.runKernelFunc((e,n)=>{const r=e.tan(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>e.div(n.cos().square())}})}}),xn=Ke({tanh_:function(e){const t=Fe(e,"x","tanh");return ve.runKernelFunc((e,n)=>{const r=e.tanh(t);return n([r]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>Je(1).sub(n.square()).mulStrict(e)}},"Tanh",{},null,[!0])}});const En=Ke({addStrict_:function(e,t){const n=Fe(e,"a","addStrict"),r=Fe(t,"b","addStrict");return g(n.shape,r.shape,"Error in addStrict: "),n.add(r)}}),Sn=Ke({atan2_:function(e,t){let n=Fe(e,"a","atan2"),r=Fe(t,"b","atan2");[n,r]=me(n,r);const s=$e(n.shape,r.shape);return ve.runKernelFunc((e,t)=>{const s=e.atan2(n,r);return t([n,r]),s},{$a:n,$b:r},(e,t)=>{const[n,r]=t;return{$a:()=>{const t=Ot(n.square(),r.square());let a=e.mul(r.div(t));const o=De(n.shape,s);return o.length>0&&(a=a.sum(o)),a.reshape(n.shape)},$b:()=>{const t=Ot(n.square(),r.square());let a=on(e.mul(n.div(t)));const o=De(r.shape,s);return o.length>0&&(a=a.sum(o)),a.reshape(r.shape)}}})}}),Dn=Ke({divStrict_:function(e,t){const n=Fe(e,"a","div"),r=Fe(t,"b","div");return g(n.shape,r.shape,"Error in divideStrict: "),n.div(r)}}),$n=Ke({floorDiv_:function(e,t){let n=Fe(e,"a","floorDiv"),r=Fe(t,"b","floorDiv");[n,r]=me(n,r);const s=$e(n.shape,r.shape);return ve.runKernelFunc((e,t)=>{const s=e.floorDiv(n,r);return t([n,r]),s},{a:n,b:r},(e,t)=>{const[n,r]=t;return{a:()=>{const t=e.div(r.toFloat()),a=De(n.shape,s);return a.length>0?t.sum(a).reshape(n.shape):t},b:()=>{let t=e.mul(n.toFloat());const a=De(r.shape,s);a.length>0&&(t=t.sum(a).reshape(r.shape));const o=r.square();return t.div(o.toFloat()).neg()}}},"FloorDiv")}}),In=Ke({maximum_:function(e,t){let n=Fe(e,"a","maximum"),r=Fe(t,"b","maximum");return[n,r]=me(n,r),"bool"===n.dtype&&(n=n.toInt(),r=r.toInt()),$e(n.shape,r.shape),ve.runKernelFunc((e,t)=>{const s=e.maximum(n,r);return t([n,r]),s},{a:n,b:r},(e,t)=>{const[n,r]=t;return{a:()=>e.mul(n.greaterEqual(r).toFloat()),b:()=>e.mul(n.less(r).toFloat())}},"Maximum")}}),Nn=Ke({maximumStrict_:function(e,t){const n=Fe(e,"a","maximumStrict"),r=Fe(t,"b","maximumStrict");return g(n.shape,r.shape,"Error in maximumStrict: "),n.maximum(r)}}),An=Ke({minimum_:function(e,t){let n=Fe(e,"a","minimum"),r=Fe(t,"b","minimum");return[n,r]=me(n,r),"bool"===n.dtype&&(n=n.toInt(),r=r.toInt()),$e(n.shape,r.shape),ve.runKernelFunc((e,t)=>{const s=e.minimum(n,r);return t([n,r]),s},{a:n,b:r},(e,t)=>{const[n,r]=t;return{a:()=>e.mul(n.lessEqual(r).toFloat()),b:()=>e.mul(n.greater(r).toFloat())}},"Minimum")}}),_n=Ke({minimumStrict_:function(e,t){const n=Fe(e,"a","minimumStrict"),r=Fe(t,"b","minimumStrict");return g(n.shape,r.shape,"Error in minimumStrict: "),n.minimum(r)}}),Fn=Ke({mod_:function(e,t){let n=Fe(e,"a","mod"),r=Fe(t,"b","mod");[n,r]=me(n,r);const s=$e(n.shape,r.shape);return ve.runKernelFunc((e,t)=>{const s=e.mod(n,r);return t([n,r]),s},{$a:n,$b:r},(e,t)=>{const[n,r]=t;return{$a:()=>{const t=De(n.shape,s);return t.length>0?e.sum(t).reshape(n.shape):e},$b:()=>{const t=e.mul(n.div(r).floor().neg()),a=De(r.shape,s);return a.length>0?t.sum(a).reshape(r.shape):t}}})}}),Mn=Ke({modStrict_:function(e,t){const n=Fe(e,"a","modStrict"),r=Fe(t,"b","modStrict");return g(n.shape,r.shape,"Error in modStrict: "),n.mod(r)}}),Tn=Ke({mul_:function(e,t){let n=Fe(e,"a","mul"),r=Fe(t,"b","mul");[n,r]=me(n,r);const s=$e(n.shape,r.shape);return ve.runKernelFunc((e,t)=>{const s=e.multiply(n,r);return t([n,r]),s},{a:n,b:r},(e,t)=>{const[n,r]=t;return{a:()=>{const t=e.mul(r.toFloat()),a=De(n.shape,s);return a.length>0?t.sum(a).reshape(n.shape):t},b:()=>{const t=e.mul(n.toFloat()),a=De(r.shape,s);return a.length>0?t.sum(a).reshape(r.shape):t}}},"Mul")}}),Bn=Ke({mulStrict_:function(e,t){const n=Fe(e,"a","mul"),r=Fe(t,"b","mul");return g(n.shape,r.shape,"Error in multiplyStrict: "),n.mul(r)}}),Rn=Ke({pow_:function(e,t){let n=Fe(e,"base","pow"),r=Fe(t,"exp","pow");[n,r]=me(n,r);const s=$e(n.shape,r.shape),a=[n,r];return ve.runKernelFunc((e,t)=>{const s=e.pow(n,r);return t([n,r,s]),s},{a:n,b:r},(e,t)=>{const[n,r,a]=t;return{a:()=>{const t=r.toFloat();let a=e.mul(t.mul(n.pow(t.sub(Je(1)))));const o=De(n.shape,s);return o.length>0&&(a=a.sum(o)),a.reshape(n.shape)},b:()=>{const t=n.greater(0),o=n.log().where(t,lt(n));let i=e.mul(a.mul(o));const u=De(r.shape,s);return u.length>0&&(i=i.sum(u)),i.reshape(r.shape)}}},"Pow",{},a,[!0])}}),Cn=Ke({powStrict_:function(e,t){return g(e.shape,t.shape,"Error in powStrict: "),e.pow(t)}}),qn=Ke({squaredDifferenceStrict_:function(e,t){const n=Fe(e,"a","squaredDifferenceStrict"),r=Fe(t,"b","squaredDifferenceStrict");return g(n.shape,r.shape,"Error in squaredDifferenceStrict: "),n.squaredDifference(r)}}),Pn=Ke({subStrict_:function(e,t){const n=Fe(e,"a","subStrict"),r=Fe(t,"b","subStrict");return g(n.shape,r.shape,"Error in subStrict: "),n.sub(r)}});const zn=Ke({div_:function(e,t){let n=Fe(e,"a","div"),r=Fe(t,"b","div");if([n,r]=me(n,r),"int32"===n.dtype&&"int32"===r.dtype)return $n(n,r);const s={a:n,b:r};return ve.runKernelFunc((e,t)=>{const s=e.realDivide(n,r);return t([n,r]),s},s,null,"Div",{})}});const Ln=Ke({square_:function(e){const t=Fe(e,"x","square"),n=[t];return ve.runKernelFunc((e,n)=>(n([t]),e.square(t)),{x:t},null,"Square",{},n,[])}}),On={kernelName:"Div",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=$e(n.shape,r.shape);return{a:()=>{const t=zn(e,r.toFloat()),a=De(n.shape,s);return a.length>0?kt(t,a).reshape(n.shape):t},b:()=>{let t=Tn(e,n.toFloat());const a=De(r.shape,s);a.length>0&&(t=Rt(kt(t,a),r.shape));const o=Ln(r);return on(zn(t,o.toFloat()))}}}};const Wn=Ke({sub_:function(e,t){let n=Fe(e,"a","sub"),r=Fe(t,"b","sub");[n,r]=me(n,r);const s={a:n,b:r};return ve.runKernelFunc((e,t)=>{const s=e.subtract(n,r);return t([n,r]),s},s,null,"Sub")}});const Kn=Ke({tile_:function(e,t){const n=Fe(e,"x","tile",null);m(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of reps ${t}.`);const r=[n],s={x:n},a={reps:t};return ve.runKernelFunc((e,r)=>{const s=e.tile(n,t);return r([n]),s},s,null,"Tile",a,r)}}),Hn={kernelName:"FusedBatchNorm",inputsToSave:["x","mean","variance","scale"],gradFunc:(e,t,n)=>{const{varianceEpsilon:r}=n,[s,a,o,i]=t,u=null==i?Je(1):i,l=De(a.shape,s.shape),c=[];if(1===a.rank){for(let e=0;e<s.shape.length-1;++e)c.push(s.shape[e]);c.push(1)}const h=Wn(s,a),d=Tn(e,u),p=cn(Ot(o,Je(r))),f=Tn(Tn(Tn(p,p),p),Je(-.5));return{x:()=>1===a.rank?Rt(Tn(Tn(e,Kn(p.as4D(1,1,1,a.shape[0]),c)),u),s.shape):Rt(Tn(Tn(e,p),u),s.shape),mean:()=>{let e=Tn(Tn(p,Je(-1)),d);return 1===a.rank&&(e=kt(e,l)),Rt(e,a.shape)},variance:()=>{let e=Tn(Tn(f,h),d);return 1===a.rank&&(e=kt(e,l)),Rt(e,a.shape)},scale:()=>{const t=Tn(h,p);let n=Tn(e,t);return 1===a.rank&&(n=kt(n,l)),Rt(n,a.shape)},offset:()=>{let t=e;return 1===a.rank&&(t=kt(t,l)),Rt(t,a.shape)}}}},Gn={kernelName:"Identity",gradFunc:e=>({x:()=>e.toFloat()})},Un={kernelName:"OneHot",inputsToSave:["indices"],gradFunc:(e,t)=>{const n=t[0];return{indices:()=>st(n.shape,"float32")}}},jn={kernelName:"PadV2",inputsToSave:["x"],gradFunc:(e,t,n)=>{const r=t[0],{paddings:s}=n,a=s.map(e=>e[0]);return{x:()=>e.slice(a,r.shape)}}},Vn={kernelName:"SplitV",gradFunc:(e,t,n)=>{const{axis:r}=n;return{x:()=>It(e,r)}}},Jn={kernelName:"Square",inputsToSave:["x"],gradFunc:(e,t)=>{const[n]=t;return{x:()=>Tn(e,Tn(n.toFloat(),2))}}},Yn={kernelName:"SquaredDifference",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=Je(2);return{a:()=>Tn(e,Tn(s,Wn(n,r))),b:()=>Tn(e,Tn(s,Wn(r,n)))}}},Xn={kernelName:"Sub",inputsToSave:["a","b"],gradFunc:(e,t)=>{const[n,r]=t,s=$e(n.shape,r.shape);return{a:()=>{let t=e;const r=De(n.shape,s);return r.length>0&&(t=kt(t,r)),Rt(t,n.shape)},b:()=>{let t=e;const n=De(r.shape,s);return n.length>0&&(t=kt(t,n)),Rt(on(t),r.shape)}}}};const Zn=Ke({pad_:function(e,t,n=0){const r=Fe(e,"x","pad");if(0===r.rank)throw new Error("pad(scalar) is not defined. Pass non-scalar to pad");const s={paddings:t,constantValue:n},a={x:r};return ve.runKernelFunc((e,s)=>(s([r]),e.pad(r,t,n)),a,null,"PadV2",s)}});function Qn(e,t,n){m(e.rank===t.length,()=>`Error in slice${e.rank}D: Length of begin ${t} must match the rank of the array (${e.rank}).`),m(e.rank===n.length,()=>`Error in slice${e.rank}D: Length of size ${n} must match the rank of the array (${e.rank}).`);for(let r=0;r<e.rank;++r)m(t[r]+n[r]<=e.shape[r],()=>`Error in slice${e.rank}D: begin[${r}] + size[${r}] (${t[r]+n[r]}) would overflow input.shape[${r}] (${e.shape[r]})`)}function er(e){const t=[];let n=0;for(;e>0;)1&e&&t.push(n),e/=2,n++;return t}function tr(e,t,n){const r=[];for(let s=0;s<e.length;s++)r[s]=Math.ceil((t[s]-e[s])/n[s]);return r}function nr(e,t,n,r,s){let a=t[s];const o=n[s]||1;(e&1<<s||null==a)&&(a=o>0?Number.MIN_SAFE_INTEGER:Number.MAX_SAFE_INTEGER);const i=r[s];return a<0&&(a+=i),a=f(0,a,i-1),a}function rr(e,t,n,r,s){let a=t[s];const o=n[s]||1;(e&1<<s||null==a)&&(a=o>0?Number.MAX_SAFE_INTEGER:Number.MIN_SAFE_INTEGER);const i=r[s];return a<0&&(a+=i),a=o>0?f(0,a,i):f(-1,a,i-1),a}var sr=Object.freeze({__proto__:null,assertParamsValid:Qn,maskToAxes:er,computeOutShape:tr,startForAxis:nr,stopForAxis:rr,isSliceContinous:function(e,t,n){let r=n.length;for(let e=0;e<n.length;e++)if(n[e]>1){r=e;break}for(let s=r+1;s<n.length;s++)if(t[s]>0||n[s]!==e[s])return!1;return!0},computeFlatOffset:function(e,t){let n=e.length>0?e[e.length-1]:1;for(let r=0;r<e.length-1;r++)n+=e[r]*t[r];return n}});const ar=Ke({slice_:function(e,t,n){const r=Fe(e,"x","slice");if(0===r.rank)throw new Error("Slicing scalar is not possible");let s,a;s="number"==typeof t?[t,...new Array(r.rank-1).fill(0)]:t.length<r.rank?t.concat(new Array(r.rank-t.length).fill(0)):t.slice(),s.forEach(e=>{m(-1!==e,()=>"slice() does not support negative begin indexing.")}),a=null==n?new Array(r.rank).fill(-1):"number"==typeof n?[n,...new Array(r.rank-1).fill(-1)]:n.length<r.rank?n.concat(new Array(r.rank-n.length).fill(-1)):n,a=a.map((e,t)=>e>=0?e:(m(-1===e,()=>`Negative size values should be exactly -1 but got ${e} for the slice() size at index ${t}.`),r.shape[t]-s[t])),Qn(r,s,a);const o=r.shape,i={begin:s,size:a};return ve.runKernelFunc(e=>e.slice(r,s,a),{x:r},e=>{const t=[];for(let n=0;n<e.rank;n++)t.push([s[n],o[n]-s[n]-a[n]]);return{x:()=>Zn(e,t)}},"Slice",i)}}),or=Ke({slice1d_:function(e,t,n){const r=Fe(e,"x","slice1d");return m(1===r.rank,()=>`slice1d expects a rank-1 tensor, but got a rank-${r.rank} tensor`),ar(r,[t],[n])}}),ir=Ke({slice2d_:function(e,t,n){const r=Fe(e,"x","slice2d");return m(2===r.rank,()=>`slice2d expects a rank-2 tensor, but got a rank-${r.rank} tensor`),ar(r,t,n)}}),ur=Ke({slice3d_:function(e,t,n){const r=Fe(e,"x","slice3d");return m(3===r.rank,()=>`slice3d expects a rank-3 tensor, but got a rank-${r.rank} tensor`),ar(r,t,n)}}),lr=Ke({slice4d_:function(e,t,n){const r=Fe(e,"x","slice4d");return m(4===r.rank,()=>`slice4d expects a rank-4 tensor, but got a rank-${r.rank} tensor`),ar(r,t,n)}}),cr={kernelName:"Tile",inputsToSave:["x"],gradFunc:(e,t,n)=>{const[r]=t,{reps:s}=n;return{x:()=>{let t=lt(r);if(1===r.rank)for(let n=0;n<s[0];++n)t=Ot(t,ar(e,[n*r.shape[0]],[r.shape[0]]));else if(2===r.rank)for(let n=0;n<s[0];++n)for(let a=0;a<s[1];++a)t=Ot(t,ar(e,[n*r.shape[0],a*r.shape[1]],[r.shape[0],r.shape[1]]));else if(3===r.rank)for(let n=0;n<s[0];++n)for(let a=0;a<s[1];++a)for(let o=0;o<s[2];++o)t=Ot(t,ar(e,[n*r.shape[0],a*r.shape[1],o*r.shape[2]],[r.shape[0],r.shape[1],r.shape[2]]));else{if(4!==r.rank)throw new Error("Gradient for tile operation is not implemented for rank-"+r.rank+" tensors yet.");for(let n=0;n<s[0];++n)for(let a=0;a<s[1];++a)for(let o=0;o<s[2];++o)for(let i=0;i<s[3];++i)t=Ot(t,ar(e,[n*r.shape[0],a*r.shape[1],o*r.shape[2],i*r.shape[3]],[r.shape[0],r.shape[1],r.shape[2],r.shape[3]]))}return t}}}};const hr=Ke({transpose_:function(e,t){const n=Fe(e,"x","transpose");if(null==t&&(t=n.shape.map((e,t)=>t).reverse()),m(n.rank===t.length,()=>`Error in transpose: rank of input ${n.rank} must match length of perm ${t}.`),t.forEach(e=>{m(e>=0&&e<n.rank,()=>"All entries in 'perm' must be between 0 and "+(n.rank-1)+" but got "+t)}),n.rank<=1)return n.clone();const r={perm:t};return ve.runKernelFunc(e=>e.transpose(n,t),{x:n},null,"Transpose",r)}}),dr=[Ie,Ne,xt,St,On,Hn,Gn,Un,jn,Vn,Jn,Yn,cr,{kernelName:"Transpose",gradFunc:(e,t,n)=>{const r=n,{perm:s}=r,a=Oe(s);return{x:()=>hr(e,a)}}},Xn];for(const e of dr)h(e);class pr{fetch(e,t){return fetch(e,t)}now(){return performance.now()}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Browser's encoder only supports utf-8, but got "+t);return null==this.textEncoder&&(this.textEncoder=new TextEncoder),this.textEncoder.encode(e)}decode(e,t){return new TextDecoder(t).decode(e)}}n().get("IS_BROWSER")&&n().setPlatform("browser",new pr);const fr=()=>require("node-fetch");let mr;class gr{constructor(){this.util=require("util"),this.textEncoder=new this.util.TextEncoder}fetch(e,t){return null!=n().global.fetch?n().global.fetch(e,t):(null==mr&&(mr=fr()),mr(e,t))}now(){const e=process.hrtime();return 1e3*e[0]+e[1]/1e6}encode(e,t){if("utf-8"!==t&&"utf8"!==t)throw new Error("Node built-in encoder only supports utf-8, but got "+t);return this.textEncoder.encode(e)}decode(e,t){return 0===e.length?"":new this.util.TextDecoder(t).decode(e)}}n().get("IS_NODE")&&n().setPlatform("node",new gr);const br={float32:4,int32:4,uint16:2,uint8:1,bool:1};function wr(e,t){const n={};let r=0;for(const s of t){const t=s.name,a=s.dtype,o=s.shape,i=y(o);let u;if("quantization"in s){const n=s.quantization;if("uint8"!==n.dtype&&"uint16"!==n.dtype)throw new Error(`Weight ${s.name} has unknown quantization dtype ${n.dtype}. Supported quantization dtypes are: 'uint8' and 'uint16'.`);const o=br[n.dtype],l=e.slice(r,r+i*o),c="uint8"===n.dtype?new Uint8Array(l):new Uint16Array(l);if("float32"===a)u=Float32Array.from(c,e=>e*n.scale+n.min);else{if("int32"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);u=Int32Array.from(c,e=>Math.round(e*n.scale+n.min))}r+=i*o}else if("string"===a){const t=y(s.shape);u=[];for(let n=0;n<t;n++){const t=new Uint32Array(e.slice(r,r+4))[0];r+=4;const n=new Uint8Array(e.slice(r,r+t));u.push(n),r+=t}}else{const n=br[a],s=e.slice(r,r+i*n);if("float32"===a)u=new Float32Array(s);else if("int32"===a)u=new Int32Array(s);else{if("bool"!==a)throw new Error(`Unsupported dtype in weight '${t}': ${a}`);u=new Uint8Array(s)}r+=i*n}n[t]=je(u,o,a)}return n}function yr(e){if(null===e)throw new Error("Invalid input value: "+JSON.stringify(e));let t=0;const n=[];e.forEach(e=>{if(t+=e.byteLength,n.push(e.byteLength===e.buffer.byteLength?e:new e.constructor(e)),!(e instanceof Float32Array||e instanceof Int32Array||e instanceof Uint8Array))throw new Error("Unsupported TypedArray subtype: "+e.constructor.name)});const r=new Uint8Array(t);let s=0;return n.forEach(e=>{r.set(new Uint8Array(e.buffer),s),s+=e.byteLength}),r.buffer}const kr="undefined"!=typeof Buffer&&("undefined"==typeof Blob||"undefined"==typeof atob||"undefined"==typeof btoa);function vr(e){return kr?Buffer.byteLength(e):new Blob([e]).size}function xr(e){let t=0;e.forEach(e=>{t+=e.byteLength});const n=new Uint8Array(t);let r=0;return e.forEach(e=>{n.set(new Uint8Array(e),r),r+=e.byteLength}),n.buffer}function Er(e){for(e=e.trim();e.endsWith("/");)e=e.slice(0,e.length-1);const t=e.split("/");return t[t.length-1]}function Sr(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("Expected JSON model topology, received ArrayBuffer.");return{dateSaved:new Date,modelTopologyType:"JSON",modelTopologyBytes:null==e.modelTopology?0:vr(JSON.stringify(e.modelTopology)),weightSpecsBytes:null==e.weightSpecs?0:vr(JSON.stringify(e.weightSpecs)),weightDataBytes:null==e.weightData?0:e.weightData.byteLength}}class Dr{constructor(){this.saveRouters=[],this.loadRouters=[]}static getInstance(){return null==Dr.instance&&(Dr.instance=new Dr),Dr.instance}static registerSaveRouter(e){Dr.getInstance().saveRouters.push(e)}static registerLoadRouter(e){Dr.getInstance().loadRouters.push(e)}static getSaveHandlers(e){return Dr.getHandlers(e,"save")}static getLoadHandlers(e,t){return Dr.getHandlers(e,"load",t)}static getHandlers(e,t,n){const r=[];return("load"===t?Dr.getInstance().loadRouters:Dr.getInstance().saveRouters).forEach(t=>{const s=t(e,n);null!==s&&r.push(s)}),r}}class $r{constructor(){this.managers={}}static getInstance(){return null==$r.instance&&($r.instance=new $r),$r.instance}static registerManager(e,t){m(null!=e,()=>"scheme must not be undefined or null."),e.endsWith("://")&&(e=e.slice(0,e.indexOf("://"))),m(e.length>0,()=>"scheme must not be an empty string.");const n=$r.getInstance();m(null==n.managers[e],()=>`A model store manager is already registered for scheme '${e}'.`),n.managers[e]=t}static getManager(e){const t=this.getInstance().managers[e];if(null==t)throw new Error(`Cannot find model manager for scheme '${e}'`);return t}static getSchemes(){return Object.keys(this.getInstance().managers)}}function Ir(e){if(-1===e.indexOf("://"))throw new Error("The url string provided does not contain a scheme. Supported schemes are: "+$r.getSchemes().join(","));return{scheme:e.split("://")[0],path:e.split("://")[1]}}async function Nr(e,t,n=!1){m(e!==t,()=>`Old path and new path are the same: '${e}'`);const r=Dr.getLoadHandlers(e);m(r.length>0,()=>`Copying failed because no load handler is found for source URL ${e}.`),m(r.length<2,()=>`Copying failed because more than one (${r.length}) load handlers for source URL ${e}.`);const s=r[0],a=Dr.getSaveHandlers(t);m(a.length>0,()=>`Copying failed because no save handler is found for destination URL ${t}.`),m(a.length<2,()=>`Copying failed because more than one (${r.length}) save handlers for destination URL ${t}.`);const o=a[0],i=Ir(e).scheme,u=Ir(e).path,l=i===Ir(e).scheme,c=await s.load();n&&l&&await $r.getManager(i).removeModel(u);const h=await o.save(c);return n&&!l&&await $r.getManager(i).removeModel(u),h.modelArtifactsInfo}function Ar(){if(!n().getBool("IS_BROWSER"))throw new Error("Failed to obtain IndexedDB factory because the current environmentis not a web browser.");const e=window||self,t=e.indexedDB||e.mozIndexedDB||e.webkitIndexedDB||e.msIndexedDB||e.shimIndexedDB;if(null==t)throw new Error("The current browser does not appear to support IndexedDB.");return t}function _r(e){const t=e.result;t.createObjectStore("models_store",{keyPath:"modelPath"}),t.createObjectStore("model_info_store",{keyPath:"modelPath"})}class Fr{constructor(e){if(this.indexedDB=Ar(),null==e||!e)throw new Error("For IndexedDB, modelPath must not be null, undefined or empty.");this.modelPath=e}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");return this.databaseAction(this.modelPath,e)}async load(){return this.databaseAction(this.modelPath)}databaseAction(e,t){return new Promise((e,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>_r(r),r.onsuccess=()=>{const s=r.result;if(null==t){const t=s.transaction("models_store","readonly"),r=t.objectStore("models_store").get(this.modelPath);r.onsuccess=()=>{if(null==r.result)return s.close(),n(new Error(`Cannot find model with path '${this.modelPath}' in IndexedDB.`));e(r.result.modelArtifacts)},r.onerror=e=>(s.close(),n(r.error)),t.oncomplete=()=>s.close()}else{const r=Sr(t),a=s.transaction("model_info_store","readwrite");let o=a.objectStore("model_info_store");const i=o.put({modelPath:this.modelPath,modelArtifactsInfo:r});let u;i.onsuccess=()=>{u=s.transaction("models_store","readwrite");const i=u.objectStore("models_store").put({modelPath:this.modelPath,modelArtifacts:t,modelArtifactsInfo:r});i.onsuccess=()=>e({modelArtifactsInfo:r}),i.onerror=e=>{o=a.objectStore("model_info_store");const t=o.delete(this.modelPath);t.onsuccess=()=>(s.close(),n(i.error)),t.onerror=e=>(s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),a.oncomplete=()=>{null==u?s.close():u.oncomplete=()=>s.close()}}},r.onerror=e=>n(r.error)})}}Fr.URL_SCHEME="indexeddb://";const Mr=e=>{return n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Fr.URL_SCHEME)?(t=e.slice(Fr.URL_SCHEME.length),new Fr(t)):null;var t};Dr.registerSaveRouter(Mr),Dr.registerLoadRouter(Mr);class Tr{constructor(){this.indexedDB=Ar()}async listModels(){return new Promise((e,t)=>{const n=this.indexedDB.open("tensorflowjs",1);n.onupgradeneeded=()=>_r(n),n.onsuccess=()=>{const r=n.result,s=r.transaction("model_info_store","readonly"),a=s.objectStore("model_info_store").getAll();a.onsuccess=()=>{const t={};for(const e of a.result)t[e.modelPath]=e.modelArtifactsInfo;e(t)},a.onerror=e=>(r.close(),t(a.error)),s.oncomplete=()=>r.close()},n.onerror=e=>t(n.error)})}async removeModel(e){var t;return e=(t=e).startsWith(Fr.URL_SCHEME)?t.slice(Fr.URL_SCHEME.length):t,new Promise((t,n)=>{const r=this.indexedDB.open("tensorflowjs",1);r.onupgradeneeded=()=>_r(r),r.onsuccess=()=>{const s=r.result,a=s.transaction("model_info_store","readwrite"),o=a.objectStore("model_info_store"),i=o.get(e);let u;i.onsuccess=()=>{if(null==i.result)return s.close(),n(new Error(`Cannot find model with path '${e}' in IndexedDB.`));{const r=o.delete(e),a=()=>{u=s.transaction("models_store","readwrite");const r=u.objectStore("models_store").delete(e);r.onsuccess=()=>t(i.result.modelArtifactsInfo),r.onerror=e=>n(i.error)};r.onsuccess=a,r.onerror=e=>(a(),s.close(),n(i.error))}},i.onerror=e=>(s.close(),n(i.error)),a.oncomplete=()=>{null==u?s.close():u.oncomplete=()=>s.close()}},r.onerror=e=>n(r.error)})}}if(n().getBool("IS_BROWSER"))try{$r.registerManager(Fr.URL_SCHEME,new Tr)}catch(e){}const Br="tensorflowjs_models",Rr="info",Cr="model_topology",qr="weight_specs",Pr="weight_data",zr="model_metadata";function Lr(e){return{info:[Br,e,Rr].join("/"),topology:[Br,e,Cr].join("/"),weightSpecs:[Br,e,qr].join("/"),weightData:[Br,e,Pr].join("/"),modelMetadata:[Br,e,zr].join("/")}}function Or(e){const t=e.split("/");if(t.length<3)throw new Error("Invalid key format: "+e);return t.slice(1,t.length-1).join("/")}class Wr{constructor(e){if(!n().getBool("IS_BROWSER")||"undefined"==typeof window||void 0===window.localStorage)throw new Error("The current environment does not support local storage.");if(this.LS=window.localStorage,null==e||!e)throw new Error("For local storage, modelPath must not be null, undefined or empty.");this.modelPath=e,this.keys=Lr(this.modelPath)}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserLocalStorage.save() does not support saving model topology in binary formats yet.");{const t=JSON.stringify(e.modelTopology),n=JSON.stringify(e.weightSpecs),r=Sr(e);try{return this.LS.setItem(this.keys.info,JSON.stringify(r)),this.LS.setItem(this.keys.topology,t),this.LS.setItem(this.keys.weightSpecs,n),this.LS.setItem(this.keys.weightData,function(e){if(kr)return Buffer.from(e).toString("base64");const t=new Uint8Array(e);let n="";for(let e=0,r=t.length;e<r;e++)n+=String.fromCharCode(t[e]);return btoa(n)}(e.weightData)),this.LS.setItem(this.keys.modelMetadata,JSON.stringify({format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,userDefinedMetadata:e.userDefinedMetadata})),{modelArtifactsInfo:r}}catch(e){throw this.LS.removeItem(this.keys.info),this.LS.removeItem(this.keys.topology),this.LS.removeItem(this.keys.weightSpecs),this.LS.removeItem(this.keys.weightData),this.LS.removeItem(this.keys.modelMetadata),new Error(`Failed to save model '${this.modelPath}' to local storage: size quota being exceeded is a possible cause of this failure: modelTopologyBytes=${r.modelTopologyBytes}, weightSpecsBytes=${r.weightSpecsBytes}, weightDataBytes=${r.weightDataBytes}.`)}}}async load(){const e=JSON.parse(this.LS.getItem(this.keys.info));if(null==e)throw new Error(`In local storage, there is no model with name '${this.modelPath}'`);if("JSON"!==e.modelTopologyType)throw new Error("BrowserLocalStorage does not support loading non-JSON model topology yet.");const t={},n=JSON.parse(this.LS.getItem(this.keys.topology));if(null==n)throw new Error(`In local storage, the topology of model '${this.modelPath}' is missing.`);t.modelTopology=n;const r=JSON.parse(this.LS.getItem(this.keys.weightSpecs));if(null==r)throw new Error(`In local storage, the weight specs of model '${this.modelPath}' are missing.`);t.weightSpecs=r;const s=this.LS.getItem(this.keys.modelMetadata);if(null!=s){const e=JSON.parse(s);t.format=e.format,t.generatedBy=e.generatedBy,t.convertedBy=e.convertedBy,t.userDefinedMetadata=e.userDefinedMetadata}const a=this.LS.getItem(this.keys.weightData);if(null==a)throw new Error(`In local storage, the binary weight values of model '${this.modelPath}' are missing.`);return t.weightData=function(e){if(kr){const t=Buffer.from(e,"base64");return t.buffer.slice(t.byteOffset,t.byteOffset+t.byteLength)}const t=atob(e),n=new Uint8Array(t.length);for(let e=0;e<t.length;++e)n.set([t.charCodeAt(e)],e);return n.buffer}(a),t}}Wr.URL_SCHEME="localstorage://";const Kr=e=>{return n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Wr.URL_SCHEME)?(t=e.slice(Wr.URL_SCHEME.length),new Wr(t)):null;var t};Dr.registerSaveRouter(Kr),Dr.registerLoadRouter(Kr);class Hr{constructor(){m(n().getBool("IS_BROWSER"),()=>"Current environment is not a web browser"),m("undefined"==typeof window||void 0!==window.localStorage,()=>"Current browser does not appear to support localStorage"),this.LS=window.localStorage}async listModels(){const e={},t=Br+"/",n="/"+Rr;for(let r=0;r<this.LS.length;++r){const s=this.LS.key(r);if(s.startsWith(t)&&s.endsWith(n)){e[Or(s)]=JSON.parse(this.LS.getItem(s))}}return e}async removeModel(e){var t;const n=Lr(e=(t=e).startsWith(Wr.URL_SCHEME)?t.slice(Wr.URL_SCHEME.length):t);if(null==this.LS.getItem(n.info))throw new Error(`Cannot find model at path '${e}'`);const r=JSON.parse(this.LS.getItem(n.info));return this.LS.removeItem(n.info),this.LS.removeItem(n.topology),this.LS.removeItem(n.weightSpecs),this.LS.removeItem(n.weightData),r}}if(n().getBool("IS_BROWSER"))try{$r.registerManager(Wr.URL_SCHEME,new Hr)}catch(e){}function Gr(e){return new Promise(e=>setTimeout(e)).then(e)}class Ur{constructor(e){if(!n().getBool("IS_BROWSER"))throw new Error("browserDownloads() cannot proceed because the current environment is not a browser.");e.startsWith(Ur.URL_SCHEME)&&(e=e.slice(Ur.URL_SCHEME.length)),null!=e&&0!==e.length||(e="model"),this.modelTopologyFileName=e+".json",this.weightDataFileName=e+".weights.bin"}async save(e){if("undefined"==typeof document)throw new Error("Browser downloads are not supported in this environment since `document` is not present");const t=window.URL.createObjectURL(new Blob([e.weightData],{type:"application/octet-stream"}));if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserDownloads.save() does not support saving model topology in binary formats yet.");{const n=[{paths:["./"+this.weightDataFileName],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,weightsManifest:n},s=window.URL.createObjectURL(new Blob([JSON.stringify(r)],{type:"application/json"})),a=null==this.jsonAnchor?document.createElement("a"):this.jsonAnchor;if(a.download=this.modelTopologyFileName,a.href=s,await Gr(()=>a.dispatchEvent(new MouseEvent("click"))),null!=e.weightData){const e=null==this.weightDataAnchor?document.createElement("a"):this.weightDataAnchor;e.download=this.weightDataFileName,e.href=t,await Gr(()=>e.dispatchEvent(new MouseEvent("click")))}return{modelArtifactsInfo:Sr(e)}}}}Ur.URL_SCHEME="downloads://";class jr{constructor(e){if(null==e||e.length<1)throw new Error("When calling browserFiles, at least 1 file is required, but received "+e);this.files=e}async load(){const e=this.files[0],t=this.files.slice(1);return new Promise((n,r)=>{const s=new FileReader;s.onload=s=>{const a=JSON.parse(s.target.result),o=a.modelTopology;if(null==o)return void r(new Error("modelTopology field is missing from file "+e.name));0===t.length&&n({modelTopology:o});const i=a.weightsManifest;if(null==i)return void r(new Error("weightManifest field is missing from file "+e.name));let u;try{u=this.checkManifestAndWeightFiles(i,t)}catch(e){return void r(e)}const l=[],c=[],h=[];i.forEach(e=>{e.paths.forEach(e=>{c.push(e),h.push(null)}),l.push(...e.weights)}),i.forEach(e=>{e.paths.forEach(e=>{const t=new FileReader;t.onload=t=>{const r=t.target.result,s=c.indexOf(e);h[s]=r,-1===h.indexOf(null)&&n({modelTopology:o,weightSpecs:l,weightData:xr(h),format:a.format,generatedBy:a.generatedBy,convertedBy:a.convertedBy,userDefinedMetadata:a.userDefinedMetadata})},t.onerror=t=>r(`Failed to weights data from file of path '${e}'.`),t.readAsArrayBuffer(u[e])})})},s.onerror=t=>r(`Failed to read model topology and weights manifest JSON from file '${e.name}'. BrowserFiles supports loading Keras-style tf.Model artifacts only.`),s.readAsText(e)})}checkManifestAndWeightFiles(e,t){const n=[],r=t.map(e=>Er(e.name)),s={};for(const a of e)a.paths.forEach(e=>{const a=Er(e);if(-1!==n.indexOf(a))throw new Error(`Duplicate file basename found in weights manifest: '${a}'`);if(n.push(a),-1===r.indexOf(a))throw new Error(`Weight file with basename '${a}' is not provided.`);s[e]=t[r.indexOf(a)]});if(n.length!==t.length)throw new Error(`Mismatch in the number of files in weights manifest (${n.length}) and the number of weight files provided (${t.length}).`);return s}}function Vr(e,t,n,r){!function(e){m(null!=e&&Array.isArray(e)&&e.length>0,()=>"promises must be a none empty array")}(e),function(e,t){m(e>=0&&e<=1,()=>"Progress fraction must be in range [0, 1], but got startFraction "+e),m(t>=0&&t<=1,()=>"Progress fraction must be in range [0, 1], but got endFraction "+t),m(t>=e,()=>`startFraction must be no more than endFraction, but got startFraction ${e} and endFraction `+t)}(n=null==n?0:n,r=null==r?1:r);let s=0;return Promise.all(e.map(a=>(a.then(a=>{const o=n+ ++s/e.length*(r-n);return t(o),a}),a)))}async function Jr(e,t){null==t&&(t={});const r=null==t.fetchFunc?n().platform.fetch:t.fetchFunc,s=e.map(e=>r(e,t.requestInit,{isBinary:!0})),a=(null==t.onProgress?await Promise.all(s):await Vr(s,t.onProgress,0,.5)).map(e=>e.arrayBuffer());return null==t.onProgress?await Promise.all(a):await Vr(a,t.onProgress,.5,1)}function Yr(e){return async(t,n="",r)=>{const s=t.map(()=>!1),a={},o=null!=r?r.map(()=>!1):[],i=[];if(t.forEach((e,t)=>{let n=0;e.weights.forEach(e=>{const u="quantization"in e?e.quantization.dtype:e.dtype,l=br[u]*y(e.shape),c=()=>{s[t]=!0,null==a[t]&&(a[t]=[]),a[t].push({manifestEntry:e,groupOffset:n,sizeBytes:l})};null!=r?r.forEach((t,n)=>{t===e.name&&(c(),o[n]=!0)}):c(),i.push(e.name),n+=l})}),!o.every(e=>e)){const e=r.filter((e,t)=>!o[t]);throw new Error("Could not find weights in manifest with names: "+e.join(", ")+". \nManifest JSON has weights with names: "+i.join(", ")+".")}const u=s.reduce((e,t,n)=>(t&&e.push(n),e),[]),l=[];u.forEach(e=>{t[e].paths.forEach(e=>{const t=n+(n.endsWith("/")?"":"/")+e;l.push(t)})});const c=await e(l),h={};let d=0;return u.forEach(e=>{const n=t[e].paths.length;let r=0;for(let e=0;e<n;e++)r+=c[d+e].byteLength;const s=new ArrayBuffer(r),o=new Uint8Array(s);let i=0;for(let e=0;e<n;e++){const t=new Uint8Array(c[d+e]);o.set(t,i),i+=t.byteLength}a[e].forEach(e=>{const t=wr(s.slice(e.groupOffset,e.groupOffset+e.sizeBytes),[e.manifestEntry]);for(const e in t)h[e]=t[e]}),d+=n}),h}}Dr.registerSaveRouter(e=>n().getBool("IS_BROWSER")&&!Array.isArray(e)&&e.startsWith(Ur.URL_SCHEME)?function(e="model"){return new Ur(e)}(e.slice(Ur.URL_SCHEME.length)):null);class Xr{constructor(e,t){if(this.DEFAULT_METHOD="POST",null==t&&(t={}),this.weightPathPrefix=t.weightPathPrefix,this.onProgress=t.onProgress,null!=t.fetchFunc?(m("function"==typeof t.fetchFunc,()=>"Must pass a function that matches the signature of `fetch` (see https://developer.mozilla.org/en-US/docs/Web/API/Fetch_API)"),this.fetch=t.fetchFunc):this.fetch=n().platform.fetch,m(null!=e&&e.length>0,()=>"URL path for http must not be null, undefined or empty."),Array.isArray(e)&&m(2===e.length,()=>`URL paths for http must have a length of 2, (actual length is ${e.length}).`),this.path=e,null!=t.requestInit&&null!=t.requestInit.body)throw new Error("requestInit is expected to have no pre-existing body, but has one.");this.requestInit=t.requestInit||{}}async save(e){if(e.modelTopology instanceof ArrayBuffer)throw new Error("BrowserHTTPRequest.save() does not support saving model topology in binary formats yet.");const t=Object.assign({method:this.DEFAULT_METHOD},this.requestInit);t.body=new FormData;const n=[{paths:["./model.weights.bin"],weights:e.weightSpecs}],r={modelTopology:e.modelTopology,format:e.format,generatedBy:e.generatedBy,convertedBy:e.convertedBy,userDefinedMetadata:e.userDefinedMetadata,weightsManifest:n};t.body.append("model.json",new Blob([JSON.stringify(r)],{type:"application/json"}),"model.json"),null!=e.weightData&&t.body.append("model.weights.bin",new Blob([e.weightData],{type:"application/octet-stream"}),"model.weights.bin");const s=await this.fetch(this.path,t);if(s.ok)return{modelArtifactsInfo:Sr(e),responses:[s]};throw new Error("BrowserHTTPRequest.save() failed due to HTTP response status "+s.status+".")}async load(){const e=await this.fetch(this.path,this.requestInit);if(!e.ok)throw new Error(`Request to ${this.path} failed with status code `+e.status+". Please verify this URL points to the model JSON of the model to load.");let t;try{t=await e.json()}catch(e){let t=`Failed to parse model JSON of response from ${this.path}.`;throw this.path.endsWith(".pb")?t+=" Your path contains a .pb file extension. Support for .pb models have been removed in TensorFlow.js 1.0 in favor of .json models. You can re-convert your Python TensorFlow model using the TensorFlow.js 1.0 conversion scripts or you can convert your.pb models with the 'pb2json'NPM script in the tensorflow/tfjs-converter repository.":t+=" Please make sure the server is serving valid JSON for this request.",new Error(t)}const n=t.modelTopology,r=t.weightsManifest,s=t.generatedBy,a=t.convertedBy,o=t.format,i=t.userDefinedMetadata;if(null==n&&null==r)throw new Error(`The JSON from HTTP path ${this.path} contains neither model topology or manifest for weights.`);let u,l;if(null!=r){const e=await this.loadWeights(r);[u,l]=e}return{modelTopology:n,weightSpecs:u,weightData:l,userDefinedMetadata:i,generatedBy:s,convertedBy:a,format:o}}async loadWeights(e){const t=Array.isArray(this.path)?this.path[1]:this.path,[n,r]=function(e){const t=e.lastIndexOf("/"),n=e.lastIndexOf("?"),r=e.substring(0,t),s=n>t?e.substring(n):"";return[r+"/",s]}(t),s=this.weightPathPrefix||n,a=[];for(const t of e)a.push(...t.weights);const o=[];return e.forEach(e=>{e.paths.forEach(e=>{o.push(s+e+r)})}),[a,xr(await Jr(o,{requestInit:this.requestInit,fetchFunc:this.fetch,onProgress:this.onProgress}))]}}function Zr(e){return null!=e.match(Xr.URL_SCHEME_REGEX)}Xr.URL_SCHEME_REGEX=/^https?:\/\//;const Qr=(e,t)=>{if("undefined"==typeof fetch)return null;{let n=!0;if(n=Array.isArray(e)?e.every(e=>Zr(e)):Zr(e),n)return es(e,{onProgress:t})}return null};function es(e,t){return new Xr(e,t)}Dr.registerSaveRouter(Qr),Dr.registerLoadRouter(Qr);class ts{constructor(e){this.modelArtifacts=e}async load(){return this.modelArtifacts}}class ns{constructor(e){this.saveHandler=e}async save(e){return this.saveHandler(e)}}var rs=Object.freeze({__proto__:null,browserFiles:function(e){return new jr(e)},browserHTTPRequest:function(e,t){return es(e,t)},concatenateArrayBuffers:xr,decodeWeights:wr,encodeWeights:async function(e,t){const n=[],r=[],s=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);for(let a=0;a<s.length;++a){const o=s[a],i=Array.isArray(e)?e[a].tensor:e[o];if("float32"!==i.dtype&&"int32"!==i.dtype&&"bool"!==i.dtype&&"string"!==i.dtype)throw new Error(`Unsupported dtype in weight '${o}': ${i.dtype}`);const u={name:o,shape:i.shape,dtype:i.dtype};if("string"===i.dtype){const e=new Promise(async e=>{const t=await i.bytes(),n=t.reduce((e,t)=>e+t.length,0)+4*t.length,r=new Uint8Array(n);let s=0;for(let e=0;e<t.length;e++){const n=t[e],a=new Uint8Array(new Uint32Array([n.length]).buffer);r.set(a,s),s+=4,r.set(n,s),s+=n.length}e(r)});r.push(e)}else r.push(i.data());null!=t&&(u.group=t),n.push(u)}return{data:yr(await Promise.all(r)),specs:n}},fromMemory:function(e,t,n,r){if(1===arguments.length){return null!=e.modelTopology||null!=e.weightSpecs?new ts(e):(console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new ts({modelTopology:e}))}return console.warn("Please call tf.io.fromMemory() with only one argument. The argument should be of type ModelArtifacts. The multi-argument signature of tf.io.fromMemory() has been deprecated and will be removed in a future release."),new ts({modelTopology:e,weightSpecs:t,weightData:n,trainingConfig:r})},getLoadHandlers:(e,t)=>Dr.getLoadHandlers(e,t),getModelArtifactsInfoForJSON:Sr,getSaveHandlers:e=>Dr.getSaveHandlers(e),http:es,isHTTPScheme:Zr,loadWeights:async function(e,t="",n,r){return Yr(e=>Jr(e,{requestInit:r}))(e,t,n)},registerLoadRouter:e=>Dr.registerLoadRouter(e),registerSaveRouter:e=>Dr.registerSaveRouter(e),weightsLoaderFactory:Yr,withSaveHandler:function(e){return new ns(e)},copyModel:async function(e,t){return Nr(e,t,!1)},listModels:async function(){const e=$r.getSchemes(),t={};for(const n of e){const e=await $r.getManager(n).listModels();for(const r in e){t[n+"://"+r]=e[r]}}return t},moveModel:async function(e,t){return Nr(e,t,!0)},removeModel:async function(e){const t=Ir(e);return $r.getManager(t.scheme).removeModel(t.path)}});const ss=Ke({oneHot_:function(e,t,n=1,r=0){if(t<2)throw new Error("Error in oneHot: depth must be >=2, but it is "+t);let s=Fe(e,"indices","oneHot","int32");const a=[...s.shape,t];s=s.flatten();const o={indices:s},i={depth:t,onValue:n,offValue:r};return ve.runKernelFunc((e,o)=>(o([s]),Rt(e.oneHot(s,t,n,r),a)),o,null,"OneHot",i)}});const as=Ke({confusionMatrix_:function(e,t,n){const r=Fe(e,"labels","confusionMatrix"),s=Fe(t,"predictions","confusionMatrix");m(null==n||n>0&&Number.isInteger(n),()=>"If provided, numClasses must be a positive integer, but got "+n),m(1===r.rank,()=>"Expected the rank of labels to be 1, but got "+r.rank),m(1===s.rank,()=>"Expected the rank of predictions to be 1, but got "+s.rank),m(r.shape[0]===s.shape[0],()=>`Mismatch in the number of examples: ${r.shape[0]} vs. ${s.shape[0]}. Labels and predictions should have the same number of elements.`),m(n>0&&Number.isInteger(n),()=>"numClasses is required to be a positive integer, but got "+n);const a=ss(r.asType("int32"),n),o=ss(s.asType("int32"),n);return a.transpose().matMul(o).asType("int32")}});var os=Object.freeze({__proto__:null,confusionMatrix:as});let is;const us=Ke({fromPixels_:function(e,t=3){if(t>4)throw new Error("Cannot construct Tensor with more than 4 channels from pixels.");if(null==e)throw new Error("pixels passed to tf.browser.fromPixels() can not be null");let n=!1,r=!1,s=!1,a=!1,o=!1;if(e.data instanceof Uint8Array)n=!0;else if("undefined"!=typeof ImageData&&e instanceof ImageData)r=!0;else if("undefined"!=typeof HTMLVideoElement&&e instanceof HTMLVideoElement)s=!0;else if("undefined"!=typeof HTMLImageElement&&e instanceof HTMLImageElement)a=!0;else{if(null==e.getContext)throw new Error("pixels passed to tf.browser.fromPixels() must be either an HTMLVideoElement, HTMLImageElement, HTMLCanvasElement, ImageData in browser, or OffscreenCanvas, ImageData in webworker or {data: Uint32Array, width: number, height: number}, but was "+e.constructor.name);o=!0}if(s){const t=2;if(s&&e.readyState<t)throw new Error("The video element has not loaded data yet. Please wait for `loadeddata` event on the <video> element.")}if(null!=u("FromPixels",ve.backendName))return ve.runKernel("FromPixels",{pixels:e},{numChannels:t});const[i,l]=s?[e.videoWidth,e.videoHeight]:[e.width,e.height];let c,h;if(o?c=e.getContext("2d").getImageData(0,0,i,l).data:r||n?c=e.data:(a||s)&&(null==is&&(is=document.createElement("canvas").getContext("2d")),is.canvas.width=i,is.canvas.height=l,is.drawImage(e,0,0,i,l),c=is.getImageData(0,0,i,l).data),4===t)h=new Int32Array(c);else{const e=i*l;h=new Int32Array(e*t);for(let n=0;n<e;n++)for(let e=0;e<t;++e)h[n*t+e]=c[4*n+e]}return Ze(h,[l,i,t],"int32")}});var ls=Object.freeze({__proto__:null,toPixels:async function(e,t){let n=Fe(e,"img","toPixels");if(!(e instanceof oe)){const e=n;n=e.toInt(),e.dispose()}if(2!==n.rank&&3!==n.rank)throw new Error(`toPixels only supports rank 2 or 3 tensors, got rank ${n.rank}.`);const[r,s]=n.shape.slice(0,2),a=2===n.rank?1:n.shape[2];if(a>4||2===a)throw new Error("toPixels only supports depth of size 1, 3 or 4 but got "+a);const o=await n.data(),i=n.min(),u=n.max(),l=await Promise.all([i.data(),u.data()]),c=l[0],h=l[1],d=c[0],p=h[0];if(i.dispose(),u.dispose(),"float32"===n.dtype){if(d<0||p>1)throw new Error(`Tensor values for a float32 Tensor must be in the range [0 - 1] but got range [${d} - ${p}].`)}else{if("int32"!==n.dtype)throw new Error(`Unsupported type for toPixels: ${n.dtype}. Please use float32 or int32 tensors.`);if(d<0||p>255)throw new Error(`Tensor values for a int32 Tensor must be in the range [0 - 255] but got range [${d} - ${p}].`)}const f="float32"===n.dtype?255:1,m=new Uint8ClampedArray(s*r*4);for(let e=0;e<r*s;++e){let t,n,r,s;1===a?(t=o[e]*f,n=o[e]*f,r=o[e]*f,s=255):3===a?(t=o[3*e]*f,n=o[3*e+1]*f,r=o[3*e+2]*f,s=255):4===a&&(t=o[4*e]*f,n=o[4*e+1]*f,r=o[4*e+2]*f,s=o[4*e+3]*f);const i=4*e;m[i+0]=Math.round(t),m[i+1]=Math.round(n),m[i+2]=Math.round(r),m[i+3]=Math.round(s)}if(null!=t){t.width=s,t.height=r;const e=t.getContext("2d"),n=new ImageData(m,s,r);e.putImageData(n,0,0)}return n!==e&&n.dispose(),m},fromPixels:us});function cs(e,t){if(e.rank<1)throw new Error(`tf.gatherND() expects the input to be rank 1 or higher, but the rank was ${e.rank}.`);if(t.rank<1)throw new Error(`tf.gatherND() expects the indices to be rank 1 or higher, but the rank was ${t.rank}.`);if("int32"!==t.dtype)throw new Error(`tf.gatherND() expects the indices to be int32 type, but the dtype was ${t.dtype}.`);if(t.shape[t.rank-1]>e.rank)throw new Error(`index innermost dimension length must be <= tensor rank; saw: ${t.shape[t.rank-1]} vs. ${e.rank}`);if(0===e.size)throw new Error(`Requested more than 0 entries, but input is empty. Input shape: ${e.shape}.`);const n=t.shape,r=n[n.length-1];let s=1;for(let e=0;e<n.length-1;++e)s*=n[e];const a=e.shape,o=n.slice();o.pop();let i=1;for(let t=r;t<e.rank;++t)i*=a[t],o.push(a[t]);const u=[...L(e.shape).map(e=>e/i),1].slice(0,r);return[o,s,i,u]}var hs=Object.freeze({__proto__:null,prepareAndValidate:cs});function ds(e,t,n){const r=t.rank>1?t.shape[t.rank-1]:1,s=t.rank>1?t.rank-1:1,a="Must have updates.shape = indices.shape[:batchDim] + shape[sliceDim:], got updates.shape: "+n.shape+`, indices.shape: ${t.shape}, shape: ${e}`+`, sliceDim: ${r}, and batchDim: ${s}.`;if(n.rank<s)throw new Error(a+` update.rank < ${s}. `);if(e.length<r+(n.rank-s))throw new Error(a+" Output shape length < "+(r+(n.rank-s)));if(n.rank!==s+e.length-r)throw new Error(a+" update.rank != "+(s+e.length-r));for(let e=0;e<s;++e)if(n.shape[e]!==t.shape[e])throw new Error(a+` updates.shape[${e}] (${n.shape[e]}) != indices.shape[${e}] (${t.shape[e]}).`);for(let t=0;t<n.rank-s;++t)if(n.shape[t+s]!==e[t+r])throw new Error(a+` updates.shape[${t+s}] (${n.shape[t+s]}) != shape[${t+s}] (${e[t+s]})`)}function ps(e,t,n){if(t.rank<1)throw new Error(`tf.scatterND() expects the indices to be rank 1 or higher, but the rank was ${t.rank}.`);if(e.rank<1)throw new Error(`tf.scatterND() expects the updates to be rank 1 or higher, but the rank was ${e.rank}.`);if("int32"!==t.dtype)throw new Error("The dtype of 'indices' should be int32, but got dtype: "+t.dtype);if(n.length<1)throw new Error("Output rank must be greater or equal to 1, but got shape: "+n);if(0===n.length){if(0===t.size)throw new Error("Indices specified for empty output. indices shape: "+t.shape);if(0===e.size)throw new Error("Updates specified for empty output. updates shape: "+e.shape)}ds(n,t,e)}function fs(e,t,n){const r=t.shape.length,s=r>1?t.shape[r-1]:1,a=n.length;let o=1;for(let e=s;e<a;++e)o*=n[e];const i=s<1?1:s;return{sliceRank:s,numUpdates:y(t.shape)/i,sliceSize:o,strides:[...L(n.slice(0,s)),1],outputSize:y(n)}}var ms=Object.freeze({__proto__:null,validateUpdateShape:ds,validateInput:ps,calculateShapes:fs});class gs{getClassName(){return this.constructor.className}static fromConfig(e,t){return new e(t)}}class bs{constructor(){this.classNameMap={}}static getMap(){return null==bs.instance&&(bs.instance=new bs),bs.instance}static register(e){bs.getMap().classNameMap[e.className]=[e,e.fromConfig]}}function ws(e){m(null!=e.className,()=>"Class being registered does not have the static className property defined."),m("string"==typeof e.className,()=>"className is required to be a string, but got type "+typeof e.className),m(e.className.length>0,()=>"Class being registered has an empty-string as its className, which is disallowed."),bs.register(e)}var ys=Object.freeze({__proto__:null,Serializable:gs,SerializationMap:bs,registerClass:ws});function ks(){return 32===ve.backend.floatPrecision()?.001:.1}function vs(e,t,n){let r=!0;if((F(e)||F(t))&&(r=!1),F(e)&&F(t)&&(r=!0),r){const n=e.constructor.name,r=t.constructor.name;if(n!==r)throw new Error(`Arrays are of different type. Actual: ${n}. Expected: `+r)}if(Array.isArray(e)&&Array.isArray(t)){const n=Ae(e),r=Ae(t);if(!k(n,r))throw new Error(`Arrays have different shapes. Actual: [${n}]. Expected: [${r}]`)}const s=F(e)?e:w(e),a=F(t)?t:w(t);if(s.length!==a.length)throw new Error(`Arrays have different lengths actual: ${s.length} vs expected: ${a.length}.\nActual:   ${s}.\nExpected: ${a}.`);for(let e=0;e<a.length;++e){const t=s[e],r=a[e];if(!n(t,r))throw new Error(`Arrays differ: actual[${e}] = ${t}, expected[${e}] = ${r}.\nActual:   ${s}.\nExpected: ${a}.`)}}function xs(e,t,n){return!isFinite(e)&&!isFinite(t)||!(isNaN(e)||isNaN(t)||Math.abs(e-t)>n)}var Es=Object.freeze({__proto__:null,TEST_EPSILON_FLOAT16:.1,expectArraysClose:function(e,t,n){return null==n&&(n=ks()),vs(e,t,(e,t)=>xs(e,t,n))},testEpsilon:ks,expectPromiseToFail:function(e,t){e().then(()=>t.fail(),()=>t())},expectArraysEqual:function(e,t){const n="string"==typeof t||"number"==typeof t||"boolean"==typeof t?[t]:t;return B(e)||B(e[0])||B(t)||B(t[0])?vs(e,n,(e,t)=>e==t):vs(e,t,(e,t)=>xs(e,t,0))},expectNumbersClose:function(e,t,n){if(null==n&&(n=ks()),!xs(e,t,n))throw new Error(`Numbers differ: actual === ${e}, expected === ${t}`)},expectValuesInRange:function(e,t,n){for(let r=0;r<e.length;r++)if(e[r]<t||e[r]>n)throw new Error(`Value out of range:${e[r]} low: ${t}, high: ${n}`)},expectArrayBuffersEqual:function(e,t){expect(new Float32Array(e)).toEqual(new Float32Array(t))}});function Ss(e){n().getBool("DEPRECATION_WARNINGS_ENABLED")&&console.warn(e+" You can disable deprecation warnings with tf.disableDeprecationWarnings().")}function Ds(e,t){return ve.tidy(e,t)}function $s(e){be(e).forEach(e=>e.dispose())}function Is(e){return ve.keep(e)}ae=Ss;const Ns=Ke({addN_:function(e){m(Array.isArray(e),()=>"The argument passed to tf.addN() must be a list of tensors"),m(e.length>=1,()=>"Must pass at least one tensor to tf.addN(), but got "+e.length);const t=e.map((e,t)=>Fe(e,"tensors"+t,"addN")),n=t[0];t.forEach(e=>{if(e.dtype!==n.dtype)throw new Error("All tensors passed to tf.addN() must have the same dtype")}),t.forEach(e=>{if(!k(e.shape,n.shape))throw new Error("All tensors passed to tf.addN() must have the same shape")});const r=t;return ve.runKernelFunc((e,n)=>{const r=e.addN(t);return n(t),r},r,null,"AddN")}});function As(){Ss("tf.batchNormalization() is going away. Use tf.batchNorm() instead, and note the positional argument change of scale, offset, and varianceEpsilon")}function _s(e,t,n,r,s,a){null==a&&(a=.001);const o=Fe(e,"x","batchNorm"),i=Fe(t,"mean","batchNorm"),u=Fe(n,"variance","batchNorm");let l,c;null!=s&&(l=Fe(s,"scale","batchNorm")),null!=r&&(c=Fe(r,"offset","batchNorm")),m(i.rank===u.rank,()=>"Batch normalization gradient requires mean and variance to have equal ranks."),m(null==c||i.rank===c.rank,()=>"Batch normalization gradient requires mean and offset to have equal ranks."),m(null==l||i.rank===l.rank,()=>"Batch normalization gradient requires mean and scale to have equal ranks.");const h=function(e){let t;return t=0===e.rank||1===e.rank?e.as4D(1,1,1,e.size):2===e.rank?e.as4D(1,1,e.shape[0],e.shape[1]):3===e.rank?e.as4D(1,e.shape[0],e.shape[1],e.shape[2]):e,t}(o),d={x:h,scale:l,offset:c,mean:i,variance:u},p={varianceEpsilon:a},f=ve.runKernelFunc((e,t)=>(t([h,i,u,l]),e.batchNormalization(h,Fs(i),Fs(u),a,Fs(l),Fs(c))),d,null,"FusedBatchNorm",p);return Rt(f,o.shape)}function Fs(e){return null==e?null:0===e.rank?e.as1D():1===e.rank?e:2===e.rank?e.as4D(1,1,e.shape[0],e.shape[1]):3===e.rank?e.as4D(1,e.shape[0],e.shape[1],e.shape[2]):e}const Ms=Ke({batchNormalization_:function(e,t,n,r=.001,s,a){return As(),_s(e,t,n,a,s,r)}}),Ts=Ke({batchNorm_:_s});function Bs(e,t,n,r,s,a){const o=Fe(e,"x","batchNorm"),i=Fe(t,"mean","batchNorm"),u=Fe(n,"variance","batchNorm");let l,c;return null!=s&&(l=Fe(s,"scale","batchNorm")),null!=r&&(c=Fe(r,"offset","batchNorm")),m(2===o.rank,()=>"Error in batchNorm3D: x must be rank 3 but got rank "+o.rank+"."),m(2===i.rank||1===i.rank,()=>`Error in batchNorm2D: mean must be rank 2 or rank 1 but got rank ${i.rank}.`),m(2===u.rank||1===u.rank,()=>`Error in batchNorm2D: variance must be rank 2 or rank 1 but got rank ${u.rank}.`),null!=l&&m(2===l.rank||1===l.rank,()=>`Error in batchNorm2D: scale must be rank 2 or rank 1 but got rank ${l.rank}.`),null!=c&&m(2===c.rank||1===c.rank,()=>`Error in batchNorm2D: offset must be rank 2 or rank 1 but got rank ${c.rank}.`),Ts(o,i,u,c,l,a)}const Rs=Ke({batchNormalization2d_:function(e,t,n,r=.001,s,a){return As(),Bs(e,t,n,a,s,r)}}),Cs=Ke({batchNorm2d_:Bs});function qs(e,t,n,r,s,a){const o=Fe(e,"x","batchNorm"),i=Fe(t,"mean","batchNorm"),u=Fe(n,"variance","batchNorm");let l,c;return null!=s&&(l=Fe(s,"scale","batchNorm")),null!=r&&(c=Fe(r,"offset","batchNorm")),m(3===o.rank,()=>"Error in batchNorm3D: x must be rank 3 but got rank "+o.rank+"."),m(3===i.rank||1===i.rank,()=>`Error in batchNorm3D: mean must be rank 3 or rank 1 but got rank ${i.rank}.`),m(3===u.rank||1===u.rank,()=>`Error in batchNorm3D: variance must be rank 3 or rank 1 but got rank ${u.rank}.`),null!=l&&m(3===l.rank||1===l.rank,()=>`Error in batchNorm3D: scale must be rank 3 or rank 1 but got rank ${l.rank}.`),null!=c&&m(3===c.rank||1===c.rank,()=>`Error in batchNorm3D: offset must be rank 3 or rank 1 but got rank ${c.rank}.`),Ts(o,i,u,c,l,a)}const Ps=Ke({batchNormalization3d_:function(e,t,n,r=.001,s,a){return As(),qs(e,t,n,a,s,r)}}),zs=Ke({batchNorm3d_:qs});function Ls(e,t,n,r,s,a){const o=Fe(e,"x","batchNorm"),i=Fe(t,"mean","batchNorm"),u=Fe(n,"variance","batchNorm");let l,c;return null!=s&&(l=Fe(s,"scale","batchNorm")),null!=r&&(c=Fe(r,"offset","batchNorm")),m(4===o.rank,()=>"Error in batchNorm4D: x must be rank 4 but got rank "+o.rank+"."),m(4===i.rank||1===i.rank,()=>`Error in batchNorm4D: mean must be rank 4 or rank 1 but got rank ${i.rank}.`),m(4===u.rank||1===u.rank,()=>`Error in batchNorm4D: variance must be rank 4 or rank 1 but got rank ${u.rank}.`),null!=l&&m(4===l.rank||1===l.rank,()=>`Error in batchNorm4D: scale must be rank 4 or rank 1 but got rank ${l.rank}.`),null!=c&&m(4===c.rank||1===c.rank,()=>`Error in batchNorm4D: offset must be rank 4 or rank 1 but got rank ${c.rank}.`),Ts(o,i,u,c,l,a)}const Os=Ke({batchNormalization4d_:function(e,t,n,r=.001,s,a){return As(),Ls(e,t,n,a,s,r)}}),Ws=Ke({batchNorm4d_:Ls});const Ks=Ke({clone_:function(e){const t=Fe(e,"x","clone",null);return ve.runKernelFunc(()=>ve.makeTensorFromDataId(t.dataId,t.shape,t.dtype),{x:t},null,"Identity")}});const Hs=Ke({broadcastTo_:function(e,t){let n=Fe(e,"broadcastTo","x");const r=n.shape;if(t.some(e=>!(e>0)||e%1!=0))throw new Error(`broadcastTo(): Invalid broadcast shape [${t}].`);if(t.length<n.rank)throw new Error(`broadcastTo(): shape.length=${t.length} < input.rank=${n.rank}.`);if(t.length>n.rank){const e=n.shape.slice();for(;e.length<t.length;)e.unshift(1);n=Rt(n,e)}const s=n.shape,a=Array.from(t);for(let e=t.length-1;e>=0;e--)if(s[e]===t[e])a[e]=1;else if(1!==n.shape[e])throw new Error(`broadcastTo(): [${r}] cannot be broadcast to [${t}].`);if(0===a.map((e,t)=>e>1?t:-1).filter(e=>e>=0).length)return Ks(n);const o={x:n},i={shape:t,inputShape:s};return ve.runKernelFunc(e=>e.tile(n,a),o,null,"BroadcastTo",i)}});const Gs=Ke({concat1d_:function(e){return It(e,0)}});const Us=Ke({concat2d_:function(e,t){return It(e,t)}});const js=Ke({concat3d_:function(e,t){return It(e,t)}});const Vs=Ke({concat4d_:function(e,t){return It(e,t)}});function Js(e,t){const n=[];for(let e=0;e<t.length;e++)t[e]&&n.push(e);const r=Nt(e,"int32"),s=Nt([n.length,e.length],"int32");for(let t=0;t<n.length;t++){const a=r.indexToLoc(n[t]),o=t*e.length;s.values.set(a,o)}return s.toTensor()}const Ys=Ke({logicalAnd_:function(e,t){const n=Fe(e,"a","logicalAnd","bool"),r=Fe(t,"b","logicalAnd","bool");return $e(n.shape,r.shape),ve.runKernelFunc(e=>e.logicalAnd(n,r),{a:n,b:r},null,"LogicalAnd")}}),Xs=Ke({logicalNot_:function(e){const t=Fe(e,"x","logicalNot","bool");return ve.runKernelFunc(e=>e.logicalNot(t),{$x:t})}}),Zs=Ke({logicalOr_:function(e,t){const n=Fe(e,"a","logicalOr","bool"),r=Fe(t,"b","logicalOr","bool");return $e(n.shape,r.shape),ve.runKernelFunc(e=>e.logicalOr(n,r),{$a:n,$b:r})}}),Qs=Ke({logicalXor_:function(e,t){const n=Fe(e,"a","logicalXor","bool"),r=Fe(t,"b","logicalXor","bool");return $e(n.shape,r.shape),Zs(e,t).logicalAnd(Ys(e,t).logicalNot())}}),ea=Ke({where_:function(e,t,n){const r=Fe(t,"a","where"),s=Fe(n,"b","where"),a=Fe(e,"condition","where","bool");return g(r.shape,s.shape,"Error in where: "),1===a.rank?m(a.shape[0]===r.shape[0],()=>"The first dimension of `a` must match the size of `condition`."):g(a.shape,s.shape,"Error in where: "),ve.runKernelFunc((e,t)=>{const n=e.select(a,r,s);return t([a]),n},{$condition:a,$a:r,$b:s},(e,t)=>{const[n]=t;return{$condition:()=>lt(n).toFloat(),$a:()=>e.mul(n.cast(e.dtype)),$b:()=>e.mul(n.logicalNot().cast(e.dtype))}})}}),ta=async function(e){const t=Fe(e,"condition","whereAsync","bool"),n=await t.data(),r=Js(t.shape,n);return e!==t&&t.dispose(),r};const na=Ke({divNoNan_:function(e,t){let n=Fe(e,"a","div"),r=Fe(t,"b","div");[n,r]=me(n,r);const s=zn(n,r),a=lt(s),o=r.equal(a);return ea(o,a,s)}});const ra=Ke({eye_:function(e,t,n,r="float32"){null==t&&(t=e);const s=Nt([e,t],r),a=e<=t?e:t;for(let e=0;e<a;++e)s.set(1,e,e);const o=s.toTensor().as2D(e,t);if(null==n)return o;if(1===n.length)return Kn(Bt(o,0),[n[0],1,1]);if(2===n.length)return Kn(Bt(Bt(o,0),0),[n[0],n[1],1,1]);if(3===n.length)return Kn(Bt(Bt(Bt(o,0),0),0),[n[0],n[1],n[2],1,1]);throw new Error(`eye() currently supports only 1D and 2D batchShapes, but received ${n.length}D.`)}});const sa=Ke({multinomial_:function(e,t,n,r=!1){const s=Fe(e,"logits","multinomial"),a=s.size,o=s.rank;if(a<2)throw new Error("Error in multinomial: you need at least 2 outcomes, but got "+a+".");if(o>2)throw new Error("Rank of probabilities must be 1 or 2, but is "+o);n=n||Math.random();const i=1===o?s.as2D(1,-1):s,u=ve.runKernelFunc(e=>e.multinomial(i,r,t,n),{logits2D:i});return 1===o?u.as1D():u}});const aa=Ke({notEqual_:function(e,t){let n=Fe(e,"a","notEqual"),r=Fe(t,"b","notEqual");[n,r]=me(n,r),$e(n.shape,r.shape);const s={a:n,b:r};return ve.runKernelFunc(e=>e.notEqual(n,r),s,null,"NotEqual")}});const oa=Ke({pad1d_:function(e,t,n=0){return m(2===t.length,()=>"Invalid number of paddings. Must be length of 2."),Zn(e,[t],n)}});const ia=Ke({pad2d_:function(e,t,n=0){return m(2===t.length&&2===t[0].length&&2===t[1].length,()=>"Invalid number of paddings. Must be length of 2 each."),Zn(e,t,n)}});const ua=Ke({pad3d_:function(e,t,n=0){return m(3===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length,()=>"Invalid number of paddings. Must be length of 2 each."),Zn(e,t,n)}});const la=Ke({pad4d_:function(e,t,n=0){return m(4===t.length&&2===t[0].length&&2===t[1].length&&2===t[2].length&&2===t[3].length,()=>"Invalid number of paddings. Must be length of 2 each."),Zn(e,t,n)}});const ca=Ke({rand_:function(e,t,n){const r=y(e);let s=null;if(null==n||"float32"===n)s=new Float32Array(r);else if("int32"===n)s=new Int32Array(r);else{if("bool"!==n)throw new Error("Unknown data type "+n);s=new Uint8Array(r)}for(let e=0;e<r;e++)s[e]=t();return ve.makeTensor(s,e,n)}});"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self&&self;function ha(e,t){return e(t={exports:{}},t.exports),t.exports}var da=ha((function(e){!function(e,t,n){function r(e){var t,n=this,r=(t=4022871197,function(e){e=e.toString();for(var n=0;n<e.length;n++){var r=.02519603282416938*(t+=e.charCodeAt(n));r-=t=r>>>0,t=(r*=t)>>>0,t+=4294967296*(r-=t)}return 2.3283064365386963e-10*(t>>>0)});n.next=function(){var e=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=e-(n.c=0|e)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(e),n.s0<0&&(n.s0+=1),n.s1-=r(e),n.s1<0&&(n.s1+=1),n.s2-=r(e),n.s2<0&&(n.s2+=1),r=null}function s(e,t){return t.c=e.c,t.s0=e.s0,t.s1=e.s1,t.s2=e.s2,t}function a(e,t){var n=new r(e),a=t&&t.state,o=n.next;return o.int32=function(){return 4294967296*n.next()|0},o.double=function(){return o()+11102230246251565e-32*(2097152*o()|0)},o.quick=o,a&&("object"==typeof a&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.alea=a}(0,e,!1)})),pa=ha((function(e){!function(e,t,n){function r(e){var t=this,n="";t.x=0,t.y=0,t.z=0,t.w=0,t.next=function(){var e=t.x^t.x<<11;return t.x=t.y,t.y=t.z,t.z=t.w,t.w^=t.w>>>19^e^e>>>8},e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t}function a(e,t){var n=new r(e),a=t&&t.state,o=function(){return(n.next()>>>0)/4294967296};return o.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},o.int32=n.next,o.quick=o,a&&("object"==typeof a&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.xor128=a}(0,e,!1)})),fa=ha((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.x^t.x>>>2;return t.x=t.y,t.y=t.z,t.z=t.w,t.w=t.v,(t.d=t.d+362437|0)+(t.v=t.v^t.v<<4^e^e<<1)|0},t.x=0,t.y=0,t.z=0,t.w=0,t.v=0,e===(0|e)?t.x=e:n+=e;for(var r=0;r<n.length+64;r++)t.x^=0|n.charCodeAt(r),r==n.length&&(t.d=t.x<<10^t.x>>>4),t.next()}function s(e,t){return t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t.v=e.v,t.d=e.d,t}function a(e,t){var n=new r(e),a=t&&t.state,o=function(){return(n.next()>>>0)/4294967296};return o.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},o.int32=n.next,o.quick=o,a&&("object"==typeof a&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.xorwow=a}(0,e,!1)})),ma=ha((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.x,s=t.i;return e=r[s],n=(e^=e>>>7)^e<<24,n^=(e=r[s+1&7])^e>>>10,n^=(e=r[s+3&7])^e>>>3,n^=(e=r[s+4&7])^e<<7,e=r[s+7&7],n^=(e^=e<<13)^e<<9,r[s]=n,t.i=s+1&7,n},function(e,t){var n,r=[];if(t===(0|t))r[0]=t;else for(t=""+t,n=0;n<t.length;++n)r[7&n]=r[7&n]<<15^t.charCodeAt(n)+r[n+1&7]<<13;for(;r.length<8;)r.push(0);for(n=0;n<8&&0===r[n];++n);for(8==n?r[7]=-1:r[n],e.x=r,e.i=0,n=256;n>0;--n)e.next()}(t,e)}function s(e,t){return t.x=e.x.slice(),t.i=e.i,t}function a(e,t){null==e&&(e=+new Date);var n=new r(e),a=t&&t.state,o=function(){return(n.next()>>>0)/4294967296};return o.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},o.int32=n.next,o.quick=o,a&&(a.x&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.xorshift7=a}(0,e,!1)})),ga=ha((function(e){!function(e,t,n){function r(e){var t=this;t.next=function(){var e,n,r=t.w,s=t.X,a=t.i;return t.w=r=r+1640531527|0,n=s[a+34&127],e=s[a=a+1&127],n^=n<<13,e^=e<<17,n^=n>>>15,e^=e>>>12,n=s[a]=n^e,t.i=a,n+(r^r>>>16)|0},function(e,t){var n,r,s,a,o,i=[],u=128;for(t===(0|t)?(r=t,t=null):(t+="\0",r=0,u=Math.max(u,t.length)),s=0,a=-32;a<u;++a)t&&(r^=t.charCodeAt((a+32)%t.length)),0===a&&(o=r),r^=r<<10,r^=r>>>15,r^=r<<4,r^=r>>>13,a>=0&&(o=o+1640531527|0,s=0==(n=i[127&a]^=r+o)?s+1:0);for(s>=128&&(i[127&(t&&t.length||0)]=-1),s=127,a=512;a>0;--a)r=i[s+34&127],n=i[s=s+1&127],r^=r<<13,n^=n<<17,r^=r>>>15,n^=n>>>12,i[s]=r^n;e.w=o,e.X=i,e.i=s}(t,e)}function s(e,t){return t.i=e.i,t.w=e.w,t.X=e.X.slice(),t}function a(e,t){null==e&&(e=+new Date);var n=new r(e),a=t&&t.state,o=function(){return(n.next()>>>0)/4294967296};return o.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},o.int32=n.next,o.quick=o,a&&(a.X&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.xor4096=a}(0,e,!1)})),ba=ha((function(e){!function(e,t,n){function r(e){var t=this,n="";t.next=function(){var e=t.b,n=t.c,r=t.d,s=t.a;return e=e<<25^e>>>7^n,n=n-r|0,r=r<<24^r>>>8^s,s=s-e|0,t.b=e=e<<20^e>>>12^n,t.c=n=n-r|0,t.d=r<<16^n>>>16^s,t.a=s-e|0},t.a=0,t.b=0,t.c=-1640531527,t.d=1367130551,e===Math.floor(e)?(t.a=e/4294967296|0,t.b=0|e):n+=e;for(var r=0;r<n.length+20;r++)t.b^=0|n.charCodeAt(r),t.next()}function s(e,t){return t.a=e.a,t.b=e.b,t.c=e.c,t.d=e.d,t}function a(e,t){var n=new r(e),a=t&&t.state,o=function(){return(n.next()>>>0)/4294967296};return o.double=function(){do{var e=((n.next()>>>11)+(n.next()>>>0)/4294967296)/(1<<21)}while(0===e);return e},o.int32=n.next,o.quick=o,a&&("object"==typeof a&&s(a,n),o.state=function(){return s(n,{})}),o}t&&t.exports?t.exports=a:n&&n.amd?n((function(){return a})):this.tychei=a}(0,e,!1)})),wa=ha((function(e){!function(t,n){var r,s=this,a=n.pow(256,6),o=n.pow(2,52),i=2*o;function u(e,u,p){var f=[],m=h(function e(t,n){var r,s=[],a=typeof t;if(n&&"object"==a)for(r in t)try{s.push(e(t[r],n-1))}catch(e){}return s.length?s:"string"==a?t:t+"\0"}((u=1==u?{entropy:!0}:u||{}).entropy?[e,d(t)]:null==e?function(){try{var e;return r&&(e=r.randomBytes)?e=e(256):(e=new Uint8Array(256),(s.crypto||s.msCrypto).getRandomValues(e)),d(e)}catch(e){var n=s.navigator,a=n&&n.plugins;return[+new Date,s,a,s.screen,d(t)]}}():e,3),f),g=new l(f),b=function(){for(var e=g.g(6),t=a,n=0;e<o;)e=256*(e+n),t*=256,n=g.g(1);for(;e>=i;)e/=2,t/=2,n>>>=1;return(e+n)/t};return b.int32=function(){return 0|g.g(4)},b.quick=function(){return g.g(4)/4294967296},b.double=b,h(d(g.S),t),(u.pass||p||function(e,t,r,s){return s&&(s.S&&c(s,g),e.state=function(){return c(g,{})}),r?(n.random=e,t):e})(b,m,"global"in u?u.global:this==n,u.state)}function l(e){var t,n=e.length,r=this,s=0,a=r.i=r.j=0,o=r.S=[];for(n||(e=[n++]);s<256;)o[s]=s++;for(s=0;s<256;s++)o[s]=o[a=255&a+e[s%n]+(t=o[s])],o[a]=t;(r.g=function(e){for(var t,n=0,s=r.i,a=r.j,o=r.S;e--;)t=o[s=255&s+1],n=256*n+o[255&(o[s]=o[a=255&a+t])+(o[a]=t)];return r.i=s,r.j=a,n})(256)}function c(e,t){return t.i=e.i,t.j=e.j,t.S=e.S.slice(),t}function h(e,t){for(var n,r=e+"",s=0;s<r.length;)t[255&s]=255&(n^=19*t[255&s])+r.charCodeAt(s++);return d(t)}function d(e){return String.fromCharCode.apply(0,e)}if(n.seedrandom=u,h(n.random(),t),e.exports){e.exports=u;try{r=require("crypto")}catch(e){}}}([],Math)}));wa.alea=da,wa.xor128=pa,wa.xorwow=fa,wa.xorshift7=ma,wa.xor4096=ga,wa.tychei=ba;var ya=wa.alea;class ka{constructor(e,t,n,r,s){this.mean=e,this.stdDev=t,this.dtype=n,this.nextVal=NaN,this.truncated=r,this.truncated&&(this.upper=this.mean+2*this.stdDev,this.lower=this.mean-2*this.stdDev);const a=s||Math.random();this.random=ya(a.toString())}nextValue(){if(!isNaN(this.nextVal)){const e=this.nextVal;return this.nextVal=NaN,e}let e,t,n=!1;for(;!n;){let r,s,a;do{r=2*this.random()-1,s=2*this.random()-1,a=r*r+s*s}while(a>=1||0===a);const o=Math.sqrt(-2*Math.log(a)/a);e=this.mean+this.stdDev*r*o,t=this.mean+this.stdDev*s*o,this.truncated&&!this.isValidTruncated(e)||(n=!0)}return this.truncated&&!this.isValidTruncated(t)||(this.nextVal=this.convertValue(t)),this.convertValue(e)}convertValue(e){return null==this.dtype||"float32"===this.dtype?e:Math.round(e)}isValidTruncated(e){return e<=this.upper&&e>=this.lower}}class va{constructor(e,t,n,r){this.alpha=e,this.beta=1/t,this.dtype=n;const s=r||Math.random();this.randu=ya(s.toString()),this.randn=new ka(0,1,n,!1,this.randu()),this.d=e<1?e+2/3:e-1/3,this.c=1/Math.sqrt(9*this.d)}nextValue(){let e,t,n,r,s,a;for(;;){do{r=this.randn.nextValue(),a=1+this.c*r}while(a<=0);if(a*=a*a,e=r*r,t=1-.331*e*e,n=.5*e+this.d*(1-a+Math.log(a)),s=this.randu(),s<t||Math.log(s)<n)break}return a=1/this.beta*this.d*a,this.alpha<1&&(a*=Math.pow(this.randu(),1/this.alpha)),this.convertValue(a)}convertValue(e){return"float32"===this.dtype?e:Math.round(e)}}class xa{constructor(e=0,t=1,n,r){if(this.canReturnFloat=()=>null==this.dtype||"float32"===this.dtype,this.min=e,this.range=t-e,this.dtype=n,null==r&&(r=Math.random()),"number"==typeof r&&(r=r.toString()),!this.canReturnFloat()&&this.range<=1)throw new Error(`The difference between ${e} - ${t} <= 1 and dtype is not float`);this.random=ya(r)}convertValue(e){return this.canReturnFloat()?e:Math.round(e)}nextValue(){return this.convertValue(this.min+this.range*this.random())}}const Ea=Ke({randomGamma_:function(e,t,n=1,r="float32",s){if(null==n&&(n=1),null==r&&(r="float32"),"float32"!==r&&"int32"!==r)throw new Error("Unsupported data type "+r);const a=new va(t,n,r,s),o=Nt(e,r);for(let e=0;e<o.values.length;e++)o.values[e]=a.nextValue();return o.toTensor()}});const Sa=Ke({randomNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type "+r);const a=new ka(t,n,r,!1,s),o=Nt(e,r);for(let e=0;e<o.values.length;e++)o.values[e]=a.nextValue();return o.toTensor()}});const Da=Ke({randomUniform_:function(e,t=0,n=1,r="float32",s){const a=Nt(e,r),o=new xa(t,n,null,s);for(let e=0;e<a.values.length;e++)a.values[e]=o.nextValue();return a.toTensor()}});const $a=Ke({squaredDifference_:function(e,t){let n=Fe(e,"a","squaredDifference"),r=Fe(t,"b","squaredDifference");[n,r]=me(n,r),$e(n.shape,r.shape);const s={a:n,b:r};return ve.runKernelFunc((e,t)=>{const s=e.squaredDifference(n,r);return t([n,r]),s},s,null,"SquaredDifference",{})}});const Ia=Ke({truncatedNormal_:function(e,t=0,n=1,r,s){if(null!=r&&"bool"===r)throw new Error("Unsupported data type $ { dtype }");const a=new ka(t,n,r,!0,s),o=Nt(e,r);for(let e=0;e<o.values.length;e++)o.values[e]=a.nextValue();return o.toTensor()}});const Na=Ke({equal_:function(e,t){let n=Fe(e,"a","equal"),r=Fe(t,"b","equal");return[n,r]=me(n,r),$e(n.shape,r.shape),ve.runKernelFunc(e=>e.equal(n,r),{$a:n,$b:r})}}),Aa=Ke({equalStrict_:function(e,t){const n=Fe(e,"a","equalStrict"),r=Fe(t,"b","equalStrict");return g(n.shape,r.shape,"Error in equalStrict: "),n.equal(r)}}),_a=Ke({greater_:function(e,t){let n=Fe(e,"a","greater"),r=Fe(t,"b","greater");return[n,r]=me(n,r),$e(n.shape,r.shape),ve.runKernelFunc(e=>e.greater(n,r),{a:n,b:r},null,"Greater")}}),Fa=Ke({greaterEqual_:function(e,t){let n=Fe(e,"a","greaterEqual"),r=Fe(t,"b","greaterEqual");return[n,r]=me(n,r),$e(n.shape,r.shape),ve.runKernelFunc((e,t)=>{const s=e.greaterEqual(n,r);return t([n,r]),s},{a:n,b:r},(e,t)=>{const[n,r]=t;return{a:()=>lt(n),b:()=>lt(r)}},"GreaterEqual")}}),Ma=Ke({greaterEqualStrict_:function(e,t){const n=Fe(e,"a","greaterEqualStrict"),r=Fe(t,"b","greaterEqualStrict");return g(n.shape,r.shape,"Error in greaterEqualStrict: "),n.greaterEqual(r)}}),Ta=Ke({greaterStrict_:function(e,t){const n=Fe(e,"a","greaterStrict"),r=Fe(t,"b","greaterStrict");return g(n.shape,r.shape,"Error in greaterStrict: "),n.greater(r)}}),Ba=Ke({less_:function(e,t){let n=Fe(e,"a","less"),r=Fe(t,"b","less");return[n,r]=me(n,r),$e(n.shape,r.shape),ve.runKernelFunc(e=>e.less(n,r),{a:n,b:r},null,"Less")}}),Ra=Ke({lessEqual_:function(e,t){let n=Fe(e,"a","lessEqual"),r=Fe(t,"b","lessEqual");return[n,r]=me(n,r),$e(n.shape,r.shape),ve.runKernelFunc((e,t)=>{const s=e.lessEqual(n,r);return t([n,r]),s},{a:n,b:r},null,"LessEqual")}}),Ca=Ke({lessEqualStrict_:function(e,t){const n=Fe(e,"a","lessEqualStrict"),r=Fe(t,"b","lessEqualStrict");return g(n.shape,r.shape,"Error in lessEqualStrict: "),n.lessEqual(r)}}),qa=Ke({lessStrict_:function(e,t){const n=Fe(e,"a","lessStrict"),r=Fe(t,"b","lessStrict");return g(n.shape,r.shape,"Error in lessStrict: "),n.less(r)}}),Pa=Ke({notEqualStrict_:function(e,t){const n=Fe(e,"a","notEqualStrict"),r=Fe(t,"b","notEqualStrict");return g(n.shape,r.shape,"Error in notEqualStrict: "),n.notEqual(r)}});function za(e,t,n){const r=e.shape[n],s=[];let a=1,o=1;for(let t=0;t<n;t++)s.push(e.shape[t]),a*=e.shape[t];for(let e=0;e<t.rank;e++)s.push(t.shape[e]);for(let t=n+1;t<e.rank;t++)s.push(e.shape[t]),o*=e.shape[t];return{batchSize:a,sliceSize:o,dimSize:r,outputShape:s}}var La=Object.freeze({__proto__:null,segOpComputeOptimalWindowSize:function(e,t){let n,r=!1;for(e<=30?(n=e,r=!0):n=z(e,Math.floor(Math.sqrt(e)));!r;)n>t||n===e?r=!0:n=z(e,n+1);return n},computeOutShape:function(e,t,n){const r=[],s=e.length;for(let a=0;a<s;a++)a!==t?r.push(e[a]):r.push(n);return r},collectGatherOpShapeInfo:za});function Oa(e,t){const n=[];for(let r=e;r<t;++r)n.push(r);return n}function Wa(e){const t=[];for(let n=0;n<e.length;++n)for(let r=0;r<e[n].length;++r)t.push(e[n][r]);return t}const Ka=Ke({gather_:function(e,t,n=0){const r=Fe(e,"x","gather"),s=Fe(t,"indices","gather","int32");n=S(n,r.shape)[0];const a=za(r,s,n);return ve.runKernelFunc((e,t)=>{const a=e.gather(r,s.flatten(),n);return t([s]),a},{x:r,indices:s},(e,t)=>{const[s]=t;return{x:()=>{const t=r.shape,a=s.size,o=t.slice(0,n),i=o.length,u=t.slice(n,t.length).slice(1),l=u.length,c=Oa(0,i),h=Oa(i+1,i+1+l),d=Wa([o,[a],u]),p=e.reshape(d),f=s.reshape([a]),m=Wa([[i],c,h]),g=p.transpose(m);let b=Ha(g,f,r.shape[n]);const w=Oe(m);return b=b.transpose(w),b},indices:()=>s}},"Gather",{axis:n}).reshape(a.outputShape)}}),Ha=Ke({unsortedSegmentSum_:function(e,t,n){const r=Fe(e,"x","unsortedSegmentSum"),s=Fe(t,"segmentIds","unsortedSegmentSum","int32");return m(v(n),()=>"numSegments must be of dtype int"),ve.runKernelFunc((e,t)=>{const a=e.unsortedSegmentSum(r,s,n);return t([s]),a},{$x:r},(e,t)=>{const[n]=t;return{$x:()=>function(e,t){const n=In(t,lt(t)),r=Ka(e,n);let s=Fa(t,Je(0,"int32"));const a=r.rank-s.rank;for(let e=0;e<a;++e)s=Bt(s,e+1);s=Ys(s,rt(r.shape,"bool"));const o=lt(r);return ea(s,r,o)}(e,n)}})}});const Ga=async function(e,t,n){const r=Fe(e,"tensor","boolMask"),s=Fe(t,"mask","boolMask","bool"),a=null==n?0:n,o=s.rank,i=r.shape;m(o>0,()=>"mask cannot be scalar"),g(i.slice(a,a+o),s.shape,"mask's shape must match the first K dimensions of tensor's shape,");let u=1;for(let e=a;e<a+o;e++)u*=i[e];const l=i.slice(0,a).concat([u],i.slice(a+o)),c=r.reshape(l),h=s.reshape([-1]),d=await ta(h),p=d.squeeze([1]),f=Ka(c,p,a);return e!==r&&r.dispose(),t!==s&&s.dispose(),p.dispose(),c.dispose(),h.dispose(),d.dispose(),f};function Ua(e,t,n,r,s,a,o="channelsLast"){const[i,u]=Xa(t);let l;if("channelsLast"===o)l=[i,u,e[3],e[3]];else{if("channelsFirst"!==o)throw new Error("Unknown dataFormat "+o);l=[i,u,e[1],e[1]]}return Va(e,l,n,r,s,a,!1,o)}function ja(e,t,n,r,s,a,o="NDHWC"){const[i,u,l]=Za(t);let c,h;if("NDHWC"===o)h="channelsLast",c=[i,u,l,e[4],e[4]];else{if("NCDHW"!==o)throw new Error("Unknown dataFormat "+o);h="channelsFirst",c=[i,u,l,e[1],e[1]]}return Ja(e,c,n,r,s,!1,h,a)}function Va(e,t,n,r,s,a,o=!1,i="channelsLast"){let[u,l,c,h]=[-1,-1,-1,-1];if("channelsLast"===i)[u,l,c,h]=e;else{if("channelsFirst"!==i)throw new Error("Unknown dataFormat "+i);[u,h,l,c]=e}const[d,p,,f]=t,[g,b]=Xa(n),[w,y]=Xa(r),k=Qa(d,w),x=Qa(p,y),{padInfo:E,outHeight:S,outWidth:D}=function(e,t,n,r,s,a,o,i){let u,l,c;if("number"==typeof e){u={top:e,bottom:e,left:e,right:e,type:0===e?"VALID":"NUMBER"};const s=function(e,t,n,r,s){null==r&&(r=Ya(e,t,n));const a=e[0],o=e[1],i=eo((a-t+2*r)/n+1,s);m(v(i),()=>`The output # of rows (${i}) must be an integer. Change the stride and/or zero pad parameters`);const u=eo((o-t+2*r)/n+1,s);return m(v(u),()=>`The output # of columns (${u}) must be an integer. Change the stride and/or zero pad parameters`),[i,u]}([t,n],a,r,e,i);l=s[0],c=s[1]}else if("same"===e){l=Math.ceil(t/r),c=Math.ceil(n/s);const e=Math.max(0,(l-1)*r+a-t),i=Math.max(0,(c-1)*s+o-n),h=Math.floor(e/2),d=e-h,p=Math.floor(i/2);u={top:h,bottom:d,left:p,right:i-p,type:"SAME"}}else{if("valid"!==e)throw Error("Unknown padding parameter: "+e);u={top:0,bottom:0,left:0,right:0,type:"VALID"},l=Math.ceil((t-a+1)/r),c=Math.ceil((n-o+1)/s)}return{padInfo:u,outHeight:l,outWidth:c}}(s,l,c,g,b,k,x,a),$=o?f*h:f;let I;return"channelsFirst"===i?I=[u,$,S,D]:"channelsLast"===i&&(I=[u,S,D,$]),{batchSize:u,dataFormat:i,inHeight:l,inWidth:c,inChannels:h,outHeight:S,outWidth:D,outChannels:$,padInfo:E,strideHeight:g,strideWidth:b,filterHeight:d,filterWidth:p,effectiveFilterHeight:k,effectiveFilterWidth:x,dilationHeight:w,dilationWidth:y,inShape:e,outShape:I,filterShape:t}}function Ja(e,t,n,r,s,a=!1,o="channelsLast",i){let[u,l,c,h,d]=[-1,-1,-1,-1,-1];if("channelsLast"===o)[u,l,c,h,d]=e;else{if("channelsFirst"!==o)throw new Error("Unknown dataFormat "+o);[u,d,l,c,h]=e}const[p,f,g,,b]=t,[w,y,k]=Za(n),[x,E,S]=Za(r),D=Qa(p,x),$=Qa(f,E),I=Qa(g,S),{padInfo:N,outDepth:A,outHeight:_,outWidth:F}=function(e,t,n,r,s,a,o,i,u,l,c){let h,d,p,f;if("number"==typeof e){h={top:e,bottom:e,left:e,right:e,front:e,back:e,type:0===e?"VALID":"NUMBER"};const a=function(e,t,n,r,s,a){null==s&&(s=Ya(e,t,r));const o=e[0],i=e[1],u=e[2],l=eo((o-t+2*s)/r+1,a);m(v(l),()=>`The output # of depths (${l}) must be an integer. Change the stride and/or zero pad parameters`);const c=eo((i-t+2*s)/r+1,a);m(v(c),()=>`The output # of rows (${c}) must be an integer. Change the stride and/or zero pad parameters`);const h=eo((u-t+2*s)/r+1,a);return m(v(h),()=>`The output # of columns (${h}) must be an integer. Change the stride and/or zero pad parameters`),[l,c,h,n]}([t,n,r,1],i,1,s,e,c);d=a[0],p=a[1],f=a[2]}else if("same"===e){d=Math.ceil(t/s),p=Math.ceil(n/a),f=Math.ceil(r/o);const e=(d-1)*s+i-t,c=(p-1)*a+u-n,m=(f-1)*o+l-r,g=Math.floor(e/2),b=e-g,w=Math.floor(c/2),y=c-w,k=Math.floor(m/2);h={top:w,bottom:y,left:k,right:m-k,front:g,back:b,type:"SAME"}}else{if("valid"!==e)throw Error("Unknown padding parameter: "+e);h={top:0,bottom:0,left:0,right:0,front:0,back:0,type:"VALID"},d=Math.ceil((t-i+1)/s),p=Math.ceil((n-u+1)/a),f=Math.ceil((r-l+1)/o)}return{padInfo:h,outDepth:d,outHeight:p,outWidth:f}}(s,l,c,h,w,y,k,D,$,I,i),M=a?b*d:b;let T;return"channelsFirst"===o?T=[u,M,A,_,F]:"channelsLast"===o&&(T=[u,A,_,F,M]),{batchSize:u,dataFormat:o,inDepth:l,inHeight:c,inWidth:h,inChannels:d,outDepth:A,outHeight:_,outWidth:F,outChannels:M,padInfo:N,strideDepth:w,strideHeight:y,strideWidth:k,filterDepth:p,filterHeight:f,filterWidth:g,effectiveFilterDepth:D,effectiveFilterHeight:$,effectiveFilterWidth:I,dilationDepth:x,dilationHeight:E,dilationWidth:S,inShape:e,outShape:T,filterShape:t}}function Ya(e,t,n,r=1){const s=Qa(t,r);return Math.floor((e[0]*(n-1)-n+s)/2)}function Xa(e){return"number"==typeof e?[e,e,e]:2===e.length?[e[0],e[1],1]:e}function Za(e){return"number"==typeof e?[e,e,e]:e}function Qa(e,t){return t<=1?e:e+(e-1)*(t-1)}function eo(e,t){if(!t)return e;switch(t){case"round":return Math.round(e);case"ceil":return Math.ceil(e);case"floor":return Math.floor(e);default:throw new Error("Unknown roundingMode "+t)}}function to(e){const[t,n,r]=Xa(e);return 1===t&&1===n&&1===r}function no(e,t){return to(e)||to(t)}function ro(e){if("NHWC"===e)return"channelsLast";if("NCHW"===e)return"channelsFirst";throw new Error("Unknown dataFormat "+e)}function so(e,t,n,r,s,a="NHWC",o){m(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let i=e,u=t,l=!1;3===t.rank&&(l=!0,u=t.as4D(1,t.shape[0],t.shape[1],t.shape[2]),i=[1,e[0],e[1],e[2]]),m(4===i.length,()=>"Error in conv2dDerInput: inShape must be length 4, but got length "+i.length+"."),m(4===u.rank,()=>"Error in conv2dDerInput: dy must be rank 4, but got rank "+u.rank),m(4===n.rank,()=>"Error in conv2dDerInput: filter must be rank 4, but got rank "+n.rank);const c="NHWC"===a?i[3]:i[1],h="NHWC"===a?u.shape[3]:u.shape[1];m(c===n.shape[2],()=>`Error in conv2dDerInput: depth of input (${c}) must match input depth for filter ${n.shape[2]}.`),m(h===n.shape[3],()=>`Error in conv2dDerInput: depth of output (${h}) must match output depth for filter ${n.shape[3]}.`),null!=o&&m(v(s),()=>`Error in conv2dDerInput: pad must be an integer when using, dimRoundingMode ${o} but got pad ${s}.`);const d=ro(a),p=Va(i,n.shape,r,1,s,o,!1,d),f=ve.runKernelFunc((e,t)=>{const r=e.conv2dDerInput(u,n,p);return t([n,u]),r},{dy4D:u,filter:n},(e,t)=>{const[n,i]=t;return{dy4D:()=>uo(e,n,r,s,a,1,o),filter:()=>co(e,i,n.shape,r,s,a,o)}});return l?f.as3D(f.shape[1],f.shape[2],f.shape[3]):f}function ao(e){const[t,n,r]=function(e){return"number"==typeof e?[e,e,e]:2===e.length?[e[0],e[1],1]:e}(e);return 1===t&&1===n&&1===r}function oo(e,t,n,r,s){m(e.length===t.rank,()=>`Length of inShape (${e.length}) and rank of dy (${t.rank}) must match`);let a=e,o=t,i=!1;4===t.rank&&(i=!0,o=t.as5D(1,t.shape[0],t.shape[1],t.shape[2],t.shape[3]),a=[1,e[0],e[1],e[2],e[3]]);const u=a[4],l=o.shape[4];m(5===a.length,()=>"Error in conv3dDerInput: inShape must be length 5, but got length "+a.length+"."),m(5===o.rank,()=>"Error in conv3dDerInput: dy must be rank 5, but got rank "+o.rank),m(5===n.rank,()=>"Error in conv3dDerInput: filter must be rank 5, but got rank "+n.rank),m(u===n.shape[3],()=>`Error in conv3dDerInput: depth of input (${u}) must match input depth for filter ${n.shape[3]}.`),m(l===n.shape[4],()=>`Error in conv3dDerInput: depth of output (${l}) must match output depth for filter ${n.shape[4]}.`);const c=Ja(a,n.shape,r,1,s),h=ve.runKernelFunc(e=>e.conv3dDerInput(o,n,c),{dy5D:o});return i?h.as4D(h.shape[1],h.shape[2],h.shape[3],h.shape[4]):h}const io=Ke({conv1d_:function(e,t,n,r,s="NWC",a=1,o){const i=Fe(e,"x","conv1d"),u=Fe(t,"filter","conv1d");let l=i,c=!1;2===i.rank&&(c=!0,l=i.as3D(1,i.shape[0],i.shape[1])),m(3===l.rank,()=>`Error in conv1d: input must be rank 3, but got rank ${l.rank}.`),m(3===u.rank,()=>"Error in conv1d: filter must be rank 3, but got rank "+u.rank+"."),null!=o&&m(v(r),()=>`Error in conv1d: pad must be an integer when using, dimRoundingMode ${o} but got pad ${r}.`),m(l.shape[2]===u.shape[1],()=>`Error in conv1d: depth of input (${l.shape[2]}) must match input depth for filter ${u.shape[1]}.`),m(no(n,a),()=>`Error in conv1D: Either stride or dilation must be 1. Got stride ${n} and dilation '${a}'`),m("NWC"===s,()=>`Error in conv1d: got dataFormat of ${s} but only NWC is currently supported.`);const h=u.as4D(1,u.shape[0],u.shape[1],u.shape[2]),d=l.as4D(l.shape[0],1,l.shape[1],l.shape[2]),p=uo(d,h,[1,n],r,"NHWC",[1,a],o);return c?p.as2D(p.shape[2],p.shape[3]):p.as3D(p.shape[0],p.shape[2],p.shape[3])}}),uo=Ke({conv2d_:function(e,t,n,r,s="NHWC",a=[1,1],o){const i=Fe(e,"x","conv2d"),u=Fe(t,"filter","conv2d");let l=i,c=!1;3===i.rank&&(c=!0,l=i.as4D(1,i.shape[0],i.shape[1],i.shape[2])),m(4===l.rank,()=>`Error in conv2d: input must be rank 4, but got rank ${l.rank}.`),m(4===u.rank,()=>"Error in conv2d: filter must be rank 4, but got rank "+u.rank+"."),null!=o&&m(v(r),()=>`Error in conv2d: pad must be an integer when using, dimRoundingMode ${o} but got pad ${r}.`);const h="NHWC"===s?l.shape[3]:l.shape[1];m(h===u.shape[2],()=>`Error in conv2d: depth of input (${h}) must match input depth for filter ${u.shape[2]}.`),m(no(n,a),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`);const d=ro(s),p=Va(l.shape,u.shape,n,a,r,o,!1,d),f=[u,l],g=ve.runKernelFunc((e,t)=>{const n=e.conv2d(l,u,p);return t([u,l]),n},{x:l,filter:u},(e,t)=>{const[o,i]=t;return m(to(a),()=>`Error in gradient of conv2D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${a}'`),{x:()=>ho(i.shape,e,o,n,r,s),filter:()=>co(i,e,o.shape,n,r,s)}},"Conv2D",p,f);return c?g.as3D(g.shape[1],g.shape[2],g.shape[3]):g}}),lo=Ke({conv3d_:function(e,t,n,r,s="NDHWC",a=[1,1,1]){const o=Fe(e,"x","conv3d"),i=Fe(t,"filter","conv3d");let u=o,l=!1;4===o.rank&&(l=!0,u=o.as5D(1,o.shape[0],o.shape[1],o.shape[2],o.shape[3])),m(5===u.rank,()=>`Error in conv3d: input must be rank 5, but got rank ${u.rank}.`),m(5===i.rank,()=>"Error in conv3d: filter must be rank 5, but got rank "+i.rank+"."),m(u.shape[4]===i.shape[3],()=>`Error in conv3d: depth of input (${u.shape[4]}) must match input depth for filter ${i.shape[3]}.`),m(function(e,t){return ao(e)||ao(t)}(n,a),()=>`Error in conv3D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),m("NDHWC"===s,()=>`Error in conv3d: got dataFormat of ${s} but only NDHWC is currently supported.`);const c=Ja(u.shape,i.shape,n,a,r),h=ve.runKernelFunc((e,t)=>{const n=e.conv3d(u,i,c);return t([u,i]),n},{x:u,$filter:i},(e,t)=>{m(ao(a),()=>`Error in gradient of conv3D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${a}'`);const[s,o]=t;return{x:()=>oo(s.shape,e,o,n,r),$filter:()=>function(e,t,n,r,s){let a=e;4===e.rank&&(a=e.as5D(1,e.shape[0],e.shape[1],e.shape[2],e.shape[3]));let o=t;4===o.rank&&(o=t.as5D(1,t.shape[0],t.shape[1],t.shape[2],t.shape[3]));m(5===a.rank,()=>"Error in conv3dDerFilter: input must be rank 5, but got shape "+a.shape+"."),m(5===o.rank,()=>"Error in conv3dDerFilter: dy must be rank 5, but got shape "+o.shape+"."),m(5===n.length,()=>"Error in conv3dDerFilter: filterShape must be length 5, but got "+n+"."),m(a.shape[4]===n[3],()=>`Error in conv3dDerFilter: depth of input ${a.shape[4]}) must match input depth in filter (${n[3]}.`),m(o.shape[4]===n[4],()=>`Error in conv3dDerFilter: depth of dy (${o.shape[4]}) must match output depth for filter (${n[4]}).`);const i=Ja(a.shape,n,r,1,s);return ve.runKernelFunc(e=>e.conv3dDerFilter(a,o,i),{x5D:a,dy5D:o})}(s,e,o.shape,n,r)}});return l?h.as4D(h.shape[1],h.shape[2],h.shape[3],h.shape[4]):h}}),co=Ke({conv2dDerFilter_:function(e,t,n,r,s,a="NHWC",o){let i=e;3===e.rank&&(i=e.as4D(1,e.shape[0],e.shape[1],e.shape[2]));let u=t;3===u.rank&&(u=t.as4D(1,t.shape[0],t.shape[1],t.shape[2])),m(4===i.rank,()=>"Error in conv2dDerFilter: input must be rank 4, but got shape "+i.shape+"."),m(4===u.rank,()=>"Error in conv2dDerFilter: dy must be rank 4, but got shape "+u.shape+"."),m(4===n.length,()=>"Error in conv2dDerFilter: filterShape must be length 4, but got "+n+".");const l="NHWC"===a?i.shape[3]:i.shape[1],c="NHWC"===a?u.shape[3]:u.shape[1];m(l===n[2],()=>`Error in conv2dDerFilter: depth of input ${l}) must match input depth in filter (${n[2]}.`),m(c===n[3],()=>`Error in conv2dDerFilter: depth of dy (${c}) must match output depth for filter (${n[3]}).`),null!=o&&m(v(s),()=>`Error in conv2dDerFilter: pad must be an integer when using, dimRoundingMode ${o} but got pad ${s}.`);const h=ro(a),d=Va(i.shape,n,r,1,s,o,!1,h);return ve.runKernelFunc(e=>e.conv2dDerFilter(i,u,d),{x4D:i,dy4D:u})}}),ho=Ke({conv2dDerInput_:so}),po=Ke({depthwiseConv2d_:function(e,t,n,r,s="NHWC",a=[1,1],o){const i=Fe(e,"x","depthwiseConv2d"),u=Fe(t,"filter","depthwiseConv2d");let l=i,c=!1;3===i.rank&&(c=!0,l=i.as4D(1,i.shape[0],i.shape[1],i.shape[2])),m(4===l.rank,()=>`Error in depthwiseConv2d: input must be rank 4, but got rank ${l.rank}.`),m(4===u.rank,()=>"Error in depthwiseConv2d: filter must be rank 4, but got rank "+u.rank+"."),m(l.shape[3]===u.shape[2],()=>`Error in depthwiseConv2d: number of input channels (${l.shape[3]}) must match the inChannels dimension in filter ${u.shape[2]}.`),null==a&&(a=[1,1]),m(no(n,a),()=>`Error in depthwiseConv2d: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),null!=o&&m(v(r),()=>`Error in depthwiseConv2d: pad must be an integer when using, dimRoundingMode ${o} but got pad ${r}.`);const h=Va(l.shape,u.shape,n,a,r,o,!0),d=[l,u],p=ve.runKernelFunc((e,t)=>{const n=e.depthwiseConv2D(l,u,h);return t([l,u]),n},{x:l,filter:u},(e,t)=>{m(to(a),()=>`Error in gradient of depthwiseConv2d: dilation rates greater than 1 are not yet supported. Got dilations '${a}'`);const[n,r]=t;return{x:()=>fo(n.shape,e,r,h),filter:()=>mo(n,e,r.shape,h)}},"DepthwiseConv2dNative",h,d);return c?p.as3D(p.shape[1],p.shape[2],p.shape[3]):p}}),fo=Ke({depthwiseConv2dDerInput_:function(e,t,n,r){let s=t,a=!1;3===t.rank&&(a=!0,s=t.as4D(1,t.shape[0],t.shape[1],t.shape[2]));const o=ve.runKernelFunc(e=>e.depthwiseConv2DDerInput(s,n,r),{dy4D:s});return a?o.as3D(o.shape[1],o.shape[2],o.shape[3]):o}}),mo=Ke({depthwiseConv2dDerFilter_:function(e,t,n,r){let s=e;3===e.rank&&(s=e.as4D(1,e.shape[0],e.shape[1],e.shape[2]));let a=t;return 3===a.rank&&(a=t.as4D(1,t.shape[0],t.shape[1],t.shape[2])),ve.runKernelFunc(e=>e.depthwiseConv2DDerFilter(s,a,r),{x4D:s,dy4D:a})}}),go=Ke({separableConv2d_:function(e,t,n,r,s,a=[1,1],o="NHWC"){const i=Fe(e,"x","separableConv2d"),u=Fe(t,"depthwiseFilter","separableConv2d"),l=Fe(n,"pointwiseFilter","separableConv2d");let c=i,h=!1;if(3===i.rank&&(h=!0,c=i.as4D(1,i.shape[0],i.shape[1],i.shape[2])),"NCHW"===o)throw new Error("separableConv2d currently does not support dataFormat NCHW; only NHWC is supported");m(4===c.rank,()=>`Error in separableConv2d: input must be rank 4, but got rank ${c.rank}.`),m(4===u.rank,()=>`Error in separableConv2d: depthwise filter must be rank 4, but got rank ${u.rank}.`),m(4===l.rank,()=>`Error in separableConv2d: pointwise filter must be rank 4, but got rank ${u.rank}.`),m(1===l.shape[0],()=>`Error in separableConv2d: the first dimension of pointwise filter  must be 1, but got ${l.shape[0]}.`),m(1===l.shape[1],()=>`Error in separableConv2d: the second dimension of pointwise filter must be 1, but got ${l.shape[1]}.`);const d=u.shape[2],p=u.shape[3];m(l.shape[2]===d*p,()=>`Error in separableConv2d: the third dimension of pointwise filter must be ${d*p}, but got ${l.shape[2]}.`);const f=po(c,u,r,s,o,a),g=uo(f,l,1,"valid",o);return h?g.as3D(g.shape[1],g.shape[2],g.shape[3]):g}}),bo=Ke({conv2dTranspose_:function(e,t,n,r,s,a){return so(n,Fe(e,"x","conv2dTranspose"),Fe(t,"filter","conv2dTranspose"),r,s,"NHWC",a)}}),wo=Ke({conv3dTranspose_:function(e,t,n,r,s){return oo(n,Fe(e,"x","conv3dTranspose"),Fe(t,"filter","conv3dTranspose"),r,s)}});const yo=Ke({matMul_:function(e,t,n=!1,r=!1){let s=Fe(e,"a","matMul"),a=Fe(t,"b","matMul");[s,a]=me(s,a);const o=n?s.shape[s.rank-2]:s.shape[s.rank-1],i=r?a.shape[a.rank-1]:a.shape[a.rank-2],u=n?s.shape[s.rank-1]:s.shape[s.rank-2],l=r?a.shape[a.rank-2]:a.shape[a.rank-1],c=s.shape.slice(0,-2),h=a.shape.slice(0,-2),d=y(c),p=y(h);m(s.rank>=2&&a.rank>=2&&s.rank===a.rank,()=>`Error in matMul: inputs must have the same rank of at least 2, got ranks ${s.rank} and ${a.rank}.`),m(k(c,h),()=>`Error in matMul: outer dimensions (${c}) and (${h}) of Tensors with shapes ${s.shape} and `+a.shape+" must match."),m(o===i,()=>`Error in matMul: inner shapes (${o}) and (${i}) of Tensors with shapes ${s.shape} and ${a.shape} and transposeA=${n} and transposeB=${r} must match.`);const f=s.shape.slice(0,-2).concat([u,l]),g=n?s.as3D(d,o,u):s.as3D(d,u,o),b=r?a.as3D(p,l,i):a.as3D(p,i,l),w={transposeA:n,transposeB:r};return ve.runKernelFunc((e,t)=>{const s=e.batchMatMul(g,b,n,r);return t([g,b]),s},{a:g,b:b},(e,t)=>{const[s,a]=t;return n||r?!n&&r?{a:()=>e.matMul(a,!1,!1),b:()=>e.matMul(s,!0,!1)}:n&&!r?{a:()=>a.matMul(e,!1,!0),b:()=>s.matMul(e,!1,!1)}:{a:()=>a.matMul(e,!0,!0),b:()=>e.matMul(s,!0,!0)}:{a:()=>e.matMul(a,!1,!0),b:()=>s.matMul(e,!0,!1)}},"BatchMatMul",w).reshape(f)}}),ko=Ke({dot_:function(e,t){const n=Fe(e,"t1","dot"),r=Fe(t,"t2","dot");m(!(1!==n.rank&&2!==n.rank||1!==r.rank&&2!==r.rank),()=>`Error in dot: inputs must all be rank 1 or 2, but got ranks ${n.rank} and ${r.rank}.`);const s=1===n.rank?n.size:n.shape[1],a=1===r.rank?r.size:r.shape[0];return m(s===a,()=>`Error in dot: inner dimensions of inputs must match, but got ${s} and ${a}.`),1===n.rank&&1===r.rank?n.as2D(1,-1).matMul(r.as2D(-1,1)).asScalar():1===n.rank&&2===r.rank?n.as2D(1,-1).matMul(r.as2D(r.shape[0],r.shape[1])).as1D():2===n.rank&&1===r.rank?n.matMul(r.as2D(-1,1)).as1D():n.matMul(r.as2D(r.shape[0],r.shape[1]))}}),vo=Ke({outerProduct_:function(e,t){const n=Fe(e,"v1","outerProduct"),r=Fe(t,"v2","outerProduct");return m(1===n.rank&&1===r.rank,()=>`Error in outerProduct: inputs must be rank 1, but got ranks ${n.rank} and ${r.rank}.`),n.as2D(-1,1).matMul(r.as2D(1,-1))}});const xo=Ke({reverse_:function(e,t){const n=Fe(e,"x","reverse");if(0===n.rank)return n.clone();const r=S(t,n.shape);return ve.runKernelFunc(e=>e.reverse(n,r),{$x:n},e=>({$x:()=>e.reverse(r)})).reshapeAs(n)}}),Eo=Ke({reverse1d_:function(e){const t=Fe(e,"x","reverse");return m(1===t.rank,()=>`Error in reverse1D: x must be rank 1 but got rank ${t.rank}.`),xo(t,0)}}),So=Ke({reverse2d_:function(e,t){const n=Fe(e,"x","reverse");return m(2===n.rank,()=>`Error in reverse2D: x must be rank 2 but got rank ${n.rank}.`),xo(n,t)}}),Do=Ke({reverse3d_:function(e,t){const n=Fe(e,"x","reverse");return m(3===n.rank,()=>`Error in reverse3D: x must be rank 3 but got rank ${n.rank}.`),xo(n,t)}}),$o=Ke({reverse4d_:function(e,t){const n=Fe(e,"x","reverse");return m(4===n.rank,()=>`Error in reverse4D: x must be rank 4 but got rank ${n.rank}.`),xo(n,t)}});function Io(e,t,n,r,s,a){const o=Fe(e,"x","maxPool");let i=o,u=!1;3===o.rank&&(u=!0,i=o.as4D(1,o.shape[0],o.shape[1],o.shape[2])),null==r&&(r=[1,1]),m(4===i.rank,()=>`Error in maxPool: input must be rank 4 but got rank ${i.rank}.`),m(no(n,r),()=>`Error in maxPool: Either strides or dilations must be 1. Got strides ${n} and dilations '${r}'`),null!=a&&m(v(s),()=>`Error in maxPool: pad must be an integer when using, dimRoundingMode ${a} but got pad ${s}.`);const l=Ua(i.shape,t,n,r,s,a);if(1===l.filterWidth&&1===l.filterHeight&&k(l.inShape,l.outShape))return o.clone();const c=[i],h=ve.runKernelFunc((e,t)=>{const n=e.maxPool(i,l);return t([i,n]),n},{x:i},(e,a)=>{const[o,i]=a;return{x:()=>function(e,t,n,r,s,a,o,i){const u=Fe(e,"dy","maxPoolBackprop"),l=Fe(t,"input","maxPoolBackprop"),c=Fe(n,"output","maxPoolBackprop");m(l.rank===u.rank,()=>`Rank of input (${l.rank}) does not match rank of dy (${u.rank})`),null==a&&(a=[1,1]);m(no(s,a),()=>`Error in maxPoolBackProp: Either strides or dilations must be 1. Got strides ${s} and dilations '${a}'`),m(4===u.rank,()=>"Error in maxPoolBackprop: dy must be rank 4 but got rank "+u.rank+"."),m(4===l.rank,()=>"Error in maxPoolBackprop: input must be rank 4 but got rank "+l.rank+"."),null!=i&&m(v(o),()=>`Error in maxPoolBackprop: pad must be an integer when using, dimRoundingMode ${i} but got pad ${o}.`);const h=Ua(l.shape,r,s,a,o,i);return ve.runKernelFunc(e=>e.maxPoolBackprop(u,l,c,h),{$dy:u,$input:l})}(e,o,i,t,n,r,s)}},"MaxPool",l,c);return u?h.as3D(h.shape[1],h.shape[2],h.shape[3]):h}function No(e,t,n,r,s,a){const o=Fe(e,"x","avgPool","float32");null==r&&(r=[1,1]),m(no(n,r),()=>`Error in avgPool: Either strides or dilations must be 1. Got strides ${n} and dilations '${r}'`);let i=o,u=!1;3===o.rank&&(u=!0,i=o.as4D(1,o.shape[0],o.shape[1],o.shape[2])),m(4===i.rank,()=>`Error in avgPool: x must be rank 4 but got rank ${i.rank}.`),null!=a&&m(v(s),()=>`Error in avgPool: pad must be an integer when using, dimRoundingMode ${a} but got pad ${s}.`);const l=Ua(i.shape,t,n,r,s,a);if(1===l.filterWidth&&1===l.filterHeight&&k(l.inShape,l.outShape))return o.clone();let c=ve.runKernelFunc(e=>e.avgPool(i,l),{x:i},e=>({x:()=>function(e,t,n,r,s,a){const o=Fe(e,"dy","avgPoolBackprop"),i=Fe(t,"input","avgPoolBackprop");m(i.rank===o.rank,()=>`Rank of input (${i.rank}) does not match rank of dy (${o.rank})`),null==s&&(s=[1,1]);m(no(r,s),()=>`Error in avgPoolBackprop: Either strides or dilations must be 1. Got strides ${r} and dilations '${s}'`);let u=i,l=o,c=!1;3===i.rank&&(c=!0,u=i.as4D(1,i.shape[0],i.shape[1],i.shape[2]),l=o.as4D(1,o.shape[0],o.shape[1],o.shape[2]));m(4===l.rank,()=>"Error in avgPoolBackprop: dy must be rank 4 but got rank "+l.rank+"."),m(4===u.rank,()=>"Error in avgPoolBackprop: input must be rank 4 but got rank "+u.rank+".");const h=Ua(u.shape,n,r,s,a),d=ve.runKernelFunc(e=>e.avgPoolBackprop(l,u,h),{dy4D:l,input4D:u});if(c)return d.as3D(d.shape[1],d.shape[2],d.shape[3]);return d}(e,i,t,n,r,s)}),"AvgPool",l);return c=c.cast(o.dtype),u?c.as3D(c.shape[1],c.shape[2],c.shape[3]):c}const Ao=Ke({maxPool_:function(e,t,n,r,s){return Io(e,t,n,1,r,s)}}),_o=Ke({avgPool_:function(e,t,n,r,s){return No(e,t,n,1,r,s)}}),Fo=Ke({pool_:function(e,t,n,r,s,a){null==s&&(s=[1,1]),null==a&&(a=1),0===r&&(r="valid");const o=Fe(e,"x","maxPool");let i=o,u=!1;3===o.rank&&(u=!0,i=o.as4D(1,o.shape[0],o.shape[1],o.shape[2])),m(no(a,s),()=>`Error in pool: Either strides or dilations must be 1. Got strides ${a} and dilations '${s}'`);const l=Ua(i.shape,t,a,s,r),c=[l.dilationHeight,l.dilationWidth];let h;h="same"===r?function(e,t){const n=e.map((e,n)=>e+(e-1)*(t[n]-1)).map(e=>e-1),r=n.map(e=>Math.floor(e/2)),s=n.map((e,t)=>e-r[t]);return n.map((e,t)=>[r[t],s[t]])}([l.filterHeight,l.filterWidth],c):[[0,0],[0,0]];const d=1===c[0]&&1===c[1],[p,f]=function(e,t,n){const r=n.map(e=>e[0]),s=n.map(e=>e[1]),a=e.concat(r,s),o=t.map((e,t)=>(e-a[t]%e)%e),i=s.map((e,t)=>e+o[t]),u=t.map((e,t)=>[r[t],i[t]]),l=t.map((e,t)=>[0,o[t]]);return[u,l]}([l.inHeight,l.inWidth],c,h),g=d?r:"valid",b=d?i:Ct(i,c,p),w=("avg"===n?()=>No(b,t,a,1,g):()=>Io(b,t,a,1,g))(),y=d?w:_t(w,c,f);return u?y.as3D(y.shape[1],y.shape[2],y.shape[3]):y}}),Mo=Ke({maxPool3d_:function(e,t,n,r,s,a="NDHWC",o){const i=Fe(e,"x","maxPool3d");let u=i,l=!1;4===i.rank&&(l=!0,u=i.as5D(1,i.shape[0],i.shape[1],i.shape[2],i.shape[3])),null==o&&(o=[1,1,1]),m(5===u.rank,()=>`Error in maxPool3d: x must be rank 5 but got rank ${u.rank}.`),m("NDHWC"===a,()=>"Error in maxPool3d: Only NDHWC is currently supported, but got dataFormat of "+a),m(no(n,o),()=>`Error in maxPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`),null!=s&&m(v(r),()=>`Error in maxPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const c=ja(u.shape,t,n,o,r,s,a),h=ve.runKernelFunc((e,t)=>{const n=e.maxPool3d(u,c);return t([u,n]),n},{x:u},(e,a)=>{const[i,u]=a;return{x:()=>function(e,t,n,r,s,a,o,i){const u=Fe(e,"dy","maxPool3dBackprop"),l=Fe(t,"input","maxPool3dBackprop"),c=Fe(n,"output","maxPool3dBackprop");let h=u,d=l,p=c,f=!1;4===l.rank&&(f=!0,h=u.as5D(1,u.shape[0],u.shape[1],u.shape[2],u.shape[3]),d=l.as5D(1,l.shape[0],l.shape[1],l.shape[2],l.shape[3]),p=c.as5D(1,c.shape[0],c.shape[1],c.shape[2],c.shape[3]));m(5===h.rank,()=>"Error in maxPool3dBackprop: dy must be rank 5 but got rank "+h.rank+"."),m(5===d.rank,()=>"Error in maxPool3dBackprop: input must be rank 5 but got rank "+d.rank+"."),m(5===p.rank,()=>"Error in maxPool3dBackprop: output must be rank 5 but got rank "+p.rank+"."),null==a&&(a=[1,1,1]);m(no(s,a),()=>`Error in maxPool3dBackprop: Either strides or dilations must be 1. Got strides ${s} and dilations '${a}'`),null!=i&&m(v(o),()=>`Error in maxPool3dBackprop: pad must be an integer when using, dimRoundingMode ${i} but got pad ${o}.`);const g=ja(d.shape,r,s,a,o,i),b=ve.runKernelFunc(e=>e.maxPool3dBackprop(h,d,p,g),{dy5D:h,input5D:d});if(f)return b.as4D(b.shape[1],b.shape[2],b.shape[3],b.shape[4]);return b}(e,i,u,t,n,o,r,s)}});return l?h.as4D(h.shape[1],h.shape[2],h.shape[3],h.shape[4]):h}}),To=Ke({avgPool3d_:function(e,t,n,r,s,a="NDHWC",o){const i=Fe(e,"x","avgPool3d","float32");let u=i,l=!1;4===i.rank&&(l=!0,u=i.as5D(1,i.shape[0],i.shape[1],i.shape[2],i.shape[3])),null==o&&(o=[1,1,1]),m(5===u.rank,()=>`Error in avgPool3d: x must be rank 5 but got rank ${u.rank}.`),m("NDHWC"===a,()=>"Error in avgPool3d: Only NDHWC is currently supported, but got dataFormat of "+a),m(no(n,o),()=>`Error in avgPool3d: Either strides or dilations must be 1. Got strides ${n} and dilations '${o}'`),null!=s&&m(v(r),()=>`Error in avgPool3d: pad must be an integer when using, dimRoundingMode ${s} but got pad ${r}.`);const c=ja(u.shape,t,n,o,r,s,a);let h=ve.runKernelFunc(e=>e.avgPool3d(u,c),{x:u},e=>({x:()=>function(e,t,n,r,s,a,o){const i=Fe(e,"dy","avgPool3dBackprop"),u=Fe(t,"input","avgPool3dBackprop");let l=i,c=u,h=!1;4===u.rank&&(h=!0,l=i.as5D(1,i.shape[0],i.shape[1],i.shape[2],i.shape[3]),c=u.as5D(1,u.shape[0],u.shape[1],u.shape[2],u.shape[3]));m(5===l.rank,()=>"Error in avgPool3dBackprop: dy must be rank 5 but got rank "+l.rank+"."),m(5===c.rank,()=>"Error in avgPool3dBackprop: input must be rank 5 but got rank "+c.rank+"."),null==s&&(s=[1,1,1]);m(no(r,s),()=>`Error in avgPool3dBackprop: Either strides or dilations must be 1. Got strides ${r} and dilations '${s}'`),null!=o&&m(v(a),()=>`Error in maxPool3dBackprop: pad must be an integer when using, dimRoundingMode ${o} but got pad ${a}.`);const d=ja(c.shape,n,r,s,a,o),p=ve.runKernelFunc(e=>e.avgPool3dBackprop(l,c,d),{dy5D:l,input5D:c});if(h)return p.as4D(p.shape[1],p.shape[2],p.shape[3],p.shape[4]);return p}(e,u,t,n,o,r,s)}));return h=h.cast(u.dtype),l?h.as4D(h.shape[1],h.shape[2],h.shape[3],h.shape[4]):h}}),Bo=Ke({maxPoolWithArgmax_:function(e,t,n,r,s=!1){const a=Fe(e,"x","maxPoolWithArgmax"),o={filterSize:t,strides:n,pad:r,includeBatchInIndex:s},i=ve.runKernel("MaxPoolWithArgmax",{x:a},o);return{result:i[0],indexes:i[1]}}});const Ro=Ke({elu_:function(e){const t=Fe(e,"x","elu");return ve.runKernelFunc((e,n)=>{const r=e.elu(t);return n([r]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>ve.runKernelFunc(t=>t.eluDer(e,n),{dy:e,y:n})}})}}),Co=Ke({leakyRelu_:function(e,t=.2){const n=Fe(e,"x","leakyRelu");return In(Je(t).mul(n),n)}}),qo=Ke({prelu_:function(e,t){const n=Fe(e,"x","prelu"),r=Fe(t,"alpha","prelu");return ve.runKernelFunc((e,t)=>{const s=e.prelu(n,r);return t([n,r]),s},{x:n,alpha:r},(e,t)=>{const[n,r]=t,s=n.greater(0);return{x:()=>ea(s,e,e.mul(r)),alpha:()=>{let t=ea(s,lt(e),e.mul(n));const a=De(r.shape,e.shape);return a.length>0&&(t=t.sum(a)),t.reshape(r.shape)}}},"Prelu")}}),Po=Ke({relu_:function(e){const t=Fe(e,"x","relu");return"bool"===t.dtype?t.toInt():ve.runKernelFunc((e,n)=>{const r=e.relu(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t;return{x:()=>e.mulStrict(n.step().toFloat())}},"Relu")}}),zo=Ke({relu6_:function(e){const t=Fe(e,"x","relu6");return"bool"===t.dtype?t.toInt():ve.runKernelFunc((e,n)=>{const r=e.relu6(t);return n([t]),r},{x:t},(e,t)=>{const[n]=t,r=n.lessEqual(6).mul(n.step());return{x:()=>e.mulStrict(r.toFloat())}},"Relu6")}}),Lo=Ke({selu_:function(e){const t=Fe(e,"x","selu");return ve.runKernelFunc((e,n)=>{const r=e.selu(t);return n([t]),r},{$x:t},(e,t)=>{const[n]=t;return{$x:()=>{const t=n.greater(Je(0)),r=Je(1.7580993408473768),s=Je(1.0507009873554805),a=e.mul(s),o=e.mul(r).mul(n.toFloat().exp());return ea(t,a,o)}}})}});const Oo=Ke({softmax_:function(e,t=-1){const n=Fe(e,"logits","softmax","float32");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and dim was ${t}`);return ve.runKernelFunc((e,r)=>{const s=e.softmax(n,t);return r([s]),s},{logits:n},(e,n)=>{const[r]=n,s=e.mul(r);return{logits:()=>s.sub(s.sum([t],!0).mul(r))}},"Softmax",{dim:t},[],[!0])}}),Wo=Ke({logSoftmax_:function(e,t=-1){const n=Fe(e,"logits","logSoftmax");if(-1===t&&(t=n.rank-1),t!==n.rank-1)throw Error(`Log Softmax along a non-last dimension is not yet supported. Logits was rank ${n.rank} and axis was ${t}`);return Be((e,n)=>{const r=e.max(t,!0),s=e.sub(r),a=s.toFloat().sub(s.exp().sum(t,!0).log());n([a]);return{value:a,gradFunc:(e,n)=>{const[r]=n,s=r.exp();return e.sub(e.sum(t,!0).mul(s))}}})(n)}});const Ko=Ke({localResponseNormalization_:function(e,t=5,n=1,r=1,s=.5){const a=Fe(e,"x","localResponseNormalization");m(4===a.rank||3===a.rank,()=>`Error in localResponseNormalization: x must be rank 3 or 4 but got\n               rank ${a.rank}.`),m(v(t),()=>`Error in localResponseNormalization: depthRadius must be an integer but got depthRadius ${t}.`);let o=a,i=!1;3===a.rank&&(i=!0,o=a.as4D(1,a.shape[0],a.shape[1],a.shape[2]));const u=ve.runKernelFunc((e,a)=>{const i=e.localResponseNormalization4D(o,t,n,r,s);return a([o,i]),i},{x4D:o},(e,a)=>{const[o,i]=a;return{x4D:()=>ve.runKernelFunc(a=>a.LRNGrad(e,o,i,t,n,r,s),{})}});return i?u.as3D(u.shape[1],u.shape[2],u.shape[3]):u}});const Ho=Ke({norm_:function(e,t="euclidean",n=null,r=!1){const s=function e(t,n,r=null){if(0===t.rank)return t.abs();if(1!==t.rank&&null===r)return e(t.reshape([-1]),n,r);if(1===t.rank||"number"==typeof r||Array.isArray(r)&&1===r.length){if(1===n)return t.abs().sum(r);if(n===1/0)return t.abs().max(r);if(n===-1/0)return t.abs().min(r);if("euclidean"===n||2===n)return t.abs().pow(Je(2,"int32")).sum(r).sqrt();throw new Error("Error in norm: invalid ord value: "+n)}if(Array.isArray(r)&&2===r.length){if(1===n)return t.abs().sum(r[0]).max(r[1]-1);if(n===1/0)return t.abs().sum(r[1]).max(r[0]);if(n===-1/0)return t.abs().sum(r[1]).min(r[0]);if("fro"===n||"euclidean"===n)return t.square().sum(r).sqrt();throw new Error("Error in norm: invalid ord value: "+n)}throw new Error("Error in norm: invalid axis: "+r)}(e=Fe(e,"x","norm"),t,n);let a=s.shape;if(r){const t=S(n,e.shape);a=ze(s.shape,t)}return s.reshape(a)}});const Go=Ke({basicLSTMCell_:function(e,t,n,r,s,a){const o=Fe(e,"forgetBias","basicLSTMCell"),i=Fe(t,"lstmKernel","basicLSTMCell"),u=Fe(n,"lstmBias","basicLSTMCell"),l=Fe(r,"data","basicLSTMCell"),c=Fe(s,"c","basicLSTMCell"),h=Fe(a,"h","basicLSTMCell"),d=l.concat(h,1).matMul(i).add(u),p=d.shape[0],f=d.shape[1]/4,m=[p,f],g=d.slice([0,0],m),b=d.slice([0,f],m),w=d.slice([0,2*f],m),y=d.slice([0,3*f],m),k=g.sigmoid().mulStrict(b.tanh()).addStrict(c.mulStrict(o.add(w).sigmoid())),v=k.tanh().mulStrict(y.sigmoid());return[k,v]}}),Uo=Ke({multiRNNCell_:function(e,t,n,r){const s=Fe(t,"data","multiRNNCell"),a=Me(n,"c","multiRNNCell"),o=Me(r,"h","multiRNNCell");let i=s;const u=[];for(let t=0;t<e.length;t++){const n=e[t](i,a[t],o[t]);u.push(n[0]),u.push(n[1]),i=n[1]}const l=[],c=[];for(let e=0;e<u.length;e+=2)l.push(u[e]),c.push(u[e+1]);return[l,c]}});const jo=Ke({movingAverage_:function(e,t,n,r,s=!0){const a=Fe(e,"v","movingAverage"),o=Fe(t,"x","movingAverage"),i=Fe(n,"decay","movingAverage");ge(a,o),m(k(a.shape,o.shape),()=>"Shape mismatch in v and x");const u=Je(1),l=u.sub(i);let c=o.sub(a).mul(l);if(s){m(null!=r,()=>"When using zeroDebias: true, step is required.");const e=Fe(r,"step","movingAverage");c=c.div(u.sub(Rn(i,e)))}return a.add(c)}});const Vo=Ke({stridedSlice_:function(e,t,n,r,s=0,a=0,o=0,i=0,u=0){if(null==r&&(r=new Array(t.length)),0!==o)throw new Error("ellipsis mask is not yet supported");let l=Fe(e,"x","stridedSlice");const c=er(i),h=l.shape.slice();c.forEach(e=>{t[e]=0,n[e]=1,h.splice(e,0,1)}),l=l.reshape(h);for(let e=0;e<l.rank;e++)t[e]=nr(s,t,r,l.shape,e),n[e]=rr(a,n,r,l.shape,e),r[e]=r[e]||1;const d=er(u);d.forEach(e=>{n[e]=t[e]+1,r[e]=1});const p=tr(t,n,r),f=p.filter((e,t)=>-1===d.indexOf(t));return r.every(e=>1===e)?ar(l,t,p).reshape(f):ve.runKernelFunc(e=>e.stridedSlice(l,t,n,r),{$x:l}).reshape(f)}});const Jo=Ke({topk_:function(e,t=1,n=!0){const r=Fe(e,"x","topk");if(0===r.rank)throw new Error("topk() expects the input to be of rank 1 or higher");const s=r.shape[r.shape.length-1];if(t>s)throw new Error(`'k' passed to topk() must be <= the last dimension (${s}) but got `+t);const[a,o]=ve.runKernelFunc(e=>e.topk(r,t,n),{$x:r});return{values:a,indices:o}}});const Yo=Ke({scatterND_:function(e,t,n){const r=Fe(e,"indices","scatterND","int32"),s=Fe(t,"updates","scatterND");return ps(s,r,n),ve.runKernelFunc(e=>e.scatterND(r,s,n),{indices:r,updates:s},null,"ScatterNd",{shape:n})}});const Xo=Ke({fft_:function(e){m("complex64"===e.dtype,()=>`The dtype for tf.spectral.fft() must be complex64 but got ${e.dtype}.`);const t=e.shape[e.shape.length-1],n=e.size/t,r=e.as2D(n,t);return ve.runKernelFunc(e=>e.fft(r),{input:e}).reshape(e.shape)}}),Zo=Ke({ifft_:function(e){m("complex64"===e.dtype,()=>`The dtype for tf.spectral.ifft() must be complex64 but got ${e.dtype}.`);const t=e.shape[e.shape.length-1],n=e.size/t,r=e.as2D(n,t);return ve.runKernelFunc(e=>e.ifft(r),{input:e}).reshape(e.shape)}}),Qo=Ke({rfft_:function(e,t){m("float32"===e.dtype,()=>"The dtype for rfft() must be real value but got "+e.dtype);let n=e.shape[e.shape.length-1];const r=e.size/n;let s;if(null!=t&&t<n){const r=e.shape.map(e=>0),a=e.shape.map(e=>e);a[e.shape.length-1]=t,s=e.slice(r,a),n=t}else if(null!=t&&t>n){const r=e.shape.map(e=>e);r[e.shape.length-1]=t-n,s=e.concat(st(r),e.shape.length-1),n=t}else s=e;const a=s.zerosLike(),o=He(s,a).as2D(r,n),i=Xo(o),u=Math.floor(n/2)+1,l=Ge(i),c=Ue(i),h=l.split([u,n-u],l.shape.length-1),d=c.split([u,n-u],c.shape.length-1),p=s.shape.slice();return p[s.shape.length-1]=u,He(h[0],d[0]).reshape(p)}}),ei=Ke({irfft_:function(e){const t=e.shape[e.shape.length-1],n=e.size/t;if(t<=2){const r=e.as2D(n,t),s=Zo(r);return Ge(s)}{const r=[n,2*(t-1)],s=Ge(e).as2D(n,t),a=Ue(e).as2D(n,t),o=s.slice([0,1],[n,t-2]).reverse(1),i=a.slice([0,1],[n,t-2]).reverse(1).mul(Je(-1)),u=s.concat(o,1),l=a.concat(i,1),c=He(u,l).as2D(r[0],r[1]),h=Zo(c);return Ge(h)}}});var ti=Object.freeze({__proto__:null,fft:Xo,ifft:Zo,rfft:Qo,irfft:ei});const ni=Ke({sparseToDense_:function(e,t,n,r=0){const s=Fe(e,"sparseIndices","sparseToDense","int32"),a=Fe(t,"sparseValues","sparseToDense"),o=Fe(r,"defaultValue","sparseToDense",a.dtype);return function(e,t,n,r){if("int32"!==e.dtype)throw new Error(`tf.sparseToDense() expects the indices to be int32 type, but the dtype was ${e.dtype}.`);if(e.rank>2)throw new Error(`sparseIndices should be a scalar, vector, or matrix, but got shape ${e.shape}.`);const s=e.rank>0?e.shape[0]:1,a=e.rank>1?e.shape[1]:1;if(n.length!==a)throw new Error(`outputShape has incorrect number of elements:, ${n.length}, should be: ${a}.`);const o=t.size;if(0!==t.rank&&(1!==t.rank||o!==s))throw new Error(`sparseValues has incorrect shape ${t.shape}, should be [] or [${s}]`);if(t.dtype!==r.dtype)throw new Error("sparseValues.dtype must match defaultValues.dtype")}(s,a,n,o),ve.runKernelFunc(e=>e.sparseToDense(s,a,n,o),{$sparseIndices:s,$sparseValues:a,$defaultValue:o})}});const ri=Ke({gatherND_:function(e,t){const n=Fe(t,"indices","gatherND","int32"),r=Fe(e,"x","gatherND");return ve.runKernelFunc(e=>e.gatherND(r,n),{x:r,indices:n},null,"GatherNd")}});const si=Ke({diag_:function(e){const t=Fe(e,"x","diag").flatten(),n=[...e.shape,...e.shape];return ve.runKernelFunc(e=>e.diag(t),{$x:t}).reshape(n)}});const ai=Ke({dropout_:function(e,t,n,r){const s=Fe(e,"x","dropout");if(m("float32"===s.dtype,()=>`x has to be a floating point tensor since it's going to be scaled, but got a ${s.dtype} tensor instead.`),m(t>=0&&t<1,()=>`rate must be a float in the range [0, 1), but got ${t}.`),0===t)return e instanceof oe?s.clone():s;const a=function(e,t){if(null==t)return e.shape.slice();if(k(e.shape,t))return t;if(e.shape.length===t.length){const n=[];for(let r=0;r<e.shape.length;r++)null==t[r]&&null!=e.shape[r]?n.push(e.shape[r]):n.push(t[r]);return n}return t}(s,n),o=1-t,i=Da(a,0,1,"float32",r).add(o).floor().div(o);return s.mul(i)}});function oi(e,t,n){const r=1-e%2,s=new Float32Array(e);for(let a=0;a<e;++a){const o=2*Math.PI*a/(e+r-1);s[a]=t-n*Math.cos(o)}return Ye(s,"float32")}const ii=Ke({hannWindow_:function(e){return oi(e,.5,.5)}}),ui=Ke({hammingWindow_:function(e){return oi(e,.54,.46)}}),li=Ke({frame_:function(e,t,n,r=!1,s=0){let a=0;const o=[];for(;a+t<=e.size;)o.push(ar(e,a,t)),a+=n;if(r)for(;a<e.size;){const r=a+t-e.size,i=It([ar(e,a,t-r),at([r],s)]);o.push(i),a+=n}return 0===o.length?Xe([],[0,t]):It(o).as2D(o.length,t)}}),ci=Ke({stft_:function(e,t,n,r,s=ii){var a;null==r&&(a=t,r=Math.floor(Math.pow(2,Math.ceil(Math.log(a)/Math.log(2)))));const o=li(e,t,n),i=Tn(o,s(t)),u=[];for(let e=0;e<o.shape[0];e++)u.push(Qo(i.slice([e,0],[1,t]),r));return It(u)}});var hi=Object.freeze({__proto__:null,hannWindow:ii,hammingWindow:ui,frame:li,stft:ci});const di=async function(e,t,n=1){const r=Fe(e,"predictions","inTopK"),s=Fe(t,"targets","inTopK");m(r.rank>1,()=>"inTopK() expects the predictions to be of rank 2 or higher, but got "+r.rank),m(r.rank-1===s.rank,()=>`predictions rank should be 1 larger than targets rank, but got predictions rank ${r.rank} and targets rank ${s.rank}`),g(r.shape.slice(0,r.shape.length-1),s.shape,"predictions's shape should be align with the targets' shape, except the last dimension.");const a=r.shape[r.shape.length-1];m(n>0&&n<=a,()=>`'k' passed to inTopK() must be > 0 && <= the predictions last dimension (${a}), but got ${n}`);const o=await r.data(),i=await s.data(),[u,l]=[o.length/a,a],c=$("bool",u);for(let e=0;e<u;e++){const t=e*l,r=o.subarray(t,t+l),s=[];for(let e=0;e<r.length;e++)s.push({value:r[e],index:e});s.sort((e,t)=>t.value-e.value),c[e]=0;for(let t=0;t<n;t++)if(s[t].index===i[e]){c[e]=1;break}}return e!==r&&r.dispose(),t!==s&&s.dispose(),je(c,s.shape,"bool")};var pi;(pi=e.Reduction||(e.Reduction={}))[pi.NONE=0]="NONE",pi[pi.MEAN=1]="MEAN",pi[pi.SUM=2]="SUM",pi[pi.SUM_BY_NONZERO_WEIGHTS=3]="SUM_BY_NONZERO_WEIGHTS";const fi=Ke({absoluteDifference_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const a=Fe(t,"labels","absoluteDifference"),o=Fe(n,"predictions","absoluteDifference");let i=null;null!=r&&(i=Fe(r,"weights","absoluteDifference")),g(a.shape,o.shape,"Error in absoluteDifference: ");const u=a.sub(o).abs();return mi(u,i,s)}}),mi=Ke({computeWeightedLoss_:function(t,n,r=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const s=Fe(t,"losses","computeWeightedLoss");let a=null;null!=n&&(a=Fe(n,"weights","computeWeightedLoss"));const o=null==a?s:s.mul(a);if(r===e.Reduction.NONE)return o;if(r===e.Reduction.SUM)return o.sum();if(r===e.Reduction.MEAN){if(null==a)return o.mean();{const e=s.size/a.size,t=o.sum().div(a.sum());return e>1?t.div(Je(e)):t}}if(r===e.Reduction.SUM_BY_NONZERO_WEIGHTS){if(null==a)return o.sum().div(Je(s.size));{const e=a.mul(rt(s.shape)).notEqual(Je(0)).sum().toFloat();return o.sum().div(e)}}throw Error("Unknown reduction: "+r)}}),gi=Ke({cosineDistance_:function(t,n,r,s,a=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=Fe(t,"labels","cosineDistance"),i=Fe(n,"predictions","cosineDistance");let u=null;null!=s&&(u=Fe(s,"weights","cosineDistance")),g(o.shape,i.shape,"Error in cosineDistance: ");const l=Je(1).sub(o.mul(i).sum(r,!0));return mi(l,u,a)}}),bi=Ke({hingeLoss_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let a=Fe(t,"labels","hingeLoss");const o=Fe(n,"predictions","hingeLoss");let i=null;null!=r&&(i=Fe(r,"weights","hingeLoss")),g(a.shape,o.shape,"Error in hingeLoss: ");const u=Je(1);a=Je(2).mul(a).sub(u);const l=u.sub(a.mul(o)).relu();return mi(l,i,s)}}),wi=Ke({huberLoss_:function(t,n,r,s=1,a=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=Fe(t,"labels","huberLoss"),i=Fe(n,"predictions","huberLoss");let u=null;null!=r&&(u=Fe(r,"weights","huberLoss")),g(o.shape,i.shape,"Error in huberLoss: ");const l=Je(s),c=i.sub(o).abs(),h=An(c,l),d=c.sub(h),p=Je(.5).mul(h.square()).add(l.mul(d));return mi(p,u,a)}}),yi=Ke({logLoss_:function(t,n,r,s=1e-7,a=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const o=Fe(t,"labels","logLoss"),i=Fe(n,"predictions","logLoss");let u=null;null!=r&&(u=Fe(r,"weights","logLoss")),g(o.shape,i.shape,"Error in logLoss: ");const l=Je(1),c=Je(s),h=o.mul(i.add(c).log()).neg().sub(l.sub(o).mul(l.sub(i).add(c).log()));return mi(h,u,a)}}),ki=Ke({meanSquaredError_:function(t,n,r,s=e.Reduction.SUM_BY_NONZERO_WEIGHTS){const a=Fe(t,"labels","meanSquaredError"),o=Fe(n,"predictions","meanSquaredError");let i=null;null!=r&&(i=Fe(r,"weights","meanSquaredError")),g(a.shape,o.shape,"Error in meanSquaredError: ");const u=a.squaredDifference(o);return mi(u,i,s)}}),vi=Ke({sigmoidCrossEntropy_:function(t,n,r,s=0,a=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let o=Fe(t,"multiClassLabels","sigmoidCrossEntropy");const i=Fe(n,"logits","sigmoidCrossEntropy");let u=null;if(null!=r&&(u=Fe(r,"weights","sigmoidCrossEntropy")),g(o.shape,i.shape,"Error in sigmoidCrossEntropy: "),s>0){const e=Je(s),t=Je(1),n=Je(.5);o=o.mul(t.sub(e)).add(n.mul(e))}const l=function(e,t){const n=Fe(e,"labels","sigmoidCrossEntropyWithLogits"),r=Fe(t,"logits","sigmoidCrossEntropyWithLogits");g(n.shape,r.shape,"Error in sigmoidCrossEntropyWithLogits: ");const s=r.relu(),a=r.mul(n),o=r.abs().neg().exp().log1p();return s.sub(a).add(o)}(o,i);return mi(l,u,a)}}),xi=Ke({softmaxCrossEntropy_:function(t,n,r,s=0,a=e.Reduction.SUM_BY_NONZERO_WEIGHTS){let o=Fe(t,"onehotLabels","softmaxCrossEntropy");const i=Fe(n,"logits","softmaxCrossEntropy");let u=null;if(null!=r&&(u=Fe(r,"weights","softmaxCrossEntropy")),g(o.shape,i.shape,"Error in softmaxCrossEntropy: "),s>0){const e=Je(s),t=Je(1),n=Je(o.shape[1]);o=o.mul(t.sub(e)).add(e.div(n))}const l=function(e,t,n=-1){if(-1===n&&(n=t.rank-1),n!==t.rank-1)throw Error(`Softmax cross entropy along a non-last dimension is not yet supported. Labels / logits was rank ${t.rank} and dim was `+n);return Be((e,t,r)=>{const s=t.logSumExp([n],!0),a=t.toFloat().sub(s);r([e,a]);return{value:a.mul(e).neg().sum([n]),gradFunc:(e,t)=>{const[r,s]=t,a=ze(e.shape,[n]);return[e.reshape(a).mul(r.toFloat().sub(s.exp())),e.reshape(a).mul(s.exp().sub(r.toFloat()))]}}})(e,t)}(o,i);return mi(l,u,a)}});var Ei=Object.freeze({__proto__:null,get Reduction(){return e.Reduction},absoluteDifference:fi,computeWeightedLoss:mi,cosineDistance:gi,hingeLoss:bi,huberLoss:wi,logLoss:yi,meanSquaredError:ki,sigmoidCrossEntropy:vi,softmaxCrossEntropy:xi});function Si(e,t=!1){return ve.tidy(()=>{if(2!==e.shape.length)throw new Error(`qr2d() requires a 2D Tensor, but got a ${e.shape.length}D Tensor.`);const n=e.shape[0],r=e.shape[1];let s=ra(n),a=e.clone();const o=Xe([[1]],[1,1]);let i=o.clone();const u=n>=r?r:n;for(let e=0;e<u;++e){const t=a,u=i,l=s;[i,a,s]=ve.tidy(()=>{const t=a.slice([e,e],[n-e,1]),u=t.norm(),l=a.slice([e,e],[1,1]),c=Xe([[-1]]).where(l.greater(0),Xe([[1]])),h=l.sub(c.mul(u)),d=t.div(h);i=1===d.shape[0]?o.clone():o.concat(d.slice([1,0],[d.shape[0]-1,d.shape[1]]),0);const p=c.matMul(h).div(u).neg(),f=a.slice([e,0],[n-e,r]),m=p.mul(i),g=i.transpose();if(0===e)a=f.sub(m.matMul(g.matMul(f)));else{const t=f.sub(m.matMul(g.matMul(f)));a=a.slice([0,0],[e,r]).concat(t,0)}const b=m.transpose(),w=s.slice([0,e],[n,s.shape[1]-e]);if(0===e)s=w.sub(w.matMul(i).matMul(b));else{const t=w.sub(w.matMul(i).matMul(b));s=s.slice([0,0],[n,e]).concat(t,1)}return[i,a,s]}),$s([t,u,l])}return!t&&n>r&&(s=s.slice([0,0],[n,r]),a=a.slice([0,0],[r,r])),[s,a]})}const Di=Ke({bandPart_:function(e,t,n){if(t%1!=0)throw new Error(`bandPart(): numLower must be an integer, got ${t}.`);if(n%1!=0)throw new Error(`bandPart(): numUpper must be an integer, got ${n}.`);const r=Fe(e,"a","bandPart");if(r.rank<2)throw new Error(`bandPart(): Rank must be at least 2, got ${r.rank}.`);const s=r.shape,[a,o]=r.shape.slice(-2);if(!(t<=a))throw new Error(`bandPart(): numLower (${t}) must not be greater than the number of rows (${a}).`);if(!(n<=o))throw new Error(`bandPart(): numUpper (${n}) must not be greater than the number of columns (${o}).`);t<0&&(t=a),n<0&&(n=o);const i=it(0,a,1,"int32").reshape([-1,1]),u=it(0,o,1,"int32"),l=Wn(i,u),c=Ys(l.lessEqual(Je(+t,"int32")),l.greaterEqual(Je(-n,"int32"))),h=st([a,o],r.dtype);return Pt(zt(r.reshape([-1,a,o])).map(e=>ea(c,e,h))).reshape(s)}}),$i=Ke({gramSchmidt_:function(e){let t;if(Array.isArray(e)){t=!1,m(null!=e&&e.length>0,()=>"Gram-Schmidt process: input must not be null, undefined, or empty");const n=e[0].shape[0];for(let t=1;t<e.length;++t)m(e[t].shape[0]===n,()=>`Gram-Schmidt: Non-unique lengths found in the input vectors: (${e[t].shape[0]} vs. ${n})`)}else t=!0,e=Et(e,e.shape[0],0).map(e=>qt(e,[0]));m(e.length<=e[0].shape[0],()=>`Gram-Schmidt: Number of vectors (${e.length}) exceeds number of dimensions (${e[0].shape[0]}).`);const n=[],r=e;for(let t=0;t<e.length;++t)n.push(ve.tidy(()=>{let e=r[t];if(t>0)for(let r=0;r<t;++r){const t=kt(n[r].mulStrict(e)).mul(n[r]);e=e.sub(t)}return e.div(Ho(e,"euclidean"))}));return t?Pt(n,0):n}}),Ii=Ke({qr_:function(e,t=!1){if(e.rank<2)throw new Error("qr() requires input tensor to have a rank >= 2, but got rank "+e.rank);if(2===e.rank)return Si(e,t);{const n=e.shape.slice(0,e.shape.length-2).reduce((e,t)=>e*t),r=zt(e.reshape([n,e.shape[e.shape.length-2],e.shape[e.shape.length-1]]),0),s=[],a=[];return r.forEach(e=>{const[n,r]=Si(e,t);s.push(n),a.push(r)}),[Pt(s,0).reshape(e.shape),Pt(a,0).reshape(e.shape)]}}});var Ni=Object.freeze({__proto__:null,bandPart:Di,gramSchmidt:$i,qr:Ii});function Ai(e,t,n){const r=function(e,t,n){return function(e,t,n){let r=0,s=e.length,a=0,o=!1;for(;r<s;){a=r+(s-r>>>1);const i=n(t,e[a]);i>0?r=a+1:(s=a,o=!i)}return o?r:-r-1}(e,t,n||_i)}(e,t,n),s=r<0?-(r+1):r;e.splice(s,0,t)}function _i(e,t){return e>t?1:e<t?-1:0}function Fi(e,t,n,r,s){return Ti(e,t,n,r,s,0).selectedIndices}function Mi(e,t,n,r,s,a){const o=Ti(e,t,n,r,s,a,!0);return o.numValidOutputs.dispose(),{selectedIndices:o.selectedIndices,selectedScores:o.selectedScores}}function Ti(e,t,n,r,s,a,o=!1,i=!1){const u=Array.from(t).map((e,t)=>({score:e,boxIndex:t,suppressBeginIndex:0})).filter(e=>e.score>s).sort(Ci),l=a>0?-.5/a:0,c=[],h=[];for(;c.length<n&&u.length>0;){const t=u.pop(),{score:n,boxIndex:a,suppressBeginIndex:o}=t;if(n<s)break;let i=!1;for(let n=c.length-1;n>=o;--n){const o=Bi(e,a,c[n]);if(o>=r){i=!0;break}if(t.score=t.score*Ri(r,l,o),t.score<=s)break}t.suppressBeginIndex=c.length,i||(t.score===n?(c.push(a),h.push(t.score)):t.score>s&&Ai(u,t,Ci))}const d=c.length;return i&&(c.fill(0,d),h.fill(0,d)),{selectedIndices:Ye(c,"int32"),selectedScores:Ye(h,"float32"),numValidOutputs:Je(d,"int32")}}function Bi(e,t,n){const r=e.subarray(4*t,4*t+4),s=e.subarray(4*n,4*n+4),a=Math.min(r[0],r[2]),o=Math.min(r[1],r[3]),i=Math.max(r[0],r[2]),u=Math.max(r[1],r[3]),l=Math.min(s[0],s[2]),c=Math.min(s[1],s[3]),h=Math.max(s[0],s[2]),d=Math.max(s[1],s[3]),p=(i-a)*(u-o),f=(h-l)*(d-c);if(p<=0||f<=0)return 0;const m=Math.max(a,l),g=Math.max(o,c),b=Math.min(i,h),w=Math.min(u,d),y=Math.max(b-m,0)*Math.max(w-g,0);return y/(p+f-y)}function Ri(e,t,n){const r=Math.exp(t*n*n);return n<=e?r:0}function Ci(e,t){return e.score-t.score||e.score===t.score&&t.boxIndex-e.boxIndex}function qi(e,t,n,r,s,a){null==r&&(r=.5),null==s&&(s=Number.NEGATIVE_INFINITY),null==a&&(a=0);const o=e.shape[0];return n=Math.min(n,o),m(0<=r&&r<=1,()=>`iouThreshold must be in [0, 1], but was '${r}'`),m(2===e.rank,()=>`boxes must be a 2D tensor, but was of rank '${e.rank}'`),m(4===e.shape[1],()=>"boxes must have 4 columns, but 2nd dimension was "+e.shape[1]),m(1===t.rank,()=>"scores must be a 1D tensor"),m(t.shape[0]===o,()=>`scores has incompatible shape with boxes. Expected ${o}, but was `+t.shape[0]),m(0<=a&&a<=1,()=>`softNmsSigma must be in [0, 1], but was '${a}'`),{maxOutputSize:n,iouThreshold:r,scoreThreshold:s,softNmsSigma:a}}const Pi=Ke({resizeBilinear_:function(e,t,n=!1){const r=Fe(e,"images","resizeBilinear");m(3===r.rank||4===r.rank,()=>`Error in resizeBilinear: x must be rank 3 or 4, but got rank ${r.rank}.`),m(2===t.length,()=>"Error in resizeBilinear: new shape must 2D, but got shape "+t+".");let s=r,a=!1;3===r.rank&&(a=!0,s=r.as4D(1,r.shape[0],r.shape[1],r.shape[2]));const[o,i]=t,u=ve.runKernelFunc((e,t)=>(t([s]),e.resizeBilinear(s,o,i,n)),{x:s},(e,t)=>({x:()=>ve.runKernelFunc(r=>r.resizeBilinearBackprop(e,t[0],n),{})}),"ResizeBilinear",{alignCorners:n,newHeight:o,newWidth:i});return a?u.as3D(u.shape[1],u.shape[2],u.shape[3]):u}}),zi=Ke({resizeNearestNeighbor_:function(e,t,n=!1){const r=Fe(e,"images","resizeNearestNeighbor");m(3===r.rank||4===r.rank,()=>`Error in resizeNearestNeighbor: x must be rank 3 or 4, but got rank ${r.rank}.`),m(2===t.length,()=>"Error in resizeNearestNeighbor: new shape must 2D, but got shape "+t+"."),m("float32"===r.dtype||"int32"===r.dtype,()=>"`images` must have `int32` or `float32` as dtype");let s=r,a=!1;3===r.rank&&(a=!0,s=r.as4D(1,r.shape[0],r.shape[1],r.shape[2]));const[o,i]=t,u=ve.runKernelFunc((e,t)=>(t([s]),e.resizeNearestNeighbor(s,o,i,n)),{batchImages:s},(e,t)=>({batchImages:()=>ve.runKernelFunc(r=>r.resizeNearestNeighborBackprop(e,t[0],n),{})}));return a?u.as3D(u.shape[1],u.shape[2],u.shape[3]):u}}),Li=Ke({nonMaxSuppression_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const a=Fe(e,"boxes","nonMaxSuppression"),o=Fe(t,"scores","nonMaxSuppression"),i=qi(a,o,n,r,s);n=i.maxOutputSize,r=i.iouThreshold,s=i.scoreThreshold;const u={maxOutputSize:n,iouThreshold:r,scoreThreshold:s};return ve.runKernelFunc(e=>e.nonMaxSuppression(a,o,n,r,s),{boxes:a,scores:o},null,"NonMaxSuppressionV3",u)}}),Oi=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY){const a=Fe(e,"boxes","nonMaxSuppressionAsync"),o=Fe(t,"scores","nonMaxSuppressionAsync"),i=qi(a,o,n,r,s);n=i.maxOutputSize,r=i.iouThreshold,s=i.scoreThreshold;const u=await Promise.all([a.data(),o.data()]),l=Fi(u[0],u[1],n,r,s);return a!==e&&a.dispose(),o!==t&&o.dispose(),l},Wi=Ke({nonMaxSuppressionWithScore_:function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,a=0){const o=Fe(e,"boxes","nonMaxSuppression"),i=Fe(t,"scores","nonMaxSuppression"),u=qi(o,i,n,r,s,a),l={maxOutputSize:n=u.maxOutputSize,iouThreshold:r=u.iouThreshold,scoreThreshold:s=u.scoreThreshold,softNmsSigma:a=u.softNmsSigma},c=ve.runKernel("NonMaxSuppressionV5",{boxes:o,scores:i},l);return{selectedIndices:c[0],selectedScores:c[1]}}}),Ki=async function(e,t,n,r=.5,s=Number.NEGATIVE_INFINITY,a=0){const o=Fe(e,"boxes","nonMaxSuppressionAsync"),i=Fe(t,"scores","nonMaxSuppressionAsync"),u=qi(o,i,n,r,s,a);n=u.maxOutputSize,r=u.iouThreshold,s=u.scoreThreshold,a=u.softNmsSigma;const l=await Promise.all([o.data(),i.data()]),c=Mi(l[0],l[1],n,r,s,a);return o!==e&&o.dispose(),i!==t&&i.dispose(),c},Hi=Ke({cropAndResize_:function(e,t,n,r,s,a){const o=Fe(e,"image","cropAndResize"),i=Fe(t,"boxes","cropAndResize","float32"),u=Fe(n,"boxInd","cropAndResize","int32");s=s||"bilinear",a=a||0;const l=i.shape[0];return m(4===o.rank,()=>`Error in cropAndResize: image must be rank 4,but got rank ${o.rank}.`),m(2===i.rank&&4===i.shape[1],()=>`Error in cropAndResize: boxes must be have size [${l},4] but had shape ${i.shape}.`),m(1===u.rank&&u.shape[0]===l,()=>`Error in cropAndResize: boxInd must be have size [${l}] but had shape ${i.shape}.`),m(2===r.length,()=>`Error in cropAndResize: cropSize must be of length 2, but got length ${r.length}.`),m(r[0]>=1&&r[1]>=1,()=>"cropSize must be atleast [1,1], but was "+r),m("bilinear"===s||"nearest"===s,()=>"method must be bilinear or nearest, but was "+s),ve.runKernelFunc((e,t)=>e.cropAndResize(o,i,u,r,s,a),{images:o,boxes:i,boxInd:u},null,"CropAndResize",{method:s,extrapolationValue:a,cropSize:r})}});var Gi=Object.freeze({__proto__:null,resizeBilinear:Pi,resizeNearestNeighbor:zi,nonMaxSuppression:Li,nonMaxSuppressionAsync:Oi,nonMaxSuppressionWithScore:Wi,nonMaxSuppressionWithScoreAsync:Ki,cropAndResize:Hi});const Ui=(e,t)=>!(e>0)||"linear"===t,ji=(e,t,n)=>{if(null==n||"linear"===n)return e;if("relu"===n)return e.mul(t.step());throw new Error(`Gradient for activation ${n} has not been implemented yet.`)},Vi=(e,t)=>{let n=t;const r=De(e.shape,t.shape);return r.length>0&&(n=n.sum(r)),n.reshape(e.shape)},Ji=(e,t,n)=>{if("linear"===t)return e;if("relu"===t)return Po(e);if("elu"===t)return Ro(e);if("relu6"===t)return zo(e);if("prelu"===t)return qo(e,n);throw new Error(`Unknown fused activation ${t}.`)};const Yi=Ke({fusedMatMul_:function({a:e,b:t,transposeA:n=!1,transposeB:r=!1,bias:s,activation:a="linear",preluActivationWeights:o}){if(!1===Ui(ve.state.gradientDepth,a)){let i=yo(e,t,n,r);return null!=s&&(i=Ot(i,s)),Ji(i,a,o)}let i=Fe(e,"a","fused matMul"),u=Fe(t,"b","fused matMul");[i,u]=me(i,u);const l=n?i.shape[i.rank-2]:i.shape[i.rank-1],c=r?u.shape[u.rank-1]:u.shape[u.rank-2],h=n?i.shape[i.rank-1]:i.shape[i.rank-2],d=r?u.shape[u.rank-2]:u.shape[u.rank-1],p=i.shape.slice(0,-2),f=u.shape.slice(0,-2),g=y(p),b=y(f);m(i.rank>=2&&u.rank>=2&&i.rank===u.rank,()=>`Error in fused matMul: inputs must have the same rank of at least 2, got ranks ${i.rank} and ${u.rank}.`),m(k(p,f),()=>`Error in fused matMul: outer dimensions (${p}) and (${f}) of Tensors with shapes ${i.shape} and `+u.shape+" must match."),m(l===c,()=>`Error in fused matMul: inner shapes (${l}) and (${c}) of Tensors with shapes ${i.shape} and ${u.shape} and transposeA=${n} and transposeB=${r} must match.`);const w=i.shape.slice(0,-2).concat([h,d]),v=n?i.as3D(g,l,h):i.as3D(g,h,l),x=r?u.as3D(b,d,c):u.as3D(b,c,d);let E,S;null!=s&&(E=Fe(s,"bias","fused matMul"),[E]=me(E,i),$e(w,E.shape)),null!=o&&(S=Fe(o,"prelu weights","fused matMul"));const D={a:v,b:x};null!=s&&(D.bias=E),null!=o&&(D.preluActivationWeights=S);const $=[v,x];return ve.runKernelFunc((e,t)=>{const s=e.fusedBatchMatMul({a:v,b:x,transposeA:n,transposeB:r,bias:E,activation:a,preluActivationWeights:S});return t([v,x,s]),s},D,(e,t)=>{const[o,i,u]=t,l=ji(e,u,a);let c={};return null!=s&&(c={bias:()=>Vi(E,l)}),n||r?!n&&r?Object.assign({a:()=>l.matMul(i,!1,!1),b:()=>l.matMul(o,!0,!1)},c):n&&!r?Object.assign({a:()=>i.matMul(l,!1,!0),b:()=>o.matMul(l,!1,!1)},c):Object.assign({a:()=>i.matMul(l,!0,!0),b:()=>l.matMul(o,!0,!0)},c):Object.assign({a:()=>l.matMul(i,!1,!0),b:()=>o.matMul(l,!0,!1)},c)},"_FusedMatMul",{transposeA:n,transposeB:r,activation:a},$,[!0]).reshape(w)}}),Xi=Ke({fusedConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:a=[1,1],dimRoundingMode:o,bias:i,activation:u="linear",preluActivationWeights:l}){if(u=u||"linear",!1===Ui(ve.state.gradientDepth,u)){let c=uo(e,t,n,r,s,a,o);return null!=i&&(c=Ot(c,i)),Ji(c,u,l)}const c=Fe(e,"x","conv2d"),h=Fe(t,"filter","conv2d");let d=c,p=!1;3===c.rank&&(p=!0,d=c.as4D(1,c.shape[0],c.shape[1],c.shape[2])),m(4===d.rank,()=>"Error in fused conv2d: input must be rank 4, but got rank "+d.rank+"."),m(4===h.rank,()=>"Error in fused conv2d: filter must be rank 4, but got rank "+h.rank+"."),null!=o&&m(v(r),()=>`Error in fused conv2d: pad must be an integer when using, dimRoundingMode ${o} but got pad ${r}.`),m(d.shape[3]===h.shape[2],()=>`Error in conv2d: depth of input (${d.shape[3]}) must match input depth for filter ${h.shape[2]}.`),m(no(n,a),()=>`Error in conv2D: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),m("NHWC"===s,()=>`Error in conv2d: got dataFormat of ${s} but only NHWC is currently supported.`);const f=Va(d.shape,h.shape,n,a,r,o);let g,b;null!=i&&(g=Fe(i,"bias","fused conv2d"),[g]=me(g,c),$e(f.outShape,g.shape)),null!=l&&(b=Fe(l,"prelu weights","fused conv2d"));const w={x:d,filter:h};null!=i&&(w.bias=g),null!=l&&(w.preluActivationWeights=b);const y=[h,d],k=ve.runKernelFunc((e,t)=>{const n=e.fusedConv2d({input:d,filter:h,convInfo:f,bias:g,activation:u,preluActivationWeights:b});return t([h,d,n]),n},w,(e,t)=>{const[s,o,l]=t,c=ji(e,l,u);m(to(a),()=>`Error in gradient of fused conv2D: dilation rates greater than 1 are not yet supported in gradients. Got dilations '${a}'`);let h={};return null!=i&&(h={bias:()=>Vi(g,c)}),Object.assign({x:()=>ho(o.shape,c,s,n,r),filter:()=>co(o,c,s.shape,n,r)},h)},"FusedConv2D",{convInfo:f,activation:u},y,[!0]);return p?k.as3D(k.shape[1],k.shape[2],k.shape[3]):k}}),Zi=Ke({fusedDepthwiseConv2d_:function({x:e,filter:t,strides:n,pad:r,dataFormat:s="NHWC",dilations:a=[1,1],dimRoundingMode:o,bias:i,activation:u="linear",preluActivationWeights:l}){if(!1===Ui(ve.state.gradientDepth,u)){let c=po(e,t,n,r,s,a,o);return null!=i&&(c=Ot(c,i)),Ji(c,u,l)}const c=Fe(e,"x","depthwiseConv2d"),h=Fe(t,"filter","depthwiseConv2d");let d=c,p=!1;3===c.rank&&(p=!0,d=c.as4D(1,c.shape[0],c.shape[1],c.shape[2])),m(4===d.rank,()=>`Error in fused depthwiseConv2d: input must be rank 4, but got rank ${d.rank}.`),m(4===h.rank,()=>`Error in fused depthwiseConv2d: filter must be rank 4, but got rank ${h.rank}.`),m(d.shape[3]===h.shape[2],()=>`Error in fused depthwiseConv2d: number of input channels (${d.shape[3]}) must match the inChannels dimension in filter ${h.shape[2]}.`),null==a&&(a=[1,1]),m(no(n,a),()=>`Error in fused depthwiseConv2d: Either strides or dilations must be 1. Got strides ${n} and dilations '${a}'`),null!=o&&m(v(r),()=>`Error in fused depthwiseConv2d: pad must be an integer when using dimRoundingMode ${o} but got pad ${r}.`);const f=Va(d.shape,h.shape,n,a,r,o,!0);let g,b;null!=i&&(g=Fe(i,"bias","fused conv2d"),[g]=me(g,c),$e(f.outShape,g.shape)),null!=l&&(b=Fe(l,"prelu weights","fused depthwiseConv2d"));const w={x:d,filter:h};null!=i&&(w.bias=g),null!=l&&(w.preluActivationWeights=b);const y=[h,d],k=ve.runKernelFunc((e,t)=>{const n=e.fusedDepthwiseConv2D({input:d,filter:h,convInfo:f,bias:g,activation:u,preluActivationWeights:b});return t([h,d,n]),n},w,(e,t)=>{m(to(a),()=>`Error in gradient of fused depthwiseConv2d: dilation rates greater than 1 are not yet supported. Got dilations '${a}'`);const[n,r,s]=t,o=ji(e,s,u);let l={};return null!=i&&(l={bias:()=>Vi(g,o)}),Object.assign({x:()=>fo(r.shape,o,n,f),filter:()=>mo(r,o,n.shape,f)},l)},"FusedDepthwiseConv2D",{convInfo:f,activation:u},y,[!0]);return p?k.as3D(k.shape[1],k.shape[2],k.shape[3]):k}});var Qi=Object.freeze({__proto__:null,matMul:Yi,conv2d:Xi,depthwiseConv2d:Zi}),eu=Object.freeze({__proto__:null,image:Gi,linalg:Ni,losses:Ei,spectral:ti,fused:Qi,signal:hi,add:Ot,addN:Ns,batchNorm:Ts,batchNormalization:Ms,batchNorm2d:Cs,batchNormalization2d:Rs,batchNorm3d:zs,batchNormalization3d:Ps,batchNorm4d:Ws,batchNormalization4d:Os,broadcastTo:Hs,clone:Ks,concat:It,concat1d:Gs,concat2d:Us,concat3d:js,concat4d:Vs,div:zn,divNoNan:na,eye:ra,multinomial:sa,notEqual:aa,oneHot:ss,pad:Zn,pad1d:oa,pad2d:ia,pad3d:ua,pad4d:la,rand:ca,randomGamma:Ea,randomNormal:Sa,randomUniform:Da,split:Et,square:Ln,squaredDifference:$a,sub:Wn,tile:Kn,truncatedNormal:Ia,conv1d:io,conv2d:uo,conv3d:lo,depthwiseConv2d:po,separableConv2d:go,conv2dTranspose:bo,conv3dTranspose:wo,op:Ke,booleanMaskAsync:Ga,complex:He,real:Ge,imag:Ue,matMul:yo,dot:ko,outerProduct:vo,reverse:xo,reverse1d:Eo,reverse2d:So,reverse3d:Do,reverse4d:$o,maxPool:Ao,avgPool:_o,pool:Fo,maxPool3d:Mo,avgPool3d:To,maxPoolWithArgmax:Bo,slice:ar,slice1d:or,slice2d:ir,slice3d:ur,slice4d:lr,abs:Wt,acos:Kt,acosh:Ht,asin:Gt,asinh:Ut,atan:jt,atanh:Vt,ceil:Jt,clipByValue:Yt,cos:Xt,cosh:Zt,erf:Qt,exp:en,expm1:tn,floor:nn,log:rn,log1p:sn,logSigmoid:an,neg:on,reciprocal:un,round:ln,rsqrt:cn,sigmoid:hn,sign:dn,isNaN:pn,isInf:fn,isFinite:mn,sin:gn,sinh:bn,softplus:wn,sqrt:yn,step:kn,tan:vn,tanh:xn,all:ht,any:dt,argMax:pt,argMin:ft,logSumExp:mt,max:gt,mean:bt,min:wt,moments:yt,sum:kt,prod:vt,equal:Na,equalStrict:Aa,greater:_a,greaterEqual:Fa,greaterEqualStrict:Ma,greaterStrict:Ta,less:Ba,lessEqual:Ra,lessEqualStrict:Ca,lessStrict:qa,notEqualStrict:Pa,addStrict:En,atan2:Sn,divStrict:Dn,floorDiv:$n,maximum:In,maximumStrict:Nn,minimum:An,minimumStrict:_n,mod:Fn,modStrict:Mn,mul:Tn,mulStrict:Bn,pow:Rn,powStrict:Cn,squaredDifferenceStrict:qn,subStrict:Pn,elu:Ro,leakyRelu:Co,prelu:qo,relu:Po,relu6:zo,selu:Lo,logicalAnd:Ys,logicalNot:Xs,logicalOr:Zs,logicalXor:Qs,where:ea,whereAsync:ta,buffer:Nt,print:At,batchToSpaceND:_t,cast:Ft,cumsum:Mt,depthToSpace:Tt,expandDims:Bt,reshape:Rt,spaceToBatchND:Ct,squeeze:qt,stack:Pt,unstack:zt,setdiff1dAsync:Lt,fill:at,linspace:ot,ones:rt,range:it,scalar:Je,tensor:je,tensor1d:Ye,tensor2d:Xe,tensor3d:Ze,tensor4d:Qe,tensor5d:et,tensor6d:tt,variable:nt,zeros:st,onesLike:ut,zerosLike:lt,transpose:hr,softmax:Oo,logSoftmax:Wo,localResponseNormalization:Ko,norm:Ho,gather:Ka,unsortedSegmentSum:Ha,basicLSTMCell:Go,multiRNNCell:Uo,movingAverage:jo,stridedSlice:Vo,topk:Jo,scatterND:Yo,fft:Xo,ifft:Zo,rfft:Qo,irfft:ei,sparseToDense:ni,gatherND:ri,diag:si,dropout:ai,hannWindow:ii,hammingWindow:ui,frame:li,stft:ci,inTopKAsync:di});class tu extends gs{minimize(e,t=!1,n){const{value:r,grads:s}=this.computeGradients(e,n);if(null!=n){const e=n.map(e=>({name:e.name,tensor:s[e.name]}));this.applyGradients(e)}else this.applyGradients(s);return $s(s),t?r:(r.dispose(),null)}get iterations(){return null==this.iterations_&&(this.iterations_=0),this.iterations_}incrementIterations(){this.iterations_=this.iterations+1}computeGradients(e,t){return Te(e,t)}dispose(){null!=this.iterations_&&$s(this.iterations_)}async saveIterations(){return null==this.iterations_&&(this.iterations_=0),{name:"iter",tensor:Je(this.iterations_,"int32")}}async getWeights(){throw new Error("getWeights() is not implemented for this optimizer yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for this optimizer class "+this.getClassName())}async extractIterations(e){return this.iterations_=(await e[0].tensor.data())[0],e.slice(1)}}Object.defineProperty(tu,Symbol.hasInstance,{value:e=>null!=e.minimize&&null!=e.computeGradients&&null!=e.applyGradients});class nu extends tu{constructor(e,t,n=null){super(),this.learningRate=e,this.rho=t,this.epsilon=n,this.accumulatedGrads=[],this.accumulatedUpdates=[],null==n&&(this.epsilon=ve.backend.epsilon())}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ve.registeredVariables[t];null==this.accumulatedGrads[n]&&(this.accumulatedGrads[n]={originalName:t+"/accum_grad",variable:Ds(()=>lt(r).variable(!1))}),null==this.accumulatedUpdates[n]&&(this.accumulatedUpdates[n]={originalName:t+"/accum_var",variable:Ds(()=>lt(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const a=this.accumulatedGrads[n].variable,o=this.accumulatedUpdates[n].variable;Ds(()=>{const e=a.mul(this.rho).add(s.square().mul(1-this.rho)),t=o.add(this.epsilon).sqrt().div(a.add(this.epsilon).sqrt()).mul(s),n=o.mul(this.rho).add(t.square().mul(1-this.rho));a.assign(e),o.assign(n);const i=t.mul(-this.learningRate).add(r);r.assign(i)})}),this.incrementIterations()}dispose(){null!=this.accumulatedUpdates&&($s(this.accumulatedGrads.map(e=>e.variable)),$s(this.accumulatedUpdates.map(e=>e.variable)))}async getWeights(){const e=[...this.accumulatedGrads,...this.accumulatedUpdates];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){const t=(e=await this.extractIterations(e)).length/2;this.accumulatedGrads=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedUpdates=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,rho:this.rho,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.rho,t.epsilon)}}nu.className="Adadelta",ws(nu);class ru extends tu{constructor(e,t=.1){super(),this.learningRate=e,this.initialAccumulatorValue=t,this.accumulatedGrads=[]}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ve.registeredVariables[t];if(null==this.accumulatedGrads[n]){const e=!1;this.accumulatedGrads[n]={originalName:t+"/accumulator",variable:Ds(()=>at(r.shape,this.initialAccumulatorValue).variable(e))}}const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const a=this.accumulatedGrads[n].variable;Ds(()=>{const e=a.add(s.square());a.assign(e);const t=s.div(e.add(ve.backend.epsilon()).sqrt()).mul(-this.learningRate).add(r);r.assign(t)})}),this.incrementIterations()}dispose(){null!=this.accumulatedGrads&&$s(this.accumulatedGrads.map(e=>e.variable))}async getWeights(){return[await this.saveIterations()].concat(this.accumulatedGrads.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulatedGrads=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,initialAccumulatorValue:this.initialAccumulatorValue}}static fromConfig(e,t){return new e(t.learningRate,t.initialAccumulatorValue)}}ru.className="Adagrad",ws(ru);class su extends tu{constructor(e,t,n,r=null){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.accumulatedFirstMoment=[],this.accumulatedSecondMoment=[],Ds(()=>{this.accBeta1=Je(t).variable(),this.accBeta2=Je(n).variable()}),null==r&&(this.epsilon=ve.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);Ds(()=>{const n=Wn(1,this.accBeta1),r=Wn(1,this.accBeta2);t.forEach((t,s)=>{const a=ve.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:Ds(()=>lt(a).variable(!1))}),null==this.accumulatedSecondMoment[s]&&(this.accumulatedSecondMoment[s]={originalName:t+"/v",variable:Ds(()=>lt(a).variable(!1))});const o=Array.isArray(e)?e[s].tensor:e[t];if(null==o)return;const i=this.accumulatedFirstMoment[s].variable,u=this.accumulatedSecondMoment[s].variable,l=i.mul(this.beta1).add(o.mul(1-this.beta1)),c=u.mul(this.beta2).add(o.square().mul(1-this.beta2)),h=l.div(n),d=c.div(r);i.assign(l),u.assign(c);const p=h.div(d.sqrt().add(this.epsilon)).mul(-this.learningRate).add(a);a.assign(p)}),this.accBeta1.assign(this.accBeta1.mul(this.beta1)),this.accBeta2.assign(this.accBeta2.mul(this.beta2))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.accBeta2.dispose(),null!=this.accumulatedFirstMoment&&$s(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedSecondMoment&&$s(this.accumulatedSecondMoment.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedFirstMoment,...this.accumulatedSecondMoment];return[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e),Ds(()=>{this.accBeta1.assign(Rn(this.beta1,this.iterations_+1)),this.accBeta2.assign(Rn(this.beta2,this.iterations_+1))});const t=e.length/2;this.accumulatedFirstMoment=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedSecondMoment=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon)}}su.className="Adam",ws(su);class au extends tu{constructor(e,t,n,r=null,s=0){super(),this.learningRate=e,this.beta1=t,this.beta2=n,this.epsilon=r,this.decay=s,this.accumulatedFirstMoment=[],this.accumulatedWeightedInfNorm=[],Ds(()=>{this.iteration=Je(0).variable(),this.accBeta1=Je(t).variable()}),null==r&&(this.epsilon=ve.backend.epsilon())}applyGradients(e){const t=Array.isArray(e)?e.map(e=>e.name):Object.keys(e);Ds(()=>{const n=Wn(1,this.accBeta1),r=zn(-this.learningRate,this.iteration.mul(this.decay).add(1));t.forEach((t,s)=>{const a=ve.registeredVariables[t];null==this.accumulatedFirstMoment[s]&&(this.accumulatedFirstMoment[s]={originalName:t+"/m",variable:lt(a).variable(!1)}),null==this.accumulatedWeightedInfNorm[s]&&(this.accumulatedWeightedInfNorm[s]={originalName:t+"/v",variable:lt(a).variable(!1)});const o=Array.isArray(e)?e[s].tensor:e[t];if(null==o)return;const i=this.accumulatedFirstMoment[s].variable,u=this.accumulatedWeightedInfNorm[s].variable,l=i.mul(this.beta1).add(o.mul(1-this.beta1)),c=u.mul(this.beta2),h=o.abs(),d=c.maximum(h);i.assign(l),u.assign(d);const p=r.div(n).mul(l.div(d.add(this.epsilon))).add(a);a.assign(p)}),this.iteration.assign(this.iteration.add(1)),this.accBeta1.assign(this.accBeta1.mul(this.beta1))}),this.incrementIterations()}dispose(){this.accBeta1.dispose(),this.iteration.dispose(),null!=this.accumulatedFirstMoment&&$s(this.accumulatedFirstMoment.map(e=>e.variable)),null!=this.accumulatedWeightedInfNorm&&$s(this.accumulatedWeightedInfNorm.map(e=>e.variable))}async getWeights(){throw new Error("getWeights() is not implemented for Adamax yet.")}async setWeights(e){throw new Error("setWeights() is not implemented for Adamax yet.")}getConfig(){return{learningRate:this.learningRate,beta1:this.beta1,beta2:this.beta2,epsilon:this.epsilon,decay:this.decay}}static fromConfig(e,t){return new e(t.learningRate,t.beta1,t.beta2,t.epsilon,t.decay)}}au.className="Adamax",ws(au);class ou extends tu{constructor(e){super(),this.learningRate=e,this.setLearningRate(e)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=Array.isArray(e)?e[n].tensor:e[t];if(null==r)return;const s=ve.registeredVariables[t];Ds(()=>{const e=this.c.mul(r).add(s);s.assign(e)})}),this.incrementIterations()}setLearningRate(e){this.learningRate=e,null!=this.c&&this.c.dispose(),this.c=Is(Je(-e))}dispose(){this.c.dispose()}async getWeights(){return[await this.saveIterations()]}async setWeights(e){if(0!==(e=await this.extractIterations(e)).length)throw new Error("SGD optimizer does not have settable weights.")}getConfig(){return{learningRate:this.learningRate}}static fromConfig(e,t){return new e(t.learningRate)}}ou.className="SGD",ws(ou);class iu extends ou{constructor(e,t,n=!1){super(e),this.learningRate=e,this.momentum=t,this.useNesterov=n,this.accumulations=[],this.m=Je(this.momentum)}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ve.registeredVariables[t];if(null==this.accumulations[n]){const e=!1;this.accumulations[n]={originalName:t+"/momentum",variable:Ds(()=>lt(r).variable(e))}}const s=this.accumulations[n].variable,a=Array.isArray(e)?e[n].tensor:e[t];null!=a&&Ds(()=>{let e;const t=this.m.mul(s).add(a);e=this.useNesterov?this.c.mul(a.add(t.mul(this.m))).add(r):this.c.mul(t).add(r),s.assign(t),r.assign(e)})}),this.incrementIterations()}dispose(){this.m.dispose(),null!=this.accumulations&&$s(this.accumulations.map(e=>e.variable))}setMomentum(e){this.momentum=e}async getWeights(){return[await this.saveIterations()].concat(this.accumulations.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);this.accumulations=e.map(e=>({originalName:e.name,variable:e.tensor.variable(!1)}))}getConfig(){return{learningRate:this.learningRate,momentum:this.momentum,useNesterov:this.useNesterov}}static fromConfig(e,t){return new e(t.learningRate,t.momentum,t.useNesterov)}}iu.className="Momentum",ws(iu);class uu extends tu{constructor(e,t=.9,n=0,r=null,s=!1){if(super(),this.learningRate=e,this.decay=t,this.momentum=n,this.epsilon=r,this.accumulatedMeanSquares=[],this.accumulatedMoments=[],this.accumulatedMeanGrads=[],this.centered=s,null==r&&(this.epsilon=ve.backend.epsilon()),null==e)throw new Error("learningRate for RMSPropOptimizer must be defined.")}applyGradients(e){(Array.isArray(e)?e.map(e=>e.name):Object.keys(e)).forEach((t,n)=>{const r=ve.registeredVariables[t];null==this.accumulatedMeanSquares[n]&&(this.accumulatedMeanSquares[n]={originalName:t+"/rms",variable:Ds(()=>lt(r).variable(!1))}),null==this.accumulatedMoments[n]&&(this.accumulatedMoments[n]={originalName:t+"/momentum",variable:Ds(()=>lt(r).variable(!1))}),null==this.accumulatedMeanGrads[n]&&this.centered&&(this.accumulatedMeanGrads[n]={originalName:t+"/mg",variable:Ds(()=>lt(r).variable(!1))});const s=Array.isArray(e)?e[n].tensor:e[t];if(null==s)return;const a=this.accumulatedMeanSquares[n].variable,o=this.accumulatedMoments[n].variable;Ds(()=>{const e=a.mul(this.decay).add(s.square().mul(1-this.decay));if(this.centered){const t=this.accumulatedMeanGrads[n].variable,i=t.mul(this.decay).add(s.mul(1-this.decay)),u=o.mul(this.momentum).add(s.mul(this.learningRate).div(e.sub(i.square().add(this.epsilon)).sqrt()));a.assign(e),t.assign(i),o.assign(u);const l=r.sub(u);r.assign(l)}else{const e=a.mul(this.decay).add(s.square().mul(1-this.decay)),t=o.mul(this.momentum).add(s.mul(this.learningRate).div(e.add(this.epsilon).sqrt()));a.assign(e),o.assign(t);const n=r.sub(t);r.assign(n)}})}),this.incrementIterations()}dispose(){null!=this.accumulatedMeanSquares&&$s(this.accumulatedMeanSquares.map(e=>e.variable)),null!=this.accumulatedMeanGrads&&this.centered&&$s(this.accumulatedMeanGrads.map(e=>e.variable)),null!=this.accumulatedMoments&&$s(this.accumulatedMoments.map(e=>e.variable))}async getWeights(){const e=[...this.accumulatedMeanSquares,...this.accumulatedMoments];return this.centered&&e.push(...this.accumulatedMeanGrads),[await this.saveIterations()].concat(e.map(e=>({name:e.originalName,tensor:e.variable})))}async setWeights(e){e=await this.extractIterations(e);const t=this.centered?e.length/3:e.length/2;this.accumulatedMeanSquares=e.slice(0,t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.accumulatedMoments=e.slice(t,2*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})),this.centered&&(this.accumulatedMeanGrads=e.slice(2*t,3*t).map(e=>({originalName:e.name,variable:e.tensor.variable(!1)})))}getConfig(){return{learningRate:this.learningRate,decay:this.decay,momentum:this.momentum,epsilon:this.epsilon,centered:this.centered}}static fromConfig(e,t){return new e(t.learningRate,t.decay,t.momentum,t.epsilon,t.centered)}}uu.className="RMSProp",ws(uu);class lu{static sgd(e){return new ou(e)}static momentum(e,t,n=!1){return new iu(e,t,n)}static rmsprop(e,t=.9,n=0,r=null,s=!1){return new uu(e,t,n,r,s)}static adam(e=.001,t=.9,n=.999,r=null){return new su(e,t,n,r)}static adadelta(e=.001,t=.95,n=null){return new nu(e,t,n)}static adamax(e=.002,t=.9,n=.999,r=null,s=0){return new au(e,t,n,r,s)}static adagrad(e,t=.1){return new ru(e,t)}}const cu={sgd:lu.sgd,momentum:lu.momentum,adadelta:lu.adadelta,adagrad:lu.adagrad,rmsprop:lu.rmsprop,adamax:lu.adamax,adam:lu.adam},hu="undefined"!=typeof requestAnimationFrame?requestAnimationFrame:"undefined"!=typeof setImmediate?setImmediate:e=>e();var du=Object.freeze({__proto__:null,segment_util:La,castTensor:function(e,t,n){if("complex64"===t){if("complex64"===e.dtype)return e.clone();const t=st(e.shape),r=e.toFloat(),s=n.complex(r,t);return t.dispose(),r.dispose(),s}if(!_(e.dtype,t))return ve.makeTensorFromDataId(e.dataId,e.shape,t);if("complex64"===e.dtype){const r=n.real(e),s=r.cast(t);return r.dispose(),s}if("int32"===t)return n.int(e);if("bool"===t){const t=Je(0,e.dtype),r=n.notEqual(e,t);return t.dispose(),r}throw new Error(`Error in Cast: failed to cast ${e.dtype} to ${t}`)},reshapeTensor:function(e,t){return ve.makeTensorFromDataId(e.dataId,t,e.dtype)},linspaceImpl:function(e,t,n){const r=(t-e)/(n-1),s=H(n,"float32");s[0]=e;for(let e=1;e<s.length;e++)s[e]=s[e-1]+r;return Ye(s,"float32")},upcastType:fe,axesAreInnerMostDims:Ce,combineLocations:qe,computeOutAndReduceShapes:Pe,expandShapeToKeepDim:ze,assertAxesAreInnerMostDims:function(e,t,n){m(Ce(t,n),()=>e+" supports only inner-most axes for now. "+`Got axes ${t} and rank-${n} input.`)},getAxesPermutation:Le,getUndoAxesPermutation:Oe,getInnerMostAxes:We,getBroadcastDims:function(e,t){const n=e.length,r=[];for(let s=0;s<n;s++){const a=n-1-s,o=e[a]||1;(t[t.length-1-s]||1)>1&&1===o&&r.unshift(a)}return r},getReductionAxes:De,assertAndGetBroadcastShape:$e,assertParamsConsistent:Dt,computeOutShape:$t,computePool2DInfo:Ua,computePool3DInfo:ja,computeConv2DInfo:Va,computeConv3DInfo:Ja,computeDefaultPad:Ya,tupleValuesAreOne:to,eitherStridesOrDilationsAreOne:no,convertConv2DDataFormat:ro,PARALLELIZE_THRESHOLD:30,computeOptimalWindowSize:function(e){return e<=30?e:z(e,Math.floor(Math.sqrt(e)))},getReshaped:function(e,t,n,r=!0){let s=[];if(r)s=s.concat(t.slice(0)),s.push(e[0]/n),s=s.concat(e.slice(1));else{s=s.concat(e[0]);const n=t.length;for(let r=0;r<n;++r)s=s.concat([e[r+1]/t[r],t[r]]);s=s.concat(e.slice(n+1))}return s},getPermuted:function(e,t,n=!0){const r=[];if(n){r.push(t);for(let n=t+1;n<e;++n)n<=2*t?(r.push(n),r.push(n-(t+1))):r.push(n)}else{const n=[],s=[];for(let r=1;r<e;++r)r>=2*t+1||r%2==1?s.push(r):n.push(r);r.push(...n),r.push(0),r.push(...s)}return r},getReshapedPermuted:function(e,t,n,r=!0){const s=[];r?s.push(e[0]/n):s.push(e[0]*n);for(let n=1;n<e.length;++n)n<=t.length?r?s.push(t[n-1]*e[n]):s.push(e[n]/t[n-1]):s.push(e[n]);return s},getSliceBeginCoords:function(e,t){const n=[0];for(let r=0;r<t;++r)n.push(e[r][0]);return n},getSliceSize:function(e,t,n){const r=e.slice(0,1);for(let s=0;s<n;++s)r.push(e[s+1]-t[s][0]-t[s][1]);return r},prepareAndValidate:cs,validateUpdateShape:ds,validateInput:ps,calculateShapes:fs,SELU_SCALEALPHA:1.7580993408473768,SELU_SCALE:1.0507009873554805,shouldFuse:Ui,ERF_P:.3275911,ERF_A1:.254829592,ERF_A2:-.284496736,ERF_A3:1.421413741,ERF_A4:-1.453152027,ERF_A5:1.061405429,warn:function(...e){n().getBool("IS_TEST")||console.warn(...e)},log:function(...e){n().getBool("IS_TEST")||console.log(...e)},mergeRealAndImagArrays:function(e,t){if(e.length!==t.length)throw new Error(`Cannot merge real and imag arrays of different lengths. real:${e.length}, imag: ${t.length}.`);const n=new Float32Array(2*e.length);for(let r=0;r<n.length;r+=2)n[r]=e[r/2],n[r+1]=t[r/2];return n},splitRealAndImagArrays:function(e){const t=new Float32Array(e.length/2),n=new Float32Array(e.length/2);for(let r=0;r<e.length;r+=2)t[r/2]=e[r],n[r/2]=e[r+1];return{real:t,imag:n}},complexWithEvenIndex:function(e){const t=Math.ceil(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=0;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},complexWithOddIndex:function(e){const t=Math.floor(e.length/4),n=new Float32Array(t),r=new Float32Array(t);for(let t=2;t<e.length;t+=4)n[Math.floor(t/4)]=e[t],r[Math.floor(t/4)]=e[t+1];return{real:n,imag:r}},getComplexWithIndex:function(e,t){return{real:e[2*t],imag:e[2*t+1]}},assignToTypedArray:function(e,t,n,r){e[2*r]=t,e[2*r+1]=n},exponents:function(e,t){const n=new Float32Array(e/2),r=new Float32Array(e/2);for(let s=0;s<Math.ceil(e/2);s++){const a=(t?2:-2)*Math.PI*(s/e);n[s]=Math.cos(a),r[s]=Math.sin(a)}return{real:n,imag:r}},exponent:function(e,t,n){const r=(n?2:-2)*Math.PI*(e/t);return{real:Math.cos(r),imag:Math.sin(r)}}});var pu=Object.freeze({__proto__:null,nonMaxSuppressionV3:Fi,nonMaxSuppressionV5:Mi,split:function(e,t,n){const r=new Array(e.rank).fill(0),s=e.shape.slice();return t.map(t=>{s[n]=t;const a=e.slice(r,s);return r[n]+=t,a})},tile:function(e,t){const n=new Array(e.rank);for(let r=0;r<n.length;r++)n[r]=e.shape[r]*t[r];const r=Nt(n,e.dtype);for(let t=0;t<r.values.length;++t){const n=r.indexToLoc(t),s=new Array(e.rank);for(let t=0;t<s.length;t++)s[t]=n[t]%e.shape[t];const a=e.locToIndex(s);r.values[t]=e.values[a]}return r.toTensor()},topkImpl:function(e,t,n,r,s){const a=t[t.length-1],[o,i]=[e.length/a,a],u=$(n,o*r),l=$("int32",o*r);for(let t=0;t<o;t++){const n=t*i,s=e.subarray(n,n+i),a=[];for(let e=0;e<s.length;e++)a.push({value:s[e],index:e});a.sort((e,t)=>t.value-e.value);const o=t*r,c=u.subarray(o,o+r),h=l.subarray(o,o+r);for(let e=0;e<r;e++)c[e]=a[e].value,h[e]=a[e].index}const c=t.slice();return c[c.length-1]=r,[je(u,c,n),je(l,c,"int32")]},whereImpl:Js});function fu(e){throw new Error(`'${e}' not yet implemented or not found in the registry. Did you forget to import the kernel?`)}oe.prototype.add=function(e){return this.throwIfDisposed(),Ot(this,e)},oe.prototype.batchNorm=function(e,t,n,r,s){return this.throwIfDisposed(),Ts(this,e,t,n,r,s)},oe.prototype.broadcastTo=function(e){return this.throwIfDisposed(),Hs(this,e)},oe.prototype.concat=function(e,t){return this.throwIfDisposed(),e instanceof oe&&(e=[e]),It([this,...e],t)},oe.prototype.div=function(e){return this.throwIfDisposed(),zn(this,e)},oe.prototype.divNoNan=function(e){return this.throwIfDisposed(),na(this,e)},oe.prototype.oneHot=function(e,t=1,n=0){return this.throwIfDisposed(),ss(this,e,t,n)},oe.prototype.notEqual=function(e){return this.throwIfDisposed(),aa(this,e)},oe.prototype.pad=function(e,t){return this.throwIfDisposed(),Zn(this,e,t)},oe.prototype.split=function(e,t){return this.throwIfDisposed(),Et(this,e,t)},oe.prototype.squaredDifference=function(e){return this.throwIfDisposed(),$a(this,e)},oe.prototype.sub=function(e){return this.throwIfDisposed(),Wn(this,e)},oe.prototype.tile=function(e){return this.throwIfDisposed(),Kn(this,e)},oe.prototype.transpose=function(e){return this.throwIfDisposed(),hr(this,e)},se=eu,e.AdadeltaOptimizer=nu,e.AdagradOptimizer=ru,e.AdamOptimizer=su,e.AdamaxOptimizer=au,e.Add="Add",e.AddN="AddN",e.BroadcastTo="BroadcastTo",e.Concat="Concat",e.DataStorage=class{constructor(e,t){this.backend=e,this.dataMover=t,this.data=new WeakMap,this.dataIdsCount=0}get(e){return this.data.has(e)||this.dataMover.moveData(this.backend,e),this.data.get(e)}set(e,t){this.dataIdsCount++,this.data.set(e,t)}has(e){return this.data.has(e)}delete(e){return this.dataIdsCount--,this.data.delete(e)}numDataIds(){return this.dataIdsCount}},e.Div="Div",e.Environment=t,e.FromPixels="FromPixels",e.FusedBatchNorm="FusedBatchNorm",e.Identity="Identity",e.KernelBackend=class{time(e){return fu("time")}read(e){return fu("read")}readSync(e){return fu("readSync")}numDataIds(){return fu("numDataIds")}disposeData(e){return fu("disposeData")}write(e,t,n){return fu("write")}move(e,t,n,r){return fu("move")}memory(){return fu("memory")}floatPrecision(){return fu("floatPrecision")}epsilon(){return 32===this.floatPrecision()?1e-7:1e-4}batchMatMul(e,t,n,r){return fu("batchMatMul")}fusedBatchMatMul({a:e,b:t,transposeA:n,transposeB:r,bias:s,activation:a,preluActivationWeights:o}){return fu("fusedBatchMatMul")}slice(e,t,n){return fu("slice")}stridedSlice(e,t,n,r){return fu("stridedSlice")}unstack(e,t){return fu("unstack")}reverse(e,t){return fu("reverse")}concat(e,t){return fu("concat")}neg(e){return fu("neg")}add(e,t){return fu("add")}addN(e){return fu("addN")}subtract(e,t){return fu("subtract")}multiply(e,t){return fu("multiply")}realDivide(e,t){return fu("realDivide")}floorDiv(e,t){return fu("floorDiv")}sum(e,t){return fu("sum")}prod(e,t){return fu("prod")}unsortedSegmentSum(e,t,n){return fu("unsortedSegmentSum")}argMin(e,t){return fu("argMin")}argMax(e,t){return fu("argMax")}equal(e,t){return fu("equal")}notEqual(e,t){return fu("notEqual")}less(e,t){return fu("less")}lessEqual(e,t){return fu("lessEqual")}greater(e,t){return fu("greater")}greaterEqual(e,t){return fu("greaterEqual")}logicalNot(e){return fu("logicalNot")}logicalAnd(e,t){return fu("logicalAnd")}logicalOr(e,t){return fu("logicalOr")}where(e){return fu("where")}select(e,t,n){return fu("select")}topk(e,t,n){return fu("topk")}min(e,t){return fu("min")}minimum(e,t){return fu("minimum")}mod(e,t){return fu("mod")}max(e,t){return fu("max")}maximum(e,t){return fu("maximum")}all(e,t){return fu("all")}any(e,t){return fu("any")}squaredDifference(e,t){return fu("squaredDifference")}ceil(e){return fu("ceil")}floor(e){return fu("floor")}round(e){return fu("round")}sign(e){return fu("sign")}isNaN(e){return fu("isNaN")}isInf(e){return fu("isInf")}isFinite(e){return fu("isFinite")}pow(e,t){return fu("pow")}exp(e){return fu("exp")}expm1(e){return fu("expm1")}softmax(e,t){return fu("softmax")}log(e){return fu("log")}log1p(e){return fu("log1p")}sqrt(e){return fu("sqrt")}rsqrt(e){return fu("rsqrt")}square(e){return fu("square")}reciprocal(e){return fu("reciprocal")}relu(e){return fu("relu")}relu6(e){return fu("relu6")}prelu(e,t){return fu("prelu")}elu(e){return fu("elu")}eluDer(e,t){return fu("eluDer")}selu(e){return fu("selu")}int(e){return fu("int")}clip(e,t,n){return fu("clip")}abs(e){return fu("abs")}complexAbs(e){return fu("complexAbs")}sigmoid(e){return fu("sigmoid")}softplus(e){return fu("softplus")}sin(e){return fu("sin")}cos(e){return fu("cos")}tan(e){return fu("tan")}asin(e){return fu("asin")}acos(e){return fu("acos")}atan(e){return fu("atan")}atan2(e,t){return fu("atan2")}sinh(e){return fu("sinh")}cosh(e){return fu("cosh")}tanh(e){return fu("tanh")}asinh(e){return fu("asinh")}acosh(e){return fu("acosh")}atanh(e){return fu("atanh")}erf(e){return fu("erf")}step(e,t){return fu("step")}fusedConv2d({input:e,filter:t,convInfo:n,bias:r,activation:s,preluActivationWeights:a}){return fu("fusedConv2d")}conv2d(e,t,n){return fu("conv2d")}conv2dDerInput(e,t,n){return fu("conv2dDerInput")}conv2dDerFilter(e,t,n){return fu("conv2dDerFilter")}fusedDepthwiseConv2D({input:e,filter:t,convInfo:n,bias:r,activation:s,preluActivationWeights:a}){return fu("fusedDepthwiseConv2D")}depthwiseConv2D(e,t,n){return fu("depthwiseConv2D")}depthwiseConv2DDerInput(e,t,n){return fu("depthwiseConv2DDerInput")}depthwiseConv2DDerFilter(e,t,n){return fu("depthwiseConv2DDerFilter")}conv3d(e,t,n){return fu("conv3d")}conv3dDerInput(e,t,n){return fu("conv3dDerInput")}conv3dDerFilter(e,t,n){return fu("conv3dDerFilter")}maxPool(e,t){return fu("maxPool")}maxPoolBackprop(e,t,n,r){return fu("maxPoolBackprop")}avgPool(e,t){return fu("avgPool")}avgPoolBackprop(e,t,n){return fu("avgPoolBackprop")}avgPool3d(e,t){return fu("avgPool3d")}avgPool3dBackprop(e,t,n){return fu("avgPool3dBackprop")}maxPool3d(e,t){return fu("maxPool3d")}maxPool3dBackprop(e,t,n,r){return fu("maxPool3dBackprop")}reshape(e,t){return fu("reshape")}cast(e,t){return fu("cast")}tile(e,t){return fu("tile")}pad(e,t,n){return fu("pad")}transpose(e,t){return fu("transpose")}gather(e,t,n){return fu("gather")}gatherND(e,t){return fu("gatherND")}scatterND(e,t,n){return fu("scatterND")}batchToSpaceND(e,t,n){return fu("batchToSpaceND")}spaceToBatchND(e,t,n){return fu("spaceToBatchND")}resizeBilinear(e,t,n,r){return fu("resizeBilinear")}resizeBilinearBackprop(e,t,n){return fu("resizeBilinearBackprop")}resizeNearestNeighbor(e,t,n,r){return fu("resizeNearestNeighbor")}resizeNearestNeighborBackprop(e,t,n){return fu("resizeNearestNeighborBackprop")}batchNormalization(e,t,n,r,s,a){return fu("batchNormalization")}localResponseNormalization4D(e,t,n,r,s){return fu("localResponseNormalization4D")}LRNGrad(e,t,n,r,s,a,o){return fu("LRNGrad")}multinomial(e,t,n,r){return fu("multinomial")}oneHot(e,t,n,r){return fu("oneHot")}cumsum(e,t,n,r){return fu("cumsum")}nonMaxSuppression(e,t,n,r,s){return fu("nonMaxSuppression")}fft(e){return fu("fft")}ifft(e){return fu("ifft")}complex(e,t){return fu("complex")}real(e){return fu("real")}imag(e){return fu("imag")}cropAndResize(e,t,n,r,s,a){return fu("cropAndResize")}depthToSpace(e,t,n){return fu("depthToSpace")}split(e,t,n){return fu("split")}sparseToDense(e,t,n,r){return fu("sparseToDense")}diag(e){return fu("diag")}fill(e,t,n){return fu("fill")}onesLike(e){return fu("onesLike")}zerosLike(e){return fu("zerosLike")}linspace(e,t,n){return fu("linspace")}dispose(){return fu("dispose")}},e.MaxPoolWithArgmax="MaxPoolWithArgmax",e.MomentumOptimizer=iu,e.NonMaxSuppressionV5="NonMaxSuppressionV5",e.NotEqual="NotEqual",e.OneHot="OneHot",e.Optimizer=tu,e.PadV2="PadV2",e.RMSPropOptimizer=uu,e.SGDOptimizer=ou,e.SplitV="SplitV",e.Square="Square",e.SquaredDifference="SquaredDifference",e.Sub="Sub",e.Tensor=oe,e.TensorBuffer=ne,e.Tile="Tile",e.Transpose="Transpose",e.Variable=ie,e.abs=Wt,e.acos=Kt,e.acosh=Ht,e.add=Ot,e.addN=Ns,e.addStrict=En,e.all=ht,e.any=dt,e.argMax=pt,e.argMin=ft,e.asin=Gt,e.asinh=Ut,e.atan=jt,e.atan2=Sn,e.atanh=Vt,e.avgPool=_o,e.avgPool3d=To,e.backend=function(){return ve.backend},e.backend_util=du,e.basicLSTMCell=Go,e.batchNorm=Ts,e.batchNorm2d=Cs,e.batchNorm3d=zs,e.batchNorm4d=Ws,e.batchNormalization=Ms,e.batchNormalization2d=Rs,e.batchNormalization3d=Ps,e.batchNormalization4d=Os,e.batchToSpaceND=_t,e.booleanMaskAsync=Ga,e.broadcastTo=Hs,e.browser=ls,e.buffer=Nt,e.cast=Ft,e.ceil=Jt,e.clipByValue=Yt,e.clone=Ks,e.complex=He,e.concat=It,e.concat1d=Gs,e.concat2d=Us,e.concat3d=js,e.concat4d=Vs,e.conv1d=io,e.conv2d=uo,e.conv2dTranspose=bo,e.conv3d=lo,e.conv3dTranspose=wo,e.cos=Xt,e.cosh=Zt,e.cumsum=Mt,e.customGrad=Be,e.deprecationWarn=Ss,e.depthToSpace=Tt,e.depthwiseConv2d=po,e.device_util=Ee,e.diag=si,e.disableDeprecationWarnings=function(){n().set("DEPRECATION_WARNINGS_ENABLED",!1),console.warn("TensorFlow.js deprecation warnings have been disabled.")},e.dispose=$s,e.disposeVariables=function(){ve.disposeVariables()},e.div=zn,e.divNoNan=na,e.divStrict=Dn,e.dot=ko,e.dropout=ai,e.elu=Ro,e.enableDebugMode=function(){n().set("DEBUG",!0)},e.enableProdMode=function(){n().set("PROD",!0)},e.engine=function(){return ve},e.env=n,e.equal=Na,e.equalStrict=Aa,e.erf=Qt,e.exp=en,e.expandDims=Bt,e.expm1=tn,e.eye=ra,e.fft=Xo,e.fill=at,e.findBackend=function(e){return ve.findBackend(e)},e.findBackendFactory=function(e){return ve.findBackendFactory(e)},e.floor=nn,e.floorDiv=$n,e.frame=li,e.fused=Qi,e.gather=Ka,e.gatherND=ri,e.gather_util=hs,e.getBackend=function(){return ve.backendName},e.getGradient=l,e.getKernel=u,e.getKernelsForBackend=c,e.grad=function(e){return m(P(e),()=>"The f passed in grad(f) must be a function"),(t,n)=>{const r=Fe(t,"x","tf.grad",null),s=null!=n?Fe(n,"dy","tf.grad"):null;return ve.tidy(()=>{const{value:t,grads:n}=ve.gradients(()=>e(r),[r],s);return null!=s&&g(t.shape,s.shape,"The shape of dy passed in grad(f)(x, dy) must match the shape returned by f(x)"),Re(n),n[0]})}},e.grads=function(e){return m(P(e),()=>"The f passed in grads(f) must be a function"),(t,n)=>{m(Array.isArray(t),()=>"The args passed in grads(f)(args) must be an array of `Tensor`s or `TensorLike`s");const r=Me(t,"args","tf.grads",null),s=null!=n?Fe(n,"dy","tf.grads"):null;return ve.tidy(()=>{const{value:t,grads:n}=ve.gradients(()=>e(...r),r,s);return null!=s&&g(t.shape,s.shape,"The shape of dy passed in grads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),Re(n),n})}},e.greater=_a,e.greaterEqual=Fa,e.greaterEqualStrict=Ma,e.greaterStrict=Ta,e.hammingWindow=ui,e.hannWindow=ii,e.ifft=Zo,e.imag=Ue,e.image=Gi,e.inTopKAsync=di,e.io=rs,e.irfft=ei,e.isFinite=mn,e.isInf=fn,e.isNaN=pn,e.keep=Is,e.kernel_impls=pu,e.leakyRelu=Co,e.less=Ba,e.lessEqual=Ra,e.lessEqualStrict=Ca,e.lessStrict=qa,e.linalg=Ni,e.linspace=ot,e.localResponseNormalization=Ko,e.log=rn,e.log1p=sn,e.logSigmoid=an,e.logSoftmax=Wo,e.logSumExp=mt,e.logicalAnd=Ys,e.logicalNot=Xs,e.logicalOr=Zs,e.logicalXor=Qs,e.losses=Ei,e.matMul=yo,e.math=os,e.max=gt,e.maxPool=Ao,e.maxPool3d=Mo,e.maxPoolWithArgmax=Bo,e.maximum=In,e.maximumStrict=Nn,e.mean=bt,e.memory=function(){return ve.memory()},e.min=wt,e.minimum=An,e.minimumStrict=_n,e.mod=Fn,e.modStrict=Mn,e.moments=yt,e.movingAverage=jo,e.mul=Tn,e.mulStrict=Bn,e.multiRNNCell=Uo,e.multinomial=sa,e.neg=on,e.nextFrame=function(){return new Promise(e=>hu(()=>e()))},e.norm=Ho,e.notEqual=aa,e.notEqualStrict=Pa,e.oneHot=ss,e.ones=rt,e.onesLike=ut,e.op=Ke,e.outerProduct=vo,e.pad=Zn,e.pad1d=oa,e.pad2d=ia,e.pad3d=ua,e.pad4d=la,e.pool=Fo,e.pow=Rn,e.powStrict=Cn,e.prelu=qo,e.print=At,e.prod=vt,e.profile=function(e){return ve.profile(e)},e.rand=ca,e.randomGamma=Ea,e.randomNormal=Sa,e.randomUniform=Da,e.range=it,e.ready=function(){return ve.ready()},e.real=Ge,e.reciprocal=un,e.registerBackend=function(e,t,n=1){return ve.registerBackend(e,t,n)},e.registerGradient=h,e.registerKernel=function(e){const{kernelName:t,backendName:n}=e,r=d(t,n);if(o.has(r))throw new Error(`The kernel '${t}' for backend '${n}' is already registered`);o.set(r,e)},e.relu=Po,e.relu6=zo,e.removeBackend=function(e){ve.removeBackend(e)},e.reshape=Rt,e.reverse=xo,e.reverse1d=Eo,e.reverse2d=So,e.reverse3d=Do,e.reverse4d=$o,e.rfft=Qo,e.round=ln,e.rsqrt=cn,e.scalar=Je,e.scatterND=Yo,e.scatter_util=ms,e.selu=Lo,e.separableConv2d=go,e.serialization=ys,e.setBackend=function(e){return ve.setBackend(e)},e.setPlatform=function(e,t){n().setPlatform(e,t)},e.setdiff1dAsync=Lt,e.sigmoid=hn,e.sign=dn,e.signal=hi,e.sin=gn,e.sinh=bn,e.slice=ar,e.slice1d=or,e.slice2d=ir,e.slice3d=ur,e.slice4d=lr,e.slice_util=sr,e.softmax=Oo,e.softplus=wn,e.spaceToBatchND=Ct,e.sparseToDense=ni,e.spectral=ti,e.split=Et,e.sqrt=yn,e.square=Ln,e.squaredDifference=$a,e.squaredDifferenceStrict=qn,e.squeeze=qt,e.stack=Pt,e.step=kn,e.stft=ci,e.stridedSlice=Vo,e.sub=Wn,e.subStrict=Pn,e.sum=kt,e.sumOutType=function(e){return fe(e,"int32")},e.tan=vn,e.tanh=xn,e.tensor=je,e.tensor1d=Ye,e.tensor2d=Xe,e.tensor3d=Ze,e.tensor4d=Qe,e.tensor5d=et,e.tensor6d=tt,e.tensor_util=we,e.test_util=Es,e.tidy=Ds,e.tile=Kn,e.time=function(e){return ve.time(e)},e.topk=Jo,e.train=cu,e.transpose=hr,e.truncatedNormal=Ia,e.unregisterGradient=function(e){if(!i.has(e))throw new Error(`The gradient '${e}' for backend is not registered`);i.delete(e)},e.unregisterKernel=function(e,t){const n=d(e,t);if(!o.has(n))throw new Error(`The kernel '${e}' for backend '${t}' is not registered`);o.delete(n)},e.unsortedSegmentSum=Ha,e.unstack=zt,e.upcastType=fe,e.util=J,e.valueAndGrad=function(e){return m(P(e),()=>"The f passed in valueAndGrad(f) must be a function"),(t,n)=>{m(t instanceof oe,()=>"The x passed in valueAndGrad(f)(x) must be a tensor"),m(null==n||n instanceof oe,()=>"The dy passed in valueAndGrad(f)(x, dy) must be a tensor");const{grads:r,value:s}=ve.gradients(()=>e(t),[t],n);return Re(r),{grad:r[0],value:s}}},e.valueAndGrads=function(e){return m(P(e),()=>"The f passed in valueAndGrads(f) must be a function"),(t,n)=>{m(Array.isArray(t)&&t.every(e=>e instanceof oe),()=>"The args passed in valueAndGrads(f)(args) must be array of tensors"),m(null==n||n instanceof oe,()=>"The dy passed in valueAndGrads(f)(args, dy) must be a tensor");const r=ve.gradients(()=>e(...t),t,n);return null!=n&&g(r.value.shape,n.shape,"The shape of dy passed in valueAndGrads(f)([x1,...], dy) must match the shape returned by f([x1,...])"),Re(r.grads),r}},e.variable=nt,e.variableGrads=Te,e.version_core="2.0.0-rc.1",e.where=ea,e.whereAsync=ta,e.zeros=st,e.zerosLike=lt,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=tf-core.es2017.min.js.map
